export var UI = {};
export var Meshes = {};

export var DEBUG = false;

export var DETAIL = {
    mobile: 1,
    desktop: 1,
};

export var ANTIALIAS = false;
export var CLEAR_COLOR = "grey";

export var SKY_TOP = new THREE.Color(0xbdebff);
export var SKY_MIDDLE = new THREE.Color(0xbdebff);
export var SKY_BOT = new THREE.Color(0xe8e8e8);


export var CAMERA_FOV = 45;
export var CAMERA_NEAR = 0.1;
export var CAMERA_FAR = 100000;
export var CAMERA_POSITION = new THREE.Vector3(0, 0, 5);

export var MOBILE_CLIENT = (function () {
    var mobileKeys = [
        "android",
        "bb",
        "meego",
        "mobile",
        "avantgo",
        "bada",
        "blackberry",
        "blazer",
        "compal",
        "elaine",
        "fennec",
        "hiptop",
        "iemobile",
        "iphone",
        "ipod",
        "iris",
        "kindle",
        "lge",
        "maemo",
        "midp",
        "mmp",
        "netfront",
        "opera mob",
        "opera min",
        "palm",
        "phone pixi",
        "phone pre",
        "plucker",
        "pocket",
        "psp",
        "series40",
        "series60",
        "symbian",
        "treo",
        "vodafone",
        "wap",
        "windows ce",
        "windows phone",
        "xda",
        "xiino"
    ];

    var agent = navigator.userAgent.toLowerCase();
    for (var i = 0; i < mobileKeys.length; i++) {
        if (agent.indexOf(mobileKeys[i]) >= 0) return true;
    }

    return false;
})();

export const SHADOW= {
    desktop: {
        mapSize: 2048,
        cascades: 2,
        type: THREE.PCFSoftShadowMap,
    },
    mobile: {
        mapSize: 512,
        cascades: 2,
        type: THREE.PCFSoftShadowMap,
    }
}

window.Promise.allSettled = Promise.allSettled || ((promises) => Promise.all(promises.map(p => p
    .then(v => ({
      status: 'fulfilled',
      value: v,
    }))
    .catch(e => ({
      status: 'rejected',
      reason: e,
    }))
  )));