
const promsesFuncWorker = fn => {
    const workerHandler = fn => {
        onmessage = e => {
            postMessage(fn(e.data))
        }
    }
    return (data) => {
        const worker = new Worker(
            URL.createObjectURL(
                new Blob([`(${workerHandler})(${fn})`])
            )
        );
        return new Promise((res, rej) => {
            worker.onmessage = (e) => {
                worker.terminate();
                res(e.data);
            }
            worker.onerror = (e) => {
                worker.terminate();
                rej(e.message);
            }
            worker.postMessage(data);
        });
    }
}

export {promsesFuncWorker};