// [Core]  Version: 1.0.29 - 5:16:52 PM  
 (function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["AvvyCore"] = factory();
	else
		root["AvvyCore"] = factory();
})(typeof self !== 'undefined' ? self : this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 10);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EventDispatcher; });
var EventDispatcher = {
    listeners: {},

    bind: function(type, listener, callback) {
        if (typeof (type) !== "string") {
            console.error("EventDispatcher.bind -> 'type' should be string constant");
            return;
        }

        if (listener === null || listener === undefined) {
            console.error("EventDispatcher.bind -> 'listener' should exist");
            return;
        }

        if (typeof listener !== "object") {
            console.error("EventDispatcher.bind -> 'listener' should be object");
            return;
        }

        if (typeof callback !== "function") {
            console.error("EventDispatcher.bind -> 'callback' should be function");
            return;
        }

        if (this.listeners[type] == undefined) this.listeners[type] = [];

        var listeners = this.listeners[type];

        var index = this.getListenerIndex(listeners, listener);

        if (index < 0) {
            listeners.push({
                object: listener,
                func: callback
            });
        }
    },

    unbind: function(type, callback) {
        if (typeof (type) !== "string") {
            console.error("EventDispatcher.unbind -> 'type' should be string constant");
            return;
        }

        if (callback === null || callback === undefined) {
            console.error("EventDispatcher.removeEventListener -> 'listener' should exist");
            return;
        }

        if ((typeof callback !== "function") && ((typeof callback.method !== "string") || (typeof callback.context !== "object"))) {
            console.error("EventDispatcher.unbind -> 'callback' has not supported type");
            return;
        }

        if (this.listeners[type] == undefined) this.listeners[type] = [];

        var listeners = this.listeners[type];

        var index = this.getListenerIndex(listeners, callback);

        if (index >= 0) {
            listeners.splice(index, 1);
        }
    },

    send: function(eventName) {
        if (typeof (eventName) !== "string") {
            console.error("EventDispatcher.send -> 'event.type' should be string constant");
            return;
        }

        if (this.listeners[eventName] == undefined) return;

        var listeners = this.listeners[eventName];

        var args = (arguments.length > 1 ? Array.apply(null, arguments).splice(1, arguments.length - 1) : []);

        for (var i = 0; i < listeners.length; i++) {
            try {
                var listener = listeners[i];
                listener.func.apply(listener.object, args);
            }
            catch (err) {
                console.error("EventDispatcher.send -> " + eventName + " Exception thrown in event handler -> " + err);
            }
        }
    },

    query: function(eventName) {
        if (typeof (eventName) !== "string") {
            console.error("EventDispatcher.send -> 'event.type' should be string constant");
            return;
        }

        if (this.listeners[eventName] == undefined) return undefined;

        var listeners = this.listeners[eventName];
        if (listeners > 1) {
            console.error("EventDispatcher.query -> Can't send query to multiply objects");
            return undefined;
        }

        var listener = listeners[0];
        var result = undefined;

        var args = (arguments.length > 1 ? Array.apply(null, arguments).splice(1, arguments.length - 1) : []);

        try {
            result = listener.func.apply(listener.object, args);
        }
        catch (err) {
            console.error("EventDispatcher.query -> " + eventName + " Exception thrown in event handler -> " + err);
        }

        return result;
    },

    release: function() {
        for (var event_name in this.listeners) {
            this.listeners[event_name].splice();
            delete this.listeners[event_name];
        }
        this.listeners = null;
    },

    getListenerIndex: function(listeners, callback) {
        for (var i = 0; i < listeners.length; i++) {
            var obj = listeners[i];
            if (typeof obj.func === "function" && (callback === obj.func)) return i;
            else if ((obj.func.method !== null) && (obj.func.method !== undefined) &&
                (obj.func.context !== null) && (obj.func.context !== undefined) &&
                (callback.method === obj.func.method) && (callback.context === obj.func.context)) return i;
        }

        return -1;
    }

};




/***/ }),
/* 1 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "o", function() { return UI; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "j", function() { return Meshes; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "g", function() { return DEBUG; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "h", function() { return DETAIL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ANTIALIAS; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "f", function() { return CLEAR_COLOR; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "n", function() { return SKY_TOP; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "m", function() { return SKY_MIDDLE; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "l", function() { return SKY_BOT; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return CAMERA_FOV; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return CAMERA_NEAR; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return CAMERA_FAR; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "e", function() { return CAMERA_POSITION; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "i", function() { return MOBILE_CLIENT; });
var UI = {};
var Meshes = {};

var DEBUG = false;

var DETAIL = {
    mobile: 1,
    desktop: 1,
};

var ANTIALIAS = false;
var CLEAR_COLOR = "grey";

var SKY_TOP = new THREE.Color(0xbdebff);
var SKY_MIDDLE = new THREE.Color(0xbdebff);
var SKY_BOT = new THREE.Color(0xe8e8e8);


var CAMERA_FOV = 45;
var CAMERA_NEAR = 0.1;
var CAMERA_FAR = 100000;
var CAMERA_POSITION = new THREE.Vector3(0, 0, 5);

var MOBILE_CLIENT = (function () {
    var mobileKeys = [
        "android",
        "bb",
        "meego",
        "mobile",
        "avantgo",
        "bada",
        "blackberry",
        "blazer",
        "compal",
        "elaine",
        "fennec",
        "hiptop",
        "iemobile",
        "iphone",
        "ipod",
        "iris",
        "kindle",
        "lge",
        "maemo",
        "midp",
        "mmp",
        "netfront",
        "opera mob",
        "opera min",
        "palm",
        "phone pixi",
        "phone pre",
        "plucker",
        "pocket",
        "psp",
        "series40",
        "series60",
        "symbian",
        "treo",
        "vodafone",
        "wap",
        "windows ce",
        "windows phone",
        "xda",
        "xiino"
    ];

    var agent = navigator.userAgent.toLowerCase();
    for (var i = 0; i < mobileKeys.length; i++) {
        if (agent.indexOf(mobileKeys[i]) >= 0) return true;
    }

    return false;
})();

const SHADOW= {
    desktop: {
        mapSize: 2048,
        cascades: 2,
        type: THREE.PCFSoftShadowMap,
    },
    mobile: {
        mapSize: 512,
        cascades: 2,
        type: THREE.PCFSoftShadowMap,
    }
}
/* harmony export (immutable) */ __webpack_exports__["k"] = SHADOW;


window.Promise.allSettled = Promise.allSettled || ((promises) => Promise.all(promises.map(p => p
    .then(v => ({
      status: 'fulfilled',
      value: v,
    }))
    .catch(e => ({
      status: 'rejected',
      reason: e,
    }))
  )));

/***/ }),
/* 2 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SceneEntity; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__BaseEntity_js__ = __webpack_require__(3);


function SceneEntity() {

    __WEBPACK_IMPORTED_MODULE_0__BaseEntity_js__["a" /* BaseEntity */].call(this);

    this.view = new THREE.Object3D();
    this.animated = [];
    this.autoUpdate = true;
}

SceneEntity.prototype = Object.create(__WEBPACK_IMPORTED_MODULE_0__BaseEntity_js__["a" /* BaseEntity */].prototype);
SceneEntity.constructor = SceneEntity;

Object.defineProperty(SceneEntity.prototype, "matrixAutoUpdate", {

    get: function() {
        return this.view.matrixAutoUpdate;
    },

    set: function(value) {
        this.view.matrixAutoUpdate = value;
        this.view.updateMatrix();
    }
});

SceneEntity.prototype.add = function(object) {
    if (!object) return;

    var view = object instanceof THREE.Object3D ? object : object.view instanceof THREE.Object3D ? object.view : false;
    if (view) this.view.add(view);

    if (object instanceof __WEBPACK_IMPORTED_MODULE_0__BaseEntity_js__["a" /* BaseEntity */] && !object.autoUpdate) return;

    var animated = typeof object.update == "function" ? object : typeof view.update == "function" ? view : false;
    if (animated) this.animated.push(animated);
};

SceneEntity.prototype.remove = function(object) {
    if (!object) return;

    var view = object instanceof THREE.Object3D ? object : object.view instanceof THREE.Object3D ? object.view : false;
    if (view) this.view.remove(view);

    var animated = typeof object.update == "function" ? object : typeof view.update == "function" ? view : false;
    if (animated) this.animated.splice(this.animated.indexOf(animated), 1);
};

SceneEntity.prototype.update = function(dt) {
    for (var i = 0; i < this.animated.length; i++) {
        this.animated[i].update(dt);
    }
};

SceneEntity.prototype.clear = function() {

    for (var i = this.view.children.length - 1; i >= 0; i--) {
        this.view.remove(this.view.children[i]);
    }

    this.animated = [];
};

Object.defineProperty(SceneEntity.prototype, "position", {

    get: function() {
        return this.view.position;
    },

    set: function(value) {
        this.view.position.set(value.x, value.y, value.z);
    }
});

Object.defineProperty(SceneEntity.prototype, "rotation", {

    get: function() {
        return this.view.rotation;
    },

    set: function(value) {
        this.view.rotation.set(value.x, value.y, value.z);
    }
});




/***/ }),
/* 3 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BaseEntity; });
function BaseEntity() {

    this.autoUpdate = false;

}

BaseEntity.prototype = {

    constructor: BaseEntity,

    activate: function() {

    },

    deactivate: function() {

    },

    update: function() {

    }
};




/***/ }),
/* 4 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ShadowController; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__csm_CSM__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__settings__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__csm_CSMHelper__ = __webpack_require__(15);





function ShadowController(props) {
    this.csmHelper = null;

    this.camera = __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].query('Engine.get.camera');
    const scene = __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].query("Engine.get.scene");
    const _this = this;

    this.enabled = true;

    this.controller = new __WEBPACK_IMPORTED_MODULE_1__csm_CSM__["a" /* CSM */]({
        maxFar: 200,
        lightFar: 1000,
        cascades: props.cascades,
        shadowMapSize: props.mapSize,
        lightDirection: new THREE.Vector3(-0.2, -1, -0.2),
        camera: this.camera,
        parent: scene,
        mode: 'practical', //uniform (linear), logarithmic, practical or custom
        fade: true,
        lightMargin: 100,
        shadowBias: [0.00007, 0.000001, 0.000001, 0.000001]
    });

    if (__WEBPACK_IMPORTED_MODULE_2__settings__["g" /* DEBUG */]) {
        this.csmHelper = new __WEBPACK_IMPORTED_MODULE_3__csm_CSMHelper__["a" /* CSMHelper */](this.controller);
        this.csmHelper.visible = true;
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].send("Scene.add", this.csmHelper);
    }

    _this.controller.lights.forEach(el => {
        el.shadow.autoUpdate = false
    });

    this.counters = {
        0: {
            current: 0,
            required: 5 //8
        },
        1: {
            current: 0,
            required: 21
        },
        2: {
            current: 0,
            required: 40
        },
        3: {
            current: 0,
            required: 60
        },
    };

    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("ShadowController.enabled", this, function (value) {
        _this.enabled = value;

        for (let i = 0; i < _this.controller.lights.length; i++) {
            _this.controller.lights[i].castShadow = value;
        }
    })

    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("ShadowController.apply", this, this.apply);

    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("ShadowController.setDistance", this, function (dist) {
        _this.controller.maxFar = dist + 100;
    })

    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("ShadowController.setSunPosition", this, this.setSunPosition);

    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].send("Engine.add", this);
}

ShadowController.constructor = ShadowController;

ShadowController.prototype.apply = function (mesh) {
    this.controller.setupMaterial(mesh.material);
};

ShadowController.prototype.update = function (dt) {
    if (!this.enabled) return;

    for (let i = 0; i < this.controller.lights.length; i++) {

        if (this.counters[i].current === this.counters[i].required) {
            this.controller.lights[i].shadow.needsUpdate = true;
            this.counters[i].current = 0

            if (__WEBPACK_IMPORTED_MODULE_2__settings__["g" /* DEBUG */]) {
                this.csmHelper.update();
                this.csmHelper.updateVisibility();
            }
            this.controller.update(this.camera.matrix);

        } else {
            this.counters[i].current++;
        }
    }

}

ShadowController.prototype.setSunPosition = function (pos) {
    this.controller.lightDirection = pos.normalize();
}




/***/ }),
/* 5 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Scene; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_SceneEntity_js__ = __webpack_require__(2);


function Scene(data) {
    __WEBPACK_IMPORTED_MODULE_0__base_SceneEntity_js__["a" /* SceneEntity */].call(this);

    this.name = "default";
    this.matrixAutoUpdate = false;

    this.ui = null;

}

Scene.prototype = Object.create(__WEBPACK_IMPORTED_MODULE_0__base_SceneEntity_js__["a" /* SceneEntity */].prototype);
Scene.constructor = Scene;

Scene.prototype.activate = function(data) {

    __WEBPACK_IMPORTED_MODULE_0__base_SceneEntity_js__["a" /* SceneEntity */].prototype.activate.apply(this, arguments);

    if (this.ui) this.ui.show();

};

Scene.prototype.deactivate = function(data) {

    __WEBPACK_IMPORTED_MODULE_0__base_SceneEntity_js__["a" /* SceneEntity */].prototype.deactivate.apply(this, arguments);

    if (this.ui) this.ui.hide();

};




/***/ }),
/* 6 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BaseUIObject; });
function BaseUIObject() {

}

BaseUIObject.prototype = {
    constructor: BaseUIObject,

    add: function(object) {
        if (object instanceof BaseUIObject) this.view.appendChild(object.view);
        else this.view.appendChild(object);
    },

    remove: function(object) {
        if (object instanceof BaseUIObject) this.view.removeChild(object.view);
        else this.view.removeChild(object);
    },

    hide: function() {
        this.view.style.display = "none";
    },

    show: function() {
        this.view.style.display = "block";

    },

    update: function() {
        return;
    },

    clear: function() {
        while (this.view.firstChild) {
            this.view.removeChild(this.view.firstChild);
        }
    }
};




/***/ }),
/* 7 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Container; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__BaseUIObject_js__ = __webpack_require__(6);


function Container(container) {

    __WEBPACK_IMPORTED_MODULE_0__BaseUIObject_js__["a" /* BaseUIObject */].call(this);

    this.inited = false;

    if (container) {
        if (typeof container == "string") {
            this.view = document.getElementById(container);
            if (!this.view) {
                this.view = document.createElement("div");
                this.view.id = container;
            }
        }
        else {
            this.view = container;
        }
    }
    else {
        this.view = document.createElement("div");
    }
}

Container.prototype = Object.create(__WEBPACK_IMPORTED_MODULE_0__BaseUIObject_js__["a" /* BaseUIObject */].prototype);
Container.constructor = Container;

Container.prototype.init = function(data) {

    this.inited = true;

};

Container.prototype.show = function(data) {

    if (!this.inited) this.init(data);

    __WEBPACK_IMPORTED_MODULE_0__BaseUIObject_js__["a" /* BaseUIObject */].prototype.show.apply(this, arguments);

};





/***/ }),
/* 8 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FirstPersonControls; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__settings_js__ = __webpack_require__(1);
/**
 * @author mrdoob / http://mrdoob.com/
 * @author alteredq / http://alteredqualia.com/
 * @author paulirish / http://paulirish.com/
 */




function FirstPersonControls( object, domCanvasElement, domElement) {

	this.object = object;
	this.target = new THREE.Vector3( 0, 0, 0 );
	this.object.lookAt(this.target);

	this.domCanvasElement = ( domCanvasElement !== undefined ) ? domCanvasElement : document;

	this.enabled = true;
	this.moveEnabled = true;

	this.movementSpeed = 1.0;
	this.lookSpeed = 0.005;

	this.lookVertical = true;
	this.autoForward = false;

	this.activeLook = true;

	this.heightSpeed = false;
	this.heightCoef = 1.0;
	this.heightMin = 0.0;
	this.heightMax = 1.0;

	this.constrainVertical = false;
	this.verticalMin = 0;
	this.verticalMax = Math.PI;

	this.autoSpeedFactor = 0.0;

	this.mouseX = 0;
	this.mouseY = 0;

	this.lat = 0;
	this.lon = 0;
	this.phi = 0;
	this.theta = 0;

	this.mouseMoveDirection = 0

	this.moveForward = false;
	this.moveBackward = false;
	this.moveLeft = false;
	this.moveRight = false;

	this.previousTouch = null;

	this.mouseDragOn = false;

	this.mouseIsMove = false;

	this.viewHalfX = 0;
	this.viewHalfY = 0;

	/* для обеспечения движения */
	this.direction = new THREE.Vector3();
	this._vector = new THREE.Vector3();

	this.lastEvent = null;

	this.keys = {LEFT: "KeyA", UP: "KeyE", RIGHT: "KeyD", DOWN: "KeyQ", FORWARD: "KeyW", BACKWARD: "KeyS",
		LEFT_ARROW: "ArrowLeft", RIGHT_ARROW: "ArrowRight", UP_ARROW: "ArrowUp", DOWN_ARROW: "ArrowDown"};

	const _euler = new THREE.Euler( 0, 0, 0, 'YXZ' );

	if ( this.domCanvasElement !== document ) {

		this.domCanvasElement.setAttribute( 'tabindex', - 1 );

	}

	this.allowMove = function( value ) {

		this.moveEnabled = value;
	}

	//

	this.handleResize = function () {

		if ( this.domCanvasElement === document ) {

			this.viewHalfX = window.innerWidth / 2;
			this.viewHalfY = window.innerHeight / 2;

		} else {

			this.viewHalfX = this.domCanvasElement.offsetWidth / 2;
			this.viewHalfY = this.domCanvasElement.offsetHeight / 2;

		}

	};

	this.onMouseDown = function ( {event} ) {
		
		if ( this.domCanvasElement !== document ) {

			this.domCanvasElement.focus();

		}

		event.preventDefault();
		event.stopPropagation();
		

		if ( event.button == 2 ) {
			this.mouseDragOn = true;
			this.mouseMoveDirection = 0;
		}	
	};

	this.onMouseUp = function ( {event} ) {

		this.previousTouch = null;
		event.preventDefault();
		event.stopPropagation();

		if ( event.button == 2 ) {
			this.mouseDragOn = false;
			this.mouseIsMove = false;
			if (this.mouseMoveDirection) {
				this.mouseMoveDirection = 0;
				this.moveBackward = false;
				this.moveForward = false;
			}
		}
	};

	this.onMouseMove = function ( {event} ) {

		if (__WEBPACK_IMPORTED_MODULE_1__settings_js__["i" /* MOBILE_CLIENT */]) {
			let touch;
			if (event.touches[0].target.id === "joystick") {
				touch = event.touches[1];
			} else {
				touch = event.touches[0];
			}
			
			if (this.previousTouch && touch) {
				event.movementX = touch.pageX - this.previousTouch.pageX;
				event.movementY = touch.pageY - this.previousTouch.pageY;

				const movementX = event.movementX || event.mozMovementX || event.webkitMovementX || 0;
				const movementY = event.movementY || event.mozMovementY || event.webkitMovementY || 0;

				_euler.setFromQuaternion( this.object.quaternion );

				_euler.y -= movementX * 0.008;
				_euler.x -= movementY * 0.008;

				// _euler.x = Math.max( Math.PI / 2 - Math.PI, Math.min( Math.PI / 2 - 0, _euler.x ) );
				if (_euler.x > -1.5 && _euler.x < 1.5) {
					this.object.quaternion.setFromEuler( _euler );
					// EventDispatcher.send("CameraController.update", this.object);
				}
			};

			this.previousTouch = touch;
			
		}
	
		if ( document.pointerLockElement === domElement) {

			let movementX = event.movementX || event.mozMovementX || event.webkitMovementX || 0;
			let movementY = event.movementY || event.mozMovementY || event.webkitMovementY || 0;


			if (this.lastEvent && event.timeStamp - this.lastEvent.timeStamp > 2000) {
				movementX = 0
				movementY = 0
			}


			_euler.setFromQuaternion( this.object.quaternion );

			_euler.y -= movementX / 500;
			
			if (!this.mouseDragOn)
				_euler.x -= movementY / 500;

			else {
				this.mouseMoveDirection -= movementY * 1.5;
				let sg = Math.sign(this.mouseMoveDirection) 

				this.mouseMoveDirection = sg * Math.min(Math.abs(this.mouseMoveDirection), 250)
				this.moveForward = this.mouseMoveDirection > 0 ? true : false;
				this.moveBackward = this.mouseMoveDirection < 0 ? true : false;
				this.isMoving()
			}

			// _euler.x = Math.max( Math.PI / 2 - Math.PI, Math.min( Math.PI / 2 - 0, _euler.x ) );
			if (_euler.x > -1.5 && _euler.x < 1.5) {
				this.object.quaternion.setFromEuler( _euler );
				// EventDispatcher.send("CameraController.update", this.object);
				__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("ViewHelper.update", this.object);
			}
		}
		this.lastEvent = event
	};


	this.onKeyDown = function ( event ) {

		//event.preventDefault();

		switch ( event.keyCode ) {

			case 38: /*up*/
			case 87: /*W*/ this.moveForward = true; break;

			case 37: /*left*/
			case 65: /*A*/ this.moveLeft = true; break;

			case 40: /*down*/
			case 83: /*S*/ this.moveBackward = true; break;

			case 39: /*right*/
			case 68: /*D*/ this.moveRight = true; break;

			case 82: /*R*/ this.moveUp = true; break;
			case 70: /*F*/ this.moveDown = true; break;

		}

	};

	this.onKeyUp = function ( event ) {

		switch ( event.keyCode ) {

			case 38: /*up*/
			case 87: /*W*/ this.moveForward = false; break;

			case 37: /*left*/
			case 65: /*A*/ this.moveLeft = false; break;

			case 40: /*down*/
			case 83: /*S*/ this.moveBackward = false; break;

			case 39: /*right*/
			case 68: /*D*/ this.moveRight = false; break;

			case 82: /*R*/ this.moveUp = false; break;
			case 70: /*F*/ this.moveDown = false; break;

		}

	};

	this.onKeyDownMoveForward = function () {
		this.moveForward = true;
		this.isMoving();
	}

	this.onKeyUpMoveForward = function () {
		this.moveForward = false;
		this.isMoving();
	}

	this.onKeyDownMoveLeft = function () {
		this.moveLeft = true;
		this.isMoving();
	}

	this.onKeyUpMoveLeft = function () {
		this.moveLeft = false;
		this.isMoving();
	}

	this.onKeyDownMoveBackward = function () {
		this.moveBackward = true;
		this.isMoving();
	}

	this.onKeyUpMoveBackward = function () {
		this.moveBackward = false;
		this.isMoving();
	}

	this.onKeyDownMoveRight = function () {
		this.moveRight = true;
		this.isMoving();
	}

	this.onKeyUpMoveRight = function () {
		this.moveRight = false;
		this.isMoving();
	}

	this.onKeyDownMoveUp = function (e) {
		this.moveUp = true;
		this.isMoving();
	}

	this.onKeyUpMoveUp = function (e) {
		this.moveUp = false;
		this.isMoving();
	}

	this.onKeyDownMoveDown = function (e) {
		this.moveDown = true;
		this.isMoving();
	}

	this.onKeyUpMoveDown = function (e) {
		this.moveDown = false;
		this.isMoving();
	}

	this.onKeyDownRotateUp = function (e) {
		this.rotateUp = true;
		_euler.setFromQuaternion( this.object.quaternion );
		this.isMoving();
	}

	this.onKeyUpRotateUp = function (e) {
		this.rotateUp = false;
		this.isMoving();
	}

	this.onKeyDownRotateDown = function (e) {
		this.rotateDown = true;
		_euler.setFromQuaternion( this.object.quaternion );
		this.isMoving();
	}

	this.onKeyUpRotateDown = function (e) {
		this.rotateDown = false;
		this.isMoving();
	}

	this.onKeyDownRotateLeft = function (e) {
		this.rotateLeft = true;
		_euler.setFromQuaternion( this.object.quaternion );
		this.isMoving();
	}

	this.onKeyUpRotateLeft = function (e) {
		this.rotateLeft = false;
		this.isMoving();
	}

	this.onKeyDownRotateRight = function (e) {
		this.rotateRight = true;
		_euler.setFromQuaternion( this.object.quaternion );
		this.isMoving();
	}

	this.onKeyUpRotateRight = function (e) {
		this.rotateRight = false;
		this.isMoving();
	}

	this.isMoving = () => {
        if (
            this.moveForward ||
            this.moveLeft ||
            this.moveBackward ||
            this.moveRight ||
            this.moveUp ||
            this.moveDown ||
            this.rotateLeft ||
            this.rotateRight  ||
			this.rotateUp ||
			this.rotateDown
            ) {
            this.isMovement = true;
        } else {
            this.isMovement = false;
        }
    }

	this.update = delta => {
		if (this.isMovement) {
            this._update(delta);
        }
	}
	this._update = function(delta) {
		let startPosition = this.object.position.clone()

		if ( this.enabled === false ) return;

		if ( this.heightSpeed ) {

			var y = THREE.Math.clamp( this.object.position.y, this.heightMin, this.heightMax );
			var heightDelta = y - this.heightMin;

			this.autoSpeedFactor = delta * ( heightDelta * this.heightCoef );

		} else {

			this.autoSpeedFactor = 0.0;

		}

		var actualMoveSpeed = delta * this.movementSpeed;
		const factor = 1/delta;

		if (this.mouseDragOn)
			actualMoveSpeed = delta * Math.abs(this.mouseMoveDirection) / 8;


		if (this.rotateUp || this.rotateDown || this.rotateLeft || this.rotateRight){
			_euler.x += (this.rotateUp ? delta : this.rotateDown ? -delta : 0)
			if (_euler.x < -1.5)
					_euler.x = -1.5;
			if (_euler.x > 1.5)
					_euler.x = 1.5;;

			_euler.y += (this.rotateLeft ? delta : this.rotateRight ? -delta : 0)
			this.object.quaternion.setFromEuler( _euler );
			__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("ViewHelper.update", this.object);
		}
		

		if ((this.moveForward && (this.moveLeft || this.moveRight)) || (this.moveBackward && (this.moveLeft || this.moveRight))) {
			actualMoveSpeed *= 0.7;
		}

		if (__WEBPACK_IMPORTED_MODULE_1__settings_js__["i" /* MOBILE_CLIENT */]) {
			const joyStickDelta = Math.max(__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].query("JoyStickEventsHandler.getState").x, __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].query("JoyStickEventsHandler.getState").y);
			if (joyStickDelta > 0) {
				actualMoveSpeed *= joyStickDelta;
			}
		}

		if ( this.moveForward || ( this.autoForward && ! this.moveBackward ) ) {

			const velocity = new THREE.Vector3();

			velocity.z -= velocity.z * actualMoveSpeed;


			this.direction.z = Number( this.moveForward  ) - Number( this.moveBackward );
			this.direction.normalize();
			velocity.z -= this.direction.z * actualMoveSpeed *factor;
			this._vector.setFromMatrixColumn( this.object.matrix, 0 );
			this._vector.crossVectors( this.object.up, this._vector );

			this.object.position.addScaledVector( this._vector, - velocity.z * delta  );
		}
		if ( this.moveBackward ) {

			const velocity = new THREE.Vector3()
			velocity.z += velocity.z * velocity.z * actualMoveSpeed;
			this.direction.z = Number( this.moveBackward ) - Number( this.moveForward );
			this.direction.normalize();
			velocity.z += this.direction.z * actualMoveSpeed*factor;
			this._vector.setFromMatrixColumn( this.object.matrix, 0 );
			this._vector.crossVectors( this.object.up, this._vector );
			this.object.position.addScaledVector( this._vector, -velocity.z * delta  );
		} 

		if ( this.moveLeft ) {
			this.object.translateX( - actualMoveSpeed );
		} 
		if ( this.moveRight ) {
			this.object.translateX( actualMoveSpeed );
		}

		if ( this.moveUp ) {
			this.object.position.y += actualMoveSpeed;
		} 
		if ( this.moveDown ) {
			this.object.position.y -= actualMoveSpeed;
		} 

		if (this.moveForward || this.moveBackward || this.moveLeft || this.moveRight || this.moveUp || this.moveDown || this.rotateLeft || this.rotateRight) {
			let direction = this.object.position.clone().sub(startPosition).normalize()
			__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("Camera.update", this.object, this.object.position, {x: 0, y: 0}, direction);
		}

		if (!this.moveEnabled)
			this.object.position.copy(startPosition);

		// if ( this.moveForward || ( this.autoForward && ! this.moveBackward ) ) this.object.translateZ( - ( actualMoveSpeed + this.autoSpeedFactor ) );
		// if ( this.moveBackward ) this.object.translateZ( actualMoveSpeed );

		// if ( this.moveLeft ) this.object.translateX( - actualMoveSpeed );
		// if ( this.moveRight ) this.object.translateX( actualMoveSpeed );

		// if ( this.moveUp ) this.object.translateY( actualMoveSpeed );
		// if ( this.moveDown ) this.object.translateY( - actualMoveSpeed );

		if (this.object.position.y < 1) {
			this.object.position.y = 1;
		}

		var verticalLookRatio = 1;

		if ( this.constrainVertical ) {

			verticalLookRatio = Math.PI / ( this.verticalMax - this.verticalMin );

		}

	};

	function contextmenu( event ) {

		event.preventDefault();

	}

	this.dispose = function() {

		this.domCanvasElement.removeEventListener( 'contextmenu', contextmenu, false );
		this.domCanvasElement.removeEventListener( 'mousedown', _onMouseDown, false );
		this.domCanvasElement.removeEventListener( 'mousemove', _onMouseMove, false );
		this.domCanvasElement.removeEventListener( 'mouseup', _onMouseUp, false );

		window.removeEventListener( 'keydown', _onKeyDown, false );
		window.removeEventListener( 'keyup', _onKeyUp, false );

	};

	this.removeEvent = function() {
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.move", _onMouseMove);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.down", _onMouseDown);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.up", _onMouseUp);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + this.keys.FORWARD, this.onKeyDownMoveForward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + this.keys.FORWARD, this.onKeyUpMoveForward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + this.keys.BACKWARD, this.onKeyDownMoveBackward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + this.keys.BACKWARD, this.onKeyUpMoveBackward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + this.keys.LEFT, this.onKeyDownMoveLeft);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + this.keys.LEFT, this.onKeyUpMoveLeft);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + this.keys.RIGHT, this.onKeyDownMoveRight);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + this.keys.RIGHT, this.onKeyUpMoveRight);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + this.keys.UP, this.onKeyDownMoveUp);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + this.keys.UP, this.onKeyUpMoveUp);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + this.keys.DOWN, this.onKeyDownMoveDown);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + this.keys.DOWN, this.onKeyUpMoveDown);

		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + this.keys.UP_ARROW, this.onKeyDownMoveForward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + this.keys.UP_ARROW, this.onKeyUpMoveForward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + this.keys.DOWN_ARROW, this.onKeyDownMoveBackward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + this.keys.DOWN_ARROW, this.onKeyUpMoveBackward);

		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + this.keys.LEFT_ARROW, this.onKeyDownRotateLeft); 
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + this.keys.LEFT_ARROW, this.onKeyUpRotateLeft); 

		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + this.keys.RIGHT_ARROW, this.onKeyDownRotateRight);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + this.keys.RIGHT_ARROW, this.onKeyUpRotateRight);


	};

	var _onMouseMove = bind( this, this.onMouseMove );
	var _onMouseDown = bind( this, this.onMouseDown );
	var _onMouseUp = bind( this, this.onMouseUp );
	var _onKeyDown = bind( this, this.onKeyDown );
	var _onKeyUp = bind( this, this.onKeyUp );

	this.initEvent = function() {

		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("mouse.move", this, _onMouseMove);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("mouse.down", this, _onMouseDown);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("mouse.up", this, _onMouseUp);

		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("Camera.allowMove", this, this.allowMove);

		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + this.keys.FORWARD, this, this.onKeyDownMoveForward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + this.keys.FORWARD, this, this.onKeyUpMoveForward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + this.keys.BACKWARD, this, this.onKeyDownMoveBackward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + this.keys.BACKWARD, this, this.onKeyUpMoveBackward);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + this.keys.LEFT, this, this.onKeyDownMoveLeft);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + this.keys.LEFT, this, this.onKeyUpMoveLeft);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + this.keys.RIGHT, this, this.onKeyDownMoveRight);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + this.keys.RIGHT, this, this.onKeyUpMoveRight);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + this.keys.UP, this, this.onKeyDownMoveUp);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + this.keys.UP, this, this.onKeyUpMoveUp);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + this.keys.DOWN, this, this.onKeyDownMoveDown);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + this.keys.DOWN, this, this.onKeyUpMoveDown);

		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + this.keys.UP_ARROW, this, this.onKeyDownRotateUp);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + this.keys.UP_ARROW, this, this.onKeyUpRotateUp);

		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + this.keys.DOWN_ARROW, this, this.onKeyDownRotateDown);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + this.keys.DOWN_ARROW, this, this.onKeyUpRotateDown);

		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + this.keys.LEFT_ARROW, this, this.onKeyDownRotateLeft); 
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + this.keys.LEFT_ARROW, this, this.onKeyUpRotateLeft); 

		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + this.keys.RIGHT_ARROW, this, this.onKeyDownRotateRight);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + this.keys.RIGHT_ARROW, this, this.onKeyUpRotateRight);
	}

	function bind( scope, fn ) {

		return function () {

			fn.apply( scope, arguments );

		};

	}

	this.handleResize();
};



/***/ }),
/* 9 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CameraControllerOrbit; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__settings_js__ = __webpack_require__(1);
/**
 * @author qiao / https://github.com/qiao
 * @author mrdoob / http://mrdoob.com
 * @author alteredq / http://alteredqualia.com/
 * @author WestLangley / http://github.com/WestLangley
 * @author erich666 / http://erichaines.com
 * @author vgaidukov / https://github.com/vladgaidukov
 */



function CameraControllerOrbit(object, domElement) {

    this.object = object;

    this.domElement = (domElement !== undefined) ? domElement : document;

    // Set to false to disable this control
    this.enabled = true;

    // "target" sets the location of focus, where the object orbits around
    this.target = new THREE.Vector3();

    // How far you can dolly in and out ( PerspectiveCamera only )
    this.minDistance = 0;
    this.maxDistance = Infinity;

    // How far you can zoom in and out ( OrthographicCamera only )
    this.minZoom = 0;
    this.maxZoom = Infinity;

    // How far you can orbit vertically, upper and lower limits.
    // Range is 0 to Math.PI radians.
    this.minPolarAngle = 0; // radians
    this.maxPolarAngle = Math.PI; // radians

    // How far you can orbit horizontally, upper and lower limits.
    // If set, must be a sub-interval of the interval [ - Math.PI, Math.PI ].
    this.minAzimuthAngle = -Infinity; // radians
    this.maxAzimuthAngle = Infinity; // radians

    // Set to true to enable damping (inertia)
    // If damping is enabled, you must call controls.update() in your animation loop
    this.enableDamping = true;
    // this.dampingFactor = 0.25;
    this.dampingFactor = 0.5;

    // This option actually enables dollying in and out; left as "zoom" for backwards compatibility.
    // Set to false to disable zooming
    this.enableZoom = true;
    this.zoomSpeed = 1.0;

    // Set to false to disable rotating
    this.enableRotate = true;
    this.rotateSpeed = 1.0;

    // Set to false to disable panning
    this.enablePan = true;
    this.keyPanSpeed = 60.0; // pixels moved per arrow key push, default 7
    this.keySpeed = 1600.0;
    this.targetSpeed = 12.5;
    this.screenSpacePanning = true;
    this.horizontalRotatingSpeed = 140;
    this.verticalRotatingSpeed = 180;
    this.targetDistance = 22.8;

    // Set to true to automatically rotate around the target
    // If auto-rotate is enabled, you must call controls.update() in your animation loop
    this.autoRotate = false;
    this.autoRotateSpeed = 2.0; // 30 seconds per round when fps is 60

    // Set to false to disable use of the keys
    this.enableKeys = true;

    // The four arrow keys
    this.keys = {
        LEFT: "KeyA", 
        UP: "KeyW", 
        RIGHT: "KeyD", 
        BOTTOM: "KeyS", 
        TARGET_UP: "KeyE", 
        TARGET_DOWN: "KeyQ",
        ARROW_LEFT: 'ArrowLeft', 
        ARROW_UP: 'ArrowUp', 
        ARROW_RIGHT: 'ArrowRight', 
        ARROW_BOTTOM: 'ArrowDown',
    };

    this.enableControllerKey = {ROTATE: "ShiftLeft"};

    // Mouse buttons
    this.mouseButtons = {ORBIT: THREE.MOUSE.LEFT, ZOOM: THREE.MOUSE.MIDDLE, PAN: THREE.MOUSE.RIGHT};

    // for reset
    this.target0 = this.target.clone();
    this.position0 = this.object.position.clone();
    this.zoom0 = this.object.zoom;

    this.getPolarAngle = function() {

        return spherical.phi;

    };

    this.getAzimuthalAngle = function() {

        return spherical.theta;

    };

    this.saveState = function() {

        scope.target0.copy(scope.target);
        scope.position0.copy(scope.object.position);
        scope.zoom0 = scope.object.zoom;

    };

    this.reset = function() {

        scope.target.copy(scope.target0);
        scope.object.position.copy(scope.position0);
        scope.object.zoom = scope.zoom0;

        scope.object.updateProjectionMatrix();


        state = STATE.NONE;

    };

    this.focusOut = function() {
        this.moveForward = false;
        this.moveLeft = false;
        this.moveBackward = false;
        this.moveRight = false;
        this.moveUp = false;
        this.moveDown = false;
        this.rotatingLeft = false;
        this.rotatingRight = false;
        this.rotatingUp = false;
        this.rotatingBottom = false;
    }

    this.update = function(delta) {
        if (scope.isMovement) {
            this._update(delta);
        }
    }
    this._update = function() {
        
        var offset = new THREE.Vector3();

        var quat = new THREE.Quaternion().setFromUnitVectors(object.up, new THREE.Vector3(0, 1, 0));
        var quatInverse = quat.clone().invert();

        var lastPosition = new THREE.Vector3();
        var lastQuaternion = new THREE.Quaternion();

        return function update(delta) {

            if (scope.enabled === false) return;

            const coord = __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].query("MouseEventsHandler.cursorPosition");

            if (this.moveForward) {
                scope.screenSpacePanning = false;
                pan(0, scope.keySpeed * delta);
            }

            if (this.moveBackward) {
                scope.screenSpacePanning = false;
                pan(0, -scope.keySpeed * delta);
            }

            if (this.moveLeft) {
                pan(scope.keySpeed * delta, 0);
            }

            if (this.moveRight) {
                pan(-scope.keySpeed * delta, 0);
            }

            if (this.moveUp) {
                // scope.screenSpacePanning = true;
                // pan(0, scope.keySpeed * delta);
                scope.target.y += scope.targetSpeed * delta;
                scope.object.position.y += scope.targetSpeed * delta;
            }

            if (this.moveDown) {
                // scope.screenSpacePanning = true;
                // pan(0, -scope.keySpeed * delta);
                scope.target.y -= scope.targetSpeed * delta;
                scope.object.position.y -= scope.targetSpeed * delta;
            }

            if (this.rotatingUp) {
                handleMouseDownRotate({x: 0, y: 0});
                handleMouseMoveRotate({x: 0, y: this.horizontalRotatingSpeed * delta}, false);
            }

            if (this.rotatingBottom) {
                handleMouseDownRotate({x: 0, y: 0});
                handleMouseMoveRotate({x: 0, y: -this.horizontalRotatingSpeed * delta}, false);
            }

            if (this.rotatingLeft) {
                handleMouseDownRotate({x: 0, y: 0});
                handleMouseMoveRotate({x: -this.verticalRotatingSpeed * delta, y: 0}, false);
            }

            if (this.rotatingRight) {
                handleMouseDownRotate({x: 0, y: 0});
                handleMouseMoveRotate({x: this.verticalRotatingSpeed * delta, y: 0}, false);
            }

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("Camera.update", this.object, this.target, coord);

            var position = scope.object.position;

            offset.copy(position).sub(scope.target);

            offset.applyQuaternion(quat);

            spherical.setFromVector3(offset);

            if (scope.autoRotate && state === STATE.NONE) {

                rotateLeft(getAutoRotationAngle());

            }

            spherical.theta += sphericalDelta.theta;
            spherical.phi += sphericalDelta.phi;

            spherical.theta = Math.max(scope.minAzimuthAngle, Math.min(scope.maxAzimuthAngle, spherical.theta));

            spherical.phi = Math.max(scope.minPolarAngle, Math.min(scope.maxPolarAngle, spherical.phi));

            spherical.makeSafe();

            spherical.radius *= scale;

            spherical.radius = Math.max(scope.minDistance, Math.min(scope.maxDistance, spherical.radius));

            scope.target.add(panOffset);

            offset.setFromSpherical(spherical);

            offset.applyQuaternion(quatInverse);

            position.copy(scope.target).add(offset);

            scope.object.lookAt(scope.target);

            if (scope.enableDamping === true) {

                sphericalDelta.theta *= (1 - scope.dampingFactor);
                sphericalDelta.phi *= (1 - scope.dampingFactor);

            }
            else {

                sphericalDelta.set(0, 0, 0);

            }

            scale = 1;
            panOffset.set(0, 0, 0);

            if (zoomChanged ||
                lastPosition.distanceToSquared(scope.object.position) > EPS ||
                8 * (1 - lastQuaternion.dot(scope.object.quaternion)) > EPS) {

                lastPosition.copy(scope.object.position);
                lastQuaternion.copy(scope.object.quaternion);
                zoomChanged = false;

                return true;

            }

            return false;

        };

    }();

    this.deactivate = function() {

        if (__WEBPACK_IMPORTED_MODULE_1__settings_js__["i" /* MOBILE_CLIENT */]) {
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.down", onTouchStart);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.up", onTouchEnd);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.move", onTouchMove);
        }
        else {

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.down", onMouseDown);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.scroll", onMouseWheel);
        }

    };

    this.isMoving = function () {
        if (
            scope.moveForward ||
            scope.moveLeft ||
            scope.moveBackward ||
            scope.moveRight ||
            scope.moveUp ||
            scope.moveDown ||
            scope.rotatingLeft ||
            scope.rotatingRight ||
            scope.rotatingUp ||
            scope.rotatingBottom
            ) {
            scope.isMovement = true;
        } else {
            scope.isMovement = false;
        }
    }

    this.onKeyDownMoveForward = function () {
        // scope.screenSpacePanning = false;
		scope.moveForward = true;
        this.isMoving();
	}

	this.onKeyUpMoveForward = function () {
		scope.moveForward = false;
        this.isMoving();
	}

	this.onKeyDownMoveLeft = function () {
		scope.moveLeft = true;
        this.isMoving();
	}

	this.onKeyUpMoveLeft = function () {
		scope.moveLeft = false;
        this.isMoving();
	}

	this.onKeyDownMoveBackward = function () {
        // scope.screenSpacePanning = false;
		scope.moveBackward = true;
        this.isMoving();
	}

	this.onKeyUpMoveBackward = function () {
		scope.moveBackward = false;
        this.isMoving();
	}

	this.onKeyDownMoveRight = function () {
		scope.moveRight = true;
        this.isMoving();
	}

	this.onKeyUpMoveRight = function () {
		scope.moveRight = false;
        this.isMoving();
	}

	this.onKeyDownMoveUp = function (e) {
        // scope.screenSpacePanning = true;
		scope.moveUp = true;
        this.isMoving();
	}

	this.onKeyUpMoveUp = function (e) {
        // scope.screenSpacePanning = false;
		scope.moveUp = false;
        this.isMoving();
	}

	this.onKeyDownMoveDown = function (e) {
        // scope.screenSpacePanning = true;
		scope.moveDown = true;
        this.isMoving();
	}

	this.onKeyUpMoveDown = function (e) {
        // scope.screenSpacePanning = false;
		scope.moveDown = false;
        this.isMoving();
	}

    this.onKeyDownRotateUp = function (e) {
        scope.rotatingUp = true;
        this.isMoving();
    }

    this.onKeyUpRotateUp = function (e) {
        scope.rotatingUp = false;
        this.isMoving();
    }

    this.onKeyDownRotateBottom = function (e) {
        scope.rotatingBottom = true;
        this.isMoving();
    }

    this.onKeyUpRotateBottom = function (e) {
        scope.rotatingBottom = false;
        this.isMoving();
    }

    this.onKeyDownRotateLeft = function (e) {
        scope.rotatingLeft = true;
        this.isMoving();
    }

    this.onKeyUpRotateLeft = function (e) {
        scope.rotatingLeft = false;
        this.isMoving();
    }

    this.onKeyDownRotateRight = function (e) {
        scope.rotatingRight = true;
        this.isMoving();
    }

    this.onKeyUpRotateRight= function (e) {
        scope.rotatingRight = false;
        this.isMoving();
    }

    this.setTarget = function (vec) {
        scope.isMovement = true;
        scope.maxDistance = 20;
        new TWEEN.Tween(scope.target)
            .to(vec, 250)
            .easing(TWEEN.Easing.Cubic.Out)
            //.onUpdate(() => render())
            .start()
            .onComplete(() => {
                scope.isMovement = false;
                scope.maxDistance = 100;
            });
    }

    var scope = this;

    var changeEvent = {type: "change"};
    var startEvent = {type: "start"};
    var endEvent = {type: "end"};

    var STATE = {NONE: -1, ROTATE: 0, DOLLY: 1, PAN: 2, TOUCH_ROTATE: 3, TOUCH_DOLLY: 4, TOUCH_PAN: 5};

    var state = STATE.NONE;

    var EPS = 0.000001;

    var spherical = new THREE.Spherical();
    var sphericalDelta = new THREE.Spherical();

    var scale = 1;
    var panOffset = new THREE.Vector3();
    var zoomChanged = false;

    var rotateStart = new THREE.Vector2();
    var rotateEnd = new THREE.Vector2();
    var rotateDelta = new THREE.Vector2();

    var panStart = new THREE.Vector2();
    var panEnd = new THREE.Vector2();
    var panDelta = new THREE.Vector2();

    var dollyStart = new THREE.Vector2();
    var dollyEnd = new THREE.Vector2();
    var dollyDelta = new THREE.Vector2();

    function getAutoRotationAngle() {

        return 2 * Math.PI / 60 / 60 * scope.autoRotateSpeed;

    }

    function getZoomScale() {

        return Math.pow(0.95, scope.zoomSpeed);

    }

    function rotateLeft(angle) {

        sphericalDelta.theta -= angle;

    }

    function rotateUp(angle) {

        sphericalDelta.phi -= angle;

    }

    var panLeft = function() {

        var v = new THREE.Vector3();

        return function panLeft(distance, objectMatrix) {

            v.setFromMatrixColumn(objectMatrix, 0);
            v.multiplyScalar(-distance);

            panOffset.add(v);

        };

    }();

    var panUp = function() {

        var v = new THREE.Vector3();

        return function panUp(distance, objectMatrix) {

            // // v.setFromMatrixColumn(objectMatrix, 1);
            // // v.multiplyScalar(distance);

            // v.setFromMatrixColumn( objectMatrix, 0 );
			// v.crossVectors( scope.object.up, v );
            // v.multiplyScalar(distance);

            // panOffset.add(v);
            if ( scope.screenSpacePanning === true ) {

                v.setFromMatrixColumn( objectMatrix, 1 );

            } else {

                v.setFromMatrixColumn( objectMatrix, 0 );
                v.crossVectors( scope.object.up, v );

            }

            v.multiplyScalar( distance );

            panOffset.add( v );

        };

    }();

    var pan = function() {

        var offset = new THREE.Vector3();

        return function pan(deltaX, deltaY) {

            var element = scope.domElement === document ? scope.domElement.body : scope.domElement;

            if (scope.object instanceof THREE.PerspectiveCamera) {

                // var position = scope.object.position;
                // offset.copy(position).sub(scope.target);
                // var targetDistance = offset.length();
                var targetDistance = scope.targetDistance;
                targetDistance *= Math.tan((scope.object.fov / 2) * Math.PI / 180.0);

                panLeft(2 * deltaX * targetDistance / element.clientHeight, scope.object.matrix);
                panUp(2 * deltaY * targetDistance / element.clientHeight, scope.object.matrix);

            }
            else if (scope.object instanceof THREE.OrthographicCamera) {

                panLeft(deltaX * (scope.object.right - scope.object.left) / scope.object.zoom / element.clientWidth, scope.object.matrix);
                panUp(deltaY * (scope.object.top - scope.object.bottom) / scope.object.zoom / element.clientHeight, scope.object.matrix);

            }
            else {

                console.warn("WARNING: CameraControllerOrbit.js encountered an unknown camera type - pan disabled.");
                scope.enablePan = false;

            }

        };

    }();

    function dollyIn(dollyScale) {

        if (scope.object instanceof THREE.PerspectiveCamera) {

            scale /= dollyScale;

        }
        else if (scope.object instanceof THREE.OrthographicCamera) {

            scope.object.zoom = Math.max(scope.minZoom, Math.min(scope.maxZoom, scope.object.zoom * dollyScale));
            scope.object.updateProjectionMatrix();
            zoomChanged = true;

        }
        else {

            console.warn("WARNING: CameraControllerOrbit.js encountered an unknown camera type - dolly/zoom disabled.");
            scope.enableZoom = false;

        }

    }

    function dollyOut(dollyScale) {

        if (scope.object instanceof THREE.PerspectiveCamera) {

            scale *= dollyScale;

        }
        else if (scope.object instanceof THREE.OrthographicCamera) {

            scope.object.zoom = Math.max(scope.minZoom, Math.min(scope.maxZoom, scope.object.zoom / dollyScale));
            scope.object.updateProjectionMatrix();
            zoomChanged = true;

        }
        else {

            console.warn("WARNING: CameraControllerOrbit.js encountered an unknown camera type - dolly/zoom disabled.");
            scope.enableZoom = false;

        }

    }

    function handleMouseDownRotate(event) {

        rotateStart.set(event.x, event.y);

    }

    function handleMouseDownDolly(event) {

        dollyStart.set(event.x, event.y);

    }

    function handleMouseDownPan(event) {

        panStart.set(event.x, event.y);

    }

    function handleMouseMoveRotate(event, update=true) {

        rotateEnd.set(event.x, event.y);
        rotateDelta.subVectors(rotateEnd, rotateStart);

        var element = scope.domElement === document ? scope.domElement.body : scope.domElement;

        rotateLeft(2 * Math.PI * rotateDelta.x / element.clientWidth * scope.rotateSpeed);

        rotateUp(2 * Math.PI * rotateDelta.y / element.clientHeight * scope.rotateSpeed);

        rotateStart.copy(rotateEnd);

        if (update) {
            scope._update(0.016);
        }
    }

    function handleMouseMoveDolly(event) {

        dollyEnd.set(event.x, event.y);

        dollyDelta.subVectors(dollyEnd, dollyStart);

        if (dollyDelta.y > 0) {

            dollyIn(getZoomScale());

        }
        else if (dollyDelta.y < 0) {

            dollyOut(getZoomScale());

        }

        dollyStart.copy(dollyEnd);


    }

    function handleMouseMovePan(event) {
        scope.screenSpacePanning = true;
        panEnd.set(event.x, event.y);

        panDelta.subVectors(panEnd, panStart);

        pan(panDelta.x, panDelta.y);

        panStart.copy(panEnd);

        scope._update(0.016);
    }

    function handleMouseWheel(dir) {

        if (dir < 0) {

            dollyOut(getZoomScale());

        }
        else if (dir > 0) {

            dollyIn(getZoomScale());

        }

        
        scope._update(0.016);
    }

    function handleTouchStartRotate(event) {

        rotateStart.set(event.touches[ 0 ].pageX, event.touches[ 0 ].pageY);

    }

    function handleTouchStartDolly(event) {

        var dx = event.touches[ 0 ].pageX - event.touches[ 1 ].pageX;
        var dy = event.touches[ 0 ].pageY - event.touches[ 1 ].pageY;

        var distance = Math.sqrt(dx * dx + dy * dy);

        dollyStart.set(0, distance);

    }

    function handleTouchStartPan(event) {

        panStart.set(event.touches[ 0 ].pageX, event.touches[ 0 ].pageY);

    }

    function handleTouchMoveRotate(event) {

        rotateEnd.set(event.touches[ 0 ].pageX, event.touches[ 0 ].pageY);
        rotateDelta.subVectors(rotateEnd, rotateStart);

        var element = scope.domElement === document ? scope.domElement.body : scope.domElement;
        rotateLeft(2 * Math.PI * rotateDelta.x / element.clientWidth * scope.rotateSpeed);

        rotateUp(2 * Math.PI * rotateDelta.y / element.clientHeight * scope.rotateSpeed);

        rotateStart.copy(rotateEnd);

        

    }

    function handleTouchMoveDolly(event) {

        var dx = event.touches[ 0 ].pageX - event.touches[ 1 ].pageX;
        var dy = event.touches[ 0 ].pageY - event.touches[ 1 ].pageY;

        var distance = Math.sqrt(dx * dx + dy * dy);
        dollyEnd.set(0, distance);

        dollyDelta.subVectors(dollyEnd, dollyStart);

        if (dollyDelta.y > 0) {

            dollyOut(getZoomScale());

        }
        else if (dollyDelta.y < 0) {

            dollyIn(getZoomScale());

        }

        dollyStart.copy(dollyEnd);

        

    }

    function handleTouchMovePan(event) {

        panEnd.set(event.touches[ 0 ].pageX, event.touches[ 0 ].pageY);

        panDelta.subVectors(panEnd, panStart);

        pan(panDelta.x, panDelta.y);

        panStart.copy(panEnd);

        

    }

    function onMouseDown(event) {

        if (scope.enabled === false) return;

        switch (event.button) {

        case scope.mouseButtons.ORBIT:

            if (scope.enableRotate === false) return;

            handleMouseDownRotate(event);

            state = STATE.ROTATE;

            break;

        case scope.mouseButtons.ZOOM:

            if (scope.enableZoom === false) return;

            handleMouseDownDolly(event);

            state = STATE.DOLLY;

            break;

        case scope.mouseButtons.PAN:

            if (scope.enablePan === false) return;

            handleMouseDownPan(event);

            state = STATE.PAN;

            break;

        }

        if (state !== STATE.NONE) {

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("mouse.move", this, onMouseMove);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("mouse.up", this, onMouseUp);

        }

    }

    function onMouseMove(event) {

        scope.rotatingLeft = false;
        scope.rotatingRight = false;
        scope.rotatingUp = false;
        scope.rotatingBottom = false;

        if (scope.enabled === false) return;

        switch (state) {

        case STATE.ROTATE:

            if (scope.enableRotate === false) return;

            handleMouseMoveRotate(event);

            break;

        case STATE.DOLLY:

            if (scope.enableZoom === false) return;

            handleMouseMoveDolly(event);

            break;

        case STATE.PAN:

            if (scope.enablePan === false) return;

            handleMouseMovePan(event);

            break;

        }

    }

    function onMouseUp(event) {

        if (scope.enabled === false) return;

        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.move", onMouseMove);
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.up", onMouseUp);

        state = STATE.NONE;

    }

    function onMouseWheel(dir) {

        if (scope.enabled === false || scope.enableZoom === false || (state !== STATE.NONE && state !== STATE.ROTATE)) return;

        handleMouseWheel(dir);
    }

    function onKeyDown(event) {

        if (scope.enabled === false || scope.enableKeys === false || scope.enablePan === false) return;
        handleKeyDown(event);

    }

    function onTouchStart(event) {

        if (scope.enabled === false) return;

        event = event.event;

        switch (event.touches.length) {

        case 1:

            if (scope.enableRotate === false) return;

            handleTouchStartRotate(event);

            state = STATE.TOUCH_ROTATE;

            break;

        case 2:

            if (scope.enableZoom === false) return;

            handleTouchStartDolly(event);

            state = STATE.TOUCH_DOLLY;

            break;

        case 3:

            if (scope.enablePan === false) return;

            handleTouchStartPan(event);

            state = STATE.TOUCH_PAN;

            break;

        default:

            state = STATE.NONE;

        }

    }

    function onTouchMove(event) {

        if (scope.enabled === false) return;

        event = event.event;

        switch (event.touches.length) {

        case 1:

            if (scope.enableRotate === false) return;
            if (state !== STATE.TOUCH_ROTATE) return;

            handleTouchMoveRotate(event);

            break;

        case 2:

            if (scope.enableZoom === false) return;
            if (state !== STATE.TOUCH_DOLLY) return;

            handleTouchMoveDolly(event);

            break;

        case 3:

            if (scope.enablePan === false) return;
            if (state !== STATE.TOUCH_PAN) return;

            handleTouchMovePan(event);

            break;

        default:

            state = STATE.NONE;

        }

    }

    function onTouchEnd(event) {

        if (scope.enabled === false) return;

        state = STATE.NONE;

    }

    this.onKeyDownEnableRotate = function () {
		scope.enableRotate = false;
	}
    this.onKeyUpEnableRotate = function () {
		scope.enableRotate = true;
	}

    this.removeEvent = function() {

        if (__WEBPACK_IMPORTED_MODULE_1__settings_js__["i" /* MOBILE_CLIENT */]) {
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.down", onTouchStart);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.up", onTouchEnd);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.move", onTouchMove);
        }
        else {

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.down", onMouseDown);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("mouse.scroll", onMouseWheel);

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.enableControllerKey.ROTATE, this.onKeyDownEnableRotate);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.enableControllerKey.ROTATE, this.onKeyUpEnableRotate);

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.keys.UP, this.onKeyDownMoveForward);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.keys.UP, this.onKeyUpMoveForward);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.keys.BOTTOM, this.onKeyDownMoveBackward);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.keys.BOTTOM, this.onKeyUpMoveBackward);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.keys.LEFT, this.onKeyDownMoveLeft);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.keys.LEFT, this.onKeyUpMoveLeft);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.keys.RIGHT, this.onKeyDownMoveRight);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.keys.RIGHT, this.onKeyUpMoveRight);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.keys.TARGET_UP, this.onKeyDownMoveUp);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.keys.TARGET_UP, this.onKeyUpMoveUp);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.keys.TARGET_DOWN, this.onKeyDownMoveDown);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.keys.TARGET_DOWN, this.onKeyUpMoveDown);

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.keys.ARROW_UP, this.onKeyDownRotateUp);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.keys.ARROW_UP, this.onKeyUpRotateUp);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.keys.ARROW_BOTTOM, this.onKeyDownRotateBottom);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.keys.ARROW_BOTTOM, this.onKeyUpRotateBottom);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.keys.ARROW_LEFT, this.onKeyDownRotateLeft);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.keys.ARROW_LEFT, this.onKeyUpRotateLeft);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keydown." + scope.keys.ARROW_RIGHT, this.onKeyDownRotateRight);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("keyboard.keyup." + scope.keys.ARROW_RIGHT, this.onKeyUpRotateRight);

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("CameraControllerOrbit.setTarget", this.setTarget);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].unbind("CameraControllerOrbit.focusOut", this.focusOut);
        }

    };

    this.initEvent = function() {
        if (__WEBPACK_IMPORTED_MODULE_1__settings_js__["i" /* MOBILE_CLIENT */]) {
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("mouse.down", this, onTouchStart);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("mouse.up", this, onTouchEnd);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("mouse.move", this, onTouchMove);
        }
        else {
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("mouse.down", this, onMouseDown);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("mouse.scroll", this, onMouseWheel);
            
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.enableControllerKey.ROTATE, this, this.onKeyDownEnableRotate);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.enableControllerKey.ROTATE, this, this.onKeyUpEnableRotate);

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.keys.UP, this, this.onKeyDownMoveForward);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.keys.UP, this, this.onKeyUpMoveForward);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.keys.BOTTOM, this, this.onKeyDownMoveBackward);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.keys.BOTTOM, this, this.onKeyUpMoveBackward);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.keys.LEFT, this, this.onKeyDownMoveLeft);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.keys.LEFT, this, this.onKeyUpMoveLeft);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.keys.RIGHT, this, this.onKeyDownMoveRight);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.keys.RIGHT, this, this.onKeyUpMoveRight);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.keys.TARGET_UP, this, this.onKeyDownMoveUp);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.keys.TARGET_UP, this, this.onKeyUpMoveUp);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.keys.TARGET_DOWN, this, this.onKeyDownMoveDown);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.keys.TARGET_DOWN, this, this.onKeyUpMoveDown);

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.keys.ARROW_UP, this, this.onKeyDownRotateUp);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.keys.ARROW_UP, this, this.onKeyUpRotateUp);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.keys.ARROW_BOTTOM, this, this.onKeyDownRotateBottom);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.keys.ARROW_BOTTOM, this, this.onKeyUpRotateBottom);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.keys.ARROW_LEFT, this, this.onKeyDownRotateLeft);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.keys.ARROW_LEFT, this, this.onKeyUpRotateLeft);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keydown." + scope.keys.ARROW_RIGHT, this, this.onKeyDownRotateRight);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("keyboard.keyup." + scope.keys.ARROW_RIGHT, this, this.onKeyUpRotateRight);

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("CameraControllerOrbit.setTarget", this, this.setTarget);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("CameraControllerOrbit.focusOut", this, this.focusOut);
        }
    }


}

CameraControllerOrbit.prototype = {
    center: {

        get: function() {

            console.warn("VG.CameraControllerOrbit: .center has been renamed to .target");
            return this.target;

        }

    },

    noZoom: {

        get: function() {

            console.warn("VG.CameraControllerOrbit: .noZoom has been deprecated. Use .enableZoom instead.");
            return !this.enableZoom;

        },

        set: function(value) {

            console.warn("VG.CameraControllerOrbit: .noZoom has been deprecated. Use .enableZoom instead.");
            this.enableZoom = !value;

        }

    },

    noRotate: {

        get: function() {

            console.warn("VG.CameraControllerOrbit: .noRotate has been deprecated. Use .enableRotate instead.");
            return !this.enableRotate;

        },

        set: function(value) {

            console.warn("VG.CameraControllerOrbit: .noRotate has been deprecated. Use .enableRotate instead.");
            this.enableRotate = !value;

        }

    },

    noPan: {

        get: function() {

            console.warn("VG.CameraControllerOrbit: .noPan has been deprecated. Use .enablePan instead.");
            return !this.enablePan;

        },

        set: function(value) {

            console.warn("VG.CameraControllerOrbit: .noPan has been deprecated. Use .enablePan instead.");
            this.enablePan = !value;

        }

    },

    noKeys: {

        get: function() {

            console.warn("VG.CameraControllerOrbit: .noKeys has been deprecated. Use .enableKeys instead.");
            return !this.enableKeys;

        },

        set: function(value) {

            console.warn("VG.CameraControllerOrbit: .noKeys has been deprecated. Use .enableKeys instead.");
            this.enableKeys = !value;

        }

    },

    staticMoving: {

        get: function() {

            console.warn("VG.CameraControllerOrbit: .staticMoving has been deprecated. Use .enableDamping instead.");
            return !this.enableDamping;

        },

        set: function(value) {

            console.warn("VG.CameraControllerOrbit: .staticMoving has been deprecated. Use .enableDamping instead.");
            this.enableDamping = !value;

        }

    },

    dynamicDampingFactor: {

        get: function() {

            console.warn("VG.CameraControllerOrbit: .dynamicDampingFactor has been renamed. Use .dampingFactor instead.");
            return this.dampingFactor;

        },

        set: function(value) {

            console.warn("VG.CameraControllerOrbit: .dynamicDampingFactor has been renamed. Use .dampingFactor instead.");
            this.dampingFactor = value;

        }

    }
};




/***/ }),
/* 10 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__ = __webpack_require__(0);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "EventDispatcher", function() { return __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__base_Engine__ = __webpack_require__(11);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "Engine", function() { return __WEBPACK_IMPORTED_MODULE_1__base_Engine__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_BaseEntity__ = __webpack_require__(3);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "BaseEntity", function() { return __WEBPACK_IMPORTED_MODULE_2__base_BaseEntity__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__base_SceneEntity__ = __webpack_require__(2);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "SceneEntity", function() { return __WEBPACK_IMPORTED_MODULE_3__base_SceneEntity__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__settings__ = __webpack_require__(1);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "UI", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["o"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "Meshes", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["j"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "DEBUG", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["g"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "DETAIL", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["h"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "ANTIALIAS", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "CLEAR_COLOR", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["f"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "SKY_TOP", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["n"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "SKY_MIDDLE", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["m"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "SKY_BOT", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["l"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "CAMERA_FOV", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["c"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "CAMERA_NEAR", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["d"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "CAMERA_FAR", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["b"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "CAMERA_POSITION", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["e"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "MOBILE_CLIENT", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["i"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "SHADOW", function() { return __WEBPACK_IMPORTED_MODULE_4__settings__["k"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__controls_MouseEventsHandler__ = __webpack_require__(16);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "MouseEventsHandler", function() { return __WEBPACK_IMPORTED_MODULE_5__controls_MouseEventsHandler__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__controls_KeyboardEventsHandler__ = __webpack_require__(17);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "KeyboardEventsHandler", function() { return __WEBPACK_IMPORTED_MODULE_6__controls_KeyboardEventsHandler__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__scene_SceneController__ = __webpack_require__(18);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "SceneController", function() { return __WEBPACK_IMPORTED_MODULE_7__scene_SceneController__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__scene_Scene__ = __webpack_require__(5);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "Scene", function() { return __WEBPACK_IMPORTED_MODULE_8__scene_Scene__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ui_BaseUIObject__ = __webpack_require__(6);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "BaseUIObject", function() { return __WEBPACK_IMPORTED_MODULE_9__ui_BaseUIObject__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ui_Container__ = __webpack_require__(7);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "Container", function() { return __WEBPACK_IMPORTED_MODULE_10__ui_Container__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__cameras_FirstPersonControls__ = __webpack_require__(8);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "FirstPersonControls", function() { return __WEBPACK_IMPORTED_MODULE_11__cameras_FirstPersonControls__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__cameras_CameraControllerOrbit__ = __webpack_require__(9);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "CameraControllerOrbit", function() { return __WEBPACK_IMPORTED_MODULE_12__cameras_CameraControllerOrbit__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__cameraController_cameraController__ = __webpack_require__(19);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "CameraController", function() { return __WEBPACK_IMPORTED_MODULE_13__cameraController_cameraController__["b"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "CAMERA_CONTROLLER_TYPE", function() { return __WEBPACK_IMPORTED_MODULE_13__cameraController_cameraController__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__controls_AxisControls__ = __webpack_require__(22);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "ViewHelper", function() { return __WEBPACK_IMPORTED_MODULE_14__controls_AxisControls__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__controls_JoyStickEventHandlers__ = __webpack_require__(23);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "JoyStickEventsHandler", function() { return __WEBPACK_IMPORTED_MODULE_15__controls_JoyStickEventHandlers__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__shadow_ShadowController__ = __webpack_require__(4);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "ShadowController", function() { return __WEBPACK_IMPORTED_MODULE_16__shadow_ShadowController__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__utils_Utils__ = __webpack_require__(24);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "Utils", function() { return __WEBPACK_IMPORTED_MODULE_17__utils_Utils__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__utils_fpsControlls__ = __webpack_require__(25);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "FpsControll", function() { return __WEBPACK_IMPORTED_MODULE_18__utils_fpsControlls__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__worker_worker__ = __webpack_require__(26);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "promsesFuncWorker", function() { return __WEBPACK_IMPORTED_MODULE_19__worker_worker__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__loaders_DDSLoader__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__loaders_DDSLoader___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_20__loaders_DDSLoader__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__loaders_KTX2Loader__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__loaders_KTX2Loader___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_21__loaders_KTX2Loader__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__loaders_KTXLoader__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__loaders_KTXLoader___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_22__loaders_KTXLoader__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__utils_WorkerPool__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__utils_WorkerPool___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_23__utils_WorkerPool__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__loaders_BasisTextureLoader__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__loaders_BasisTextureLoader___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_24__loaders_BasisTextureLoader__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__postprocessing_EffectComposer__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__postprocessing_EffectComposer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_25__postprocessing_EffectComposer__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__postprocessing_OutlinePass__ = __webpack_require__(33);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__postprocessing_OutlinePass___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_26__postprocessing_OutlinePass__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__postprocessing_RenderPass__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__postprocessing_RenderPass___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_27__postprocessing_RenderPass__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__postprocessing_ShaderPass__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__postprocessing_ShaderPass___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_28__postprocessing_ShaderPass__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__postprocessing_CopyShader__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__postprocessing_CopyShader___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_29__postprocessing_CopyShader__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__postprocessing_FXAAShader__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__postprocessing_FXAAShader___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_30__postprocessing_FXAAShader__);
const version = '1.0.29';
/* harmony export (immutable) */ __webpack_exports__["version"] = version;










































/***/ }),
/* 11 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Engine; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__SceneEntity_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__EventDispatcher_js__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__postprocessing_GammaCorrection__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__settings_js__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__shadow_ShadowController__ = __webpack_require__(4);






function Engine(container, parameters) {
    __WEBPACK_IMPORTED_MODULE_0__SceneEntity_js__["a" /* SceneEntity */].call(this, name);

    const self = this;
    const fpsStats = {
        timer: null,
        curr: 0,
        accum: 0,
        framesNum: 0,
        fps: 0
    };
    this.engineInfo = {
        frames: 0,
        prevTime: 0,
        now: 0,
        minDelta: 50,
        value: 0,
        counter: 0,
        values: [],
    };


    this.domelement = document.getElementById(container);

    this.view = new THREE.Scene();

    this.camera = new THREE.PerspectiveCamera(__WEBPACK_IMPORTED_MODULE_3__settings_js__["c" /* CAMERA_FOV */] || 45, this.domelement.clientWidth / this.domelement.clientHeight, __WEBPACK_IMPORTED_MODULE_3__settings_js__["d" /* CAMERA_NEAR */], __WEBPACK_IMPORTED_MODULE_3__settings_js__["b" /* CAMERA_FAR */]);
    this.camera.position.copy(__WEBPACK_IMPORTED_MODULE_3__settings_js__["e" /* CAMERA_POSITION */]);
    this.view.add(this.camera);

    const stateSettings = JSON.parse(localStorage.getItem("AvvyLand.settings"));
    let antialias = __WEBPACK_IMPORTED_MODULE_3__settings_js__["a" /* ANTIALIAS */] || false;
    this.postprocess = false;
    this.composer = null;


    const maxRatio = (__WEBPACK_IMPORTED_MODULE_3__settings_js__["i" /* MOBILE_CLIENT */]) ? __WEBPACK_IMPORTED_MODULE_3__settings_js__["h" /* DETAIL */].mobile : __WEBPACK_IMPORTED_MODULE_3__settings_js__["h" /* DETAIL */].desktop;
    let pixelRatio = Math.min(window.devicePixelRatio, maxRatio);

    if (stateSettings) {
        antialias = stateSettings.antialiasing;
        pixelRatio = stateSettings.pixelRatio;
    }

    let webGLRendererParameters;
    const defaultParameters = {
        antialias: antialias,
        // preserveDrawingBuffer: true,
    }

    if (!parameters) {
        webGLRendererParameters = defaultParameters;
    } else {
        webGLRendererParameters = Object.assign(defaultParameters, parameters);
    }

    this.renderer = new THREE.WebGLRenderer(webGLRendererParameters);

    this.renderer.outputEncoding = THREE.sRGBEncoding;

    this.renderer.setClearColor(__WEBPACK_IMPORTED_MODULE_3__settings_js__["f" /* CLEAR_COLOR */]);
    this.renderer.setSize(this.domelement.clientWidth, this.domelement.clientHeight);

    this.renderer.setPixelRatio(pixelRatio);

    this.renderer.shadowMap.enabled = true;
    this.renderer.shadowMap.type = (__WEBPACK_IMPORTED_MODULE_3__settings_js__["i" /* MOBILE_CLIENT */]) ? __WEBPACK_IMPORTED_MODULE_3__settings_js__["k" /* SHADOW */].mobile.type : __WEBPACK_IMPORTED_MODULE_3__settings_js__["k" /* SHADOW */].desktop.type

    this.domelement.append(this.renderer.domElement);


    if (parameters && parameters.postprocess) {
        this.postprocess = true;
        this.composer = new THREE.EffectComposer(this.renderer);
        const renderPass = new THREE.RenderPass(self.view, self.camera);
        this.composer.addPass(renderPass);
        if (parameters.postprocess.name === "outlinePass") {
            this.outlinePass = new THREE.OutlinePass(new THREE.Vector2(this.domelement.clientWidth, this.domelement.clientHeight), self.view, self.camera);
            this.composer.addPass(this.outlinePass);
            this.outlinePass.edgeThickness = parameters.postprocess.edgeThickness ? parameters.postprocess.edgeThickness : 1;
            this.outlinePass.edgeStrength = parameters.postprocess.edgeStrength ? parameters.postprocess.edgeStrength : 1;
            this.outlinePass.edgeGlow = parameters.postprocess.edgeGlow ? parameters.postprocess.edgeGlow : 0;
            this.outlinePass.visibleEdgeColor.set(parameters.postprocess.visibleEdgeColor ? parameters.postprocess.visibleEdgeColor : 0xFFFFFF);
            this.outlinePass.hiddenEdgeColor.set(parameters.postprocess.hiddenEdgeColor ? parameters.postprocess.hiddenEdgeColor : 0xFFFFFF);

            this.effectFXAA = new THREE.ShaderPass(THREE.FXAAShader);
            this.effectFXAA.uniforms['resolution'].value.set(1 / this.domelement.clientWidth, 1 / this.domelement.clientHeight);
            this.composer.addPass(this.effectFXAA);

            const gammaCorrection = new THREE.ShaderPass( __WEBPACK_IMPORTED_MODULE_2__postprocessing_GammaCorrection__["a" /* GammaCorrectionShader */] );
            this.composer.addPass(gammaCorrection);

            __WEBPACK_IMPORTED_MODULE_1__EventDispatcher_js__["a" /* EventDispatcher */].bind("OutlinePass.setSelected", this, function (objects) {
                this.outlinePass.selectedObjects = objects;
            });
        }
    }

    // const clock = new THREE.Clock();

    window.addEventListener("resize", function () {
        self.resize();
    }, false);

    function render() {
        //  const delta = clock.getDelta();
        self.updateFpsCounter();

        if (typeof TWEEN !== "undefined") {
            TWEEN.update();
        }

        let step = 0;
        if (fpsStats.timer) {
            const timeCurr = Date.now();
            step = Math.abs(timeCurr - fpsStats.timer) * 0.001;
            fpsStats.timer = timeCurr;

            fpsStats.accum += step;
            fpsStats.framesNum++;
            if (fpsStats.accum >= 1.0) {
                fpsStats.fps = fpsStats.framesNum;
                fpsStats.accum = 0.0;
                fpsStats.framesNum = 0;
            }
        } else {
            fpsStats.timer = Date.now();
            fpsStats.accum = 0.0;
            fpsStats.framesNum = 0;
        }
        if (step > 0.0 && step < 1.0) {
            self.update(step);
        }

        if (self.postprocess) {
            self.composer.render(step);
        } else {
            self.renderer.render(self.view, self.camera);
        }
        requestAnimationFrame(render);
    }

    __WEBPACK_IMPORTED_MODULE_1__EventDispatcher_js__["a" /* EventDispatcher */].bind("Engine.togglePostprocess", this, function (bool) {
        self.postprocess = bool;
    });
    __WEBPACK_IMPORTED_MODULE_1__EventDispatcher_js__["a" /* EventDispatcher */].bind("Engine.get.scene", this, function () {
        return self.view;
    });
    __WEBPACK_IMPORTED_MODULE_1__EventDispatcher_js__["a" /* EventDispatcher */].bind("Engine.get.camera", this, function () {
        return self.camera;
    });
    __WEBPACK_IMPORTED_MODULE_1__EventDispatcher_js__["a" /* EventDispatcher */].bind("Engine.get.renderer", this, function () {
        return self.renderer;
    });
    __WEBPACK_IMPORTED_MODULE_1__EventDispatcher_js__["a" /* EventDispatcher */].bind("Engine.get.engineInfo", this, function () {
        this.engineInfo.geometries = this.renderer.info.memory.geometries;
        this.engineInfo.textures = this.renderer.info.memory.textures;
        this.engineInfo.calls = this.renderer.info.render.calls;
        this.engineInfo.triangles = this.renderer.info.render.triangles;
        this.engineInfo.programs = this.renderer.info.programs.length;
        return this.engineInfo;
    });
    __WEBPACK_IMPORTED_MODULE_1__EventDispatcher_js__["a" /* EventDispatcher */].bind("Engine.add", this, this.add);
    __WEBPACK_IMPORTED_MODULE_1__EventDispatcher_js__["a" /* EventDispatcher */].bind("Engine.remove", this, this.remove);
    __WEBPACK_IMPORTED_MODULE_1__EventDispatcher_js__["a" /* EventDispatcher */].bind("Engine.resize", this, this.resize);

    const props = (__WEBPACK_IMPORTED_MODULE_3__settings_js__["i" /* MOBILE_CLIENT */]) ? __WEBPACK_IMPORTED_MODULE_3__settings_js__["k" /* SHADOW */].mobile : __WEBPACK_IMPORTED_MODULE_3__settings_js__["k" /* SHADOW */].desktop;
    this.shadowController = new __WEBPACK_IMPORTED_MODULE_4__shadow_ShadowController__["a" /* ShadowController */](props);

    render();
}

Engine.prototype = Object.create(__WEBPACK_IMPORTED_MODULE_0__SceneEntity_js__["a" /* SceneEntity */].prototype);
Engine.constructor = Engine;

Engine.prototype.resize = function () {
    this.camera.aspect = this.domelement.clientWidth / this.domelement.clientHeight;
    this.camera.updateProjectionMatrix();
    this.renderer.setSize(this.domelement.clientWidth, this.domelement.clientHeight);
    if (this.composer) {
        this.composer.setSize(this.domelement.clientWidth, this.domelement.clientHeight);
    }
    if (this.effectFXAA) {
        this.effectFXAA.uniforms['resolution'].value.set(1 / this.domelement.clientWidth, 1 / this.domelement.clientHeight);
    }
};

Engine.prototype.updateFpsCounter = function () {
    this.engineInfo.frames++;
    this.engineInfo.now = Date.now();

    if (this.engineInfo.now >= this.engineInfo.prevTime + 1000) {
        const value = Math.round((this.engineInfo.frames * 1000) / (this.engineInfo.now - this.engineInfo.prevTime));
        this.engineInfo.value = value;
        this.engineInfo.prevTime = this.engineInfo.now;
        this.engineInfo.frames = 0;
    }

};



/***/ }),
/* 12 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GammaCorrectionShader; });
/**
 * Gamma Correction Shader
 * http://en.wikipedia.org/wiki/gamma_correction
 */

const GammaCorrectionShader = {

    uniforms: {

        'tDiffuse': { value: null }

    },

    vertexShader: /* glsl */`

		varying vec2 vUv;

		void main() {

			vUv = uv;
			gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );

		}`,

    fragmentShader: /* glsl */`

		uniform sampler2D tDiffuse;

		varying vec2 vUv;

		void main() {

			vec4 tex = texture2D( tDiffuse, vUv );

			gl_FragColor = LinearTosRGB( tex );

		}`

};



/***/ }),
/* 13 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CSM; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__Frustum_js__ = __webpack_require__(14);


const _cameraToLightMatrix = new THREE.Matrix4();
const _lightSpaceFrustum = new __WEBPACK_IMPORTED_MODULE_0__Frustum_js__["a" /* default */]();
const _center = new THREE.Vector3();
const _bbox = new THREE.Box3();
const _uniformArray = [];
const _logArray = [];

class CSM {

	constructor( data ) {

		data = data || {};

		this.camera = data.camera;
		this.parent = data.parent;
		this.cascades = data.cascades || 2;
		this.maxFar = data.maxFar || 100000;
		this.mode = data.mode || 'practical';
		this.shadowMapSize = data.shadowMapSize || 2048;
		this.shadowBias = data.shadowBias || [0.000001, 0.000001,0.000001,0.000001];
		this.lightDirection = data.lightDirection.normalize() || new THREE.Vector3( 1, - 1, 1 ).normalize();
		this.lightIntensity = data.lightIntensity || 1;
		this.lightNear = data.lightNear || 1;
		this.lightFar = data.lightFar || 2000;
		this.lightMargin = data.lightMargin || 200;
		this.customSplitsCallback = data.customSplitsCallback;
		this.fade = false;
		this.mainFrustum = new __WEBPACK_IMPORTED_MODULE_0__Frustum_js__["a" /* default */]();
		this.frustums = [];
		this.breaks = [];
		this.lights = [];

		this.createLights();
	}

	createLights() {

		for ( let i = 0; i < this.cascades; i ++ ) {

			const light = new THREE.DirectionalLight( 0xffffff, this.lightIntensity );
			light.castShadow = true;
			light.shadow.mapSize.width = this.shadowMapSize;
			light.shadow.mapSize.height = this.shadowMapSize;

			light.shadow.camera.near = this.lightNear;
			light.shadow.camera.far = this.lightFar;
			light.shadow.bias = this.shadowBias[i];

			light.shadow.normalBias = 0.15;
			light.shadow.radius = 1.5;

			this.parent.add( light );
			this.parent.add( light.target );
			this.lights.push( light );
		}

	}

	initCascades() {

		const camera = this.camera;
		camera.updateProjectionMatrix();
		this.mainFrustum.setFromProjectionMatrix( camera.projectionMatrix, this.maxFar );
		this.mainFrustum.split( this.breaks, this.frustums );

	}

	updateShadowBounds() {

		const frustums = this.frustums;
		for ( let i = 0; i < frustums.length; i ++ ) {

			const light = this.lights[ i ];
			const shadowCam = light.shadow.camera;
			const frustum = this.frustums[ i ];

			// Get the two points that represent that furthest points on the frustum assuming
			// that's either the diagonal across the far plane or the diagonal across the whole
			// frustum itself.
			const nearVerts = frustum.vertices.near;
			const farVerts = frustum.vertices.far;
			const point1 = farVerts[ 0 ];
			let point2;
			if ( point1.distanceTo( farVerts[ 2 ] ) > point1.distanceTo( nearVerts[ 2 ] ) ) {

				point2 = farVerts[ 2 ];

			} else {

				point2 = nearVerts[ 2 ];

			}

			let squaredBBWidth = point1.distanceTo( point2 );
			if ( this.fade ) {

				// expand the shadow extents by the fade margin if fade is enabled.
				const camera = this.camera;
				const far = Math.max( camera.far, this.maxFar );
				const linearDepth = frustum.vertices.far[ 0 ].z / ( far - camera.near );
				const margin = 0.25 * Math.pow( linearDepth, 2.0 ) * ( far - camera.near );

				squaredBBWidth += margin;

			}

			shadowCam.left = - squaredBBWidth / 2;
			shadowCam.right = squaredBBWidth / 2;
			shadowCam.top = squaredBBWidth / 2;
			shadowCam.bottom = - squaredBBWidth / 2;
			shadowCam.updateProjectionMatrix();

		}

	}

	getBreaks() {

		const camera = this.camera;
		const far = Math.min( camera.far, this.maxFar );
		this.breaks.length = 0;

		switch ( this.mode ) {

			case 'uniform':
				uniformSplit( this.cascades, camera.near, far, this.breaks );
				break;
			case 'logarithmic':
				logarithmicSplit( this.cascades, camera.near, far, this.breaks );
				break;
			case 'practical':
				practicalSplit( this.cascades, camera.near, far, 0.5, this.breaks );
				break;
			case 'custom':
				if ( this.customSplitsCallback === undefined ) console.error( 'CSM: Custom split scheme callback not defined.' );
				this.customSplitsCallback( this.cascades, camera.near, far, this.breaks );
				break;

		}

		function uniformSplit( amount, near, far, target ) {

			for ( let i = 1; i < amount; i ++ ) {

				target.push( ( near + ( far - near ) * i / amount ) / far );

			}

			target.push( 1 );

		}

		function logarithmicSplit( amount, near, far, target ) {

			for ( let i = 1; i < amount; i ++ ) {

				target.push( ( near * ( far / near ) ** ( i / amount ) ) / far );

			}

			target.push( 1 );

		}

		function practicalSplit( amount, near, far, lambda, target ) {

			_uniformArray.length = 0;
			_logArray.length = 0;
			logarithmicSplit( amount, near, far, _logArray );
			uniformSplit( amount, near, far, _uniformArray );

			for ( let i = 1; i < amount; i ++ ) {

				target.push( THREE.MathUtils.lerp( _uniformArray[ i - 1 ], _logArray[ i - 1 ], lambda ) );

			}

			target.push( 1 );

		}

	}

	update() {

		const camera = this.camera;
		const frustums = this.frustums;
		for ( let i = 0; i < frustums.length; i ++ ) {

			const light = this.lights[ i ];
			const shadowCam = light.shadow.camera;
			const texelWidth = ( shadowCam.right - shadowCam.left ) / this.shadowMapSize;
			const texelHeight = ( shadowCam.top - shadowCam.bottom ) / this.shadowMapSize;
			light.shadow.camera.updateMatrixWorld( true );
			_cameraToLightMatrix.multiplyMatrices( light.shadow.camera.matrixWorldInverse, camera.matrixWorld );
			frustums[ i ].toSpace( _cameraToLightMatrix, _lightSpaceFrustum );

			const nearVerts = _lightSpaceFrustum.vertices.near;
			const farVerts = _lightSpaceFrustum.vertices.far;
			_bbox.makeEmpty();
			for ( let j = 0; j < 4; j ++ ) {

				_bbox.expandByPoint( nearVerts[ j ] );
				_bbox.expandByPoint( farVerts[ j ] );

			}

			_bbox.getCenter( _center );
			_center.z = _bbox.max.z + this.lightMargin;
			_center.x = Math.floor( _center.x / texelWidth ) * texelWidth;
			_center.y = Math.floor( _center.y / texelHeight ) * texelHeight;
			_center.applyMatrix4( light.shadow.camera.matrixWorld );

			light.position.copy( _center );
			light.target.position.copy( _center );

			light.target.position.x += this.lightDirection.x;
			light.target.position.y += this.lightDirection.y;
			light.target.position.z += this.lightDirection.z;

		}

	}

	setupMaterial( material ) {
		if (material.userData.effect) {
			this.updateFrustums(material);
		}
	}

	updateUniforms(material) {
		const far = Math.min( this.camera.far, this.maxFar );

		material.defines = material.defines || {};
		material.defines.USE_CSM = 1;
		material.defines.CSM_CASCADES = this.cascades;

		if ( this.fade ) {
			material.defines.CSM_FADE = '';
		}

		this.getExtendedBreaks( material.userData.uniforms.CSM_cascades.value );
		material.userData.uniforms.CSM_cameraNear.value = this.camera.near;
		material.userData.uniforms.CSM_shadowFar.value = far;

			if ( ! this.fade && 'CSM_FADE' in material.defines ) {

				delete material.defines.CSM_FADE;
				material.needsUpdate = true;

			} else if ( this.fade && ! ( 'CSM_FADE' in material.defines ) ) {

				material.defines.CSM_FADE = '';
				material.needsUpdate = true;

			}
	//	}
	}

	getExtendedBreaks( target ) {

		while ( target.length < this.breaks.length ) {

			target.push( new THREE.Vector2() );

		}
		target.length = this.breaks.length;

		for ( let i = 0; i < this.cascades; i ++ ) {

			let amount = this.breaks[ i ];
			let prev = this.breaks[ i - 1 ] || 0;
			target[ i ].x = prev;
			target[ i ].y = amount;

		}

	}

	updateFrustums(material) {
		this.getBreaks();
		this.initCascades();
		this.updateShadowBounds();
		this.updateUniforms(material);
	}

	remove() {
		for ( let i = 0; i < this.lights.length; i ++ ) {
			this.parent.remove(this.lights[ i ].target);
			this.parent.remove( this.lights[ i ] );
		}
		this.lights.length = 0;
	}

	dispose() {

		const shaders = this.shaders;
		shaders.forEach( function ( shader, material ) {

			delete material.onBeforeCompile;
			delete material.defines.USE_CSM;
			delete material.defines.CSM_CASCADES;
			delete material.defines.CSM_FADE;

			delete shader.uniforms.CSM_cascades;
			delete shader.uniforms.cameraNear;
			delete shader.uniforms.shadowFar;

			material.needsUpdate = true;

		} );
		shaders.clear();

	}

}

//CSM.Helper = CSMHelper;



/***/ }),
/* 14 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
const inverseProjectionMatrix = new THREE.Matrix4();

class Frustum {

	constructor( data ) {

		data = data || {};

		this.vertices = {
			near: [
				new THREE.Vector3(),
				new THREE.Vector3(),
				new THREE.Vector3(),
				new THREE.Vector3()
			],
			far: [
				new THREE.Vector3(),
				new THREE.Vector3(),
				new THREE.Vector3(),
				new THREE.Vector3()
			]
		};

		if ( data.projectionMatrix !== undefined ) {

			this.setFromProjectionMatrix( data.projectionMatrix, data.maxFar || 10000 );

		}

	}

	setFromProjectionMatrix( projectionMatrix, maxFar ) {

		const isOrthographic = projectionMatrix.elements[ 2 * 4 + 3 ] === 0;


		inverseProjectionMatrix.copy(projectionMatrix).invert();


		// 3 --- 0  vertices.near/far order
		// |     |
		// 2 --- 1
		// clip space spans from [-1, 1]

		this.vertices.near[ 0 ].set( 1, 1, - 1 );
		this.vertices.near[ 1 ].set( 1, - 1, - 1 );
		this.vertices.near[ 2 ].set( - 1, - 1, - 1 );
		this.vertices.near[ 3 ].set( - 1, 1, - 1 );
		this.vertices.near.forEach( function ( v ) {

			v.applyMatrix4( inverseProjectionMatrix );

		} );

		this.vertices.far[ 0 ].set( 1, 1, 1 );
		this.vertices.far[ 1 ].set( 1, - 1, 1 );
		this.vertices.far[ 2 ].set( - 1, - 1, 1 );
		this.vertices.far[ 3 ].set( - 1, 1, 1 );
		this.vertices.far.forEach( function ( v ) {

			v.applyMatrix4( inverseProjectionMatrix );

			const absZ = Math.abs( v.z );
			if ( isOrthographic ) {

				v.z *= Math.min( maxFar / absZ, 1.0 );

			} else {

				v.multiplyScalar( Math.min( maxFar / absZ, 1.0 ) );

			}

		} );

		return this.vertices;

	}

	split( breaks, target ) {

		while ( breaks.length > target.length ) {

			target.push( new Frustum() );

		}
		target.length = breaks.length;

		for ( let i = 0; i < breaks.length; i ++ ) {

			const cascade = target[ i ];

			if ( i === 0 ) {

				for ( let j = 0; j < 4; j ++ ) {

					cascade.vertices.near[ j ].copy( this.vertices.near[ j ] );

				}

			} else {

				for ( let j = 0; j < 4; j ++ ) {

					cascade.vertices.near[ j ].lerpVectors( this.vertices.near[ j ], this.vertices.far[ j ], breaks[ i - 1 ] );

				}

			}

			if ( i === breaks.length - 1 ) {

				for ( let j = 0; j < 4; j ++ ) {

					cascade.vertices.far[ j ].copy( this.vertices.far[ j ] );

				}

			} else {

				for ( let j = 0; j < 4; j ++ ) {

					cascade.vertices.far[ j ].lerpVectors( this.vertices.near[ j ], this.vertices.far[ j ], breaks[ i ] );

				}

			}

		}

	}

	toSpace( cameraMatrix, target ) {

		for ( var i = 0; i < 4; i ++ ) {

			target.vertices.near[ i ]
				.copy( this.vertices.near[ i ] )
				.applyMatrix4( cameraMatrix );

			target.vertices.far[ i ]
				.copy( this.vertices.far[ i ] )
				.applyMatrix4( cameraMatrix );

		}

	}

}
/* harmony export (immutable) */ __webpack_exports__["a"] = Frustum;


/***/ }),
/* 15 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CSMHelper; });
class CSMHelper extends THREE.Group {

	constructor( csm ) {

		super();
		this.csm = csm;
		this.displayFrustum = true;
		this.displayPlanes = false;
		this.displayShadowBounds = true;

		const indices = new Uint16Array( [ 0, 1, 1, 2, 2, 3, 3, 0, 4, 5, 5, 6, 6, 7, 7, 4, 0, 4, 1, 5, 2, 6, 3, 7 ] );
		const positions = new Float32Array( 24 );
		const frustumGeometry = new THREE.BufferGeometry();
		frustumGeometry.setIndex( new THREE.BufferAttribute( indices, 1 ) );
		frustumGeometry.setAttribute( 'position', new THREE.BufferAttribute( positions, 3, false ) );
		const frustumLines = new THREE.LineSegments( frustumGeometry, new THREE.LineBasicMaterial() );
		this.add( frustumLines );

		this.frustumLines = frustumLines;
		this.cascadeLines = [];
		this.cascadePlanes = [];
		this.shadowLines = [];

	}

	updateVisibility() {

		const displayFrustum = this.displayFrustum;
		const displayPlanes = this.displayPlanes;
		const displayShadowBounds = this.displayShadowBounds;

		const frustumLines = this.frustumLines;
		const cascadeLines = this.cascadeLines;
		const cascadePlanes = this.cascadePlanes;
		const shadowLines = this.shadowLines;
		for ( let i = 0, l = cascadeLines.length; i < l; i ++ ) {

			const cascadeLine = cascadeLines[ i ];
			const cascadePlane = cascadePlanes[ i ];
			const shadowLineGroup = shadowLines[ i ];

			cascadeLine.visible = displayFrustum;
			cascadePlane.visible = displayFrustum && displayPlanes;
			shadowLineGroup.visible = displayShadowBounds;

		}

		frustumLines.visible = displayFrustum;

	}

	update() {

		const csm = this.csm;
		const camera = csm.camera;
		const cascades = csm.cascades;
		const mainFrustum = csm.mainFrustum;
		const frustums = csm.frustums;
		const lights = csm.lights;

		const frustumLines = this.frustumLines;
		const frustumLinePositions = frustumLines.geometry.getAttribute( 'position' );
		const cascadeLines = this.cascadeLines;
		const cascadePlanes = this.cascadePlanes;
		const shadowLines = this.shadowLines;

		this.position.copy( camera.position );
		this.quaternion.copy( camera.quaternion );
		this.scale.copy( camera.scale );
		this.updateMatrixWorld( true );

		while( cascadeLines.length > cascades ) {

			this.remove( cascadeLines.pop() );
			this.remove( cascadePlanes.pop() );
			this.remove( shadowLines.pop() );

		}

		while( cascadeLines.length < cascades ) {

			const cascadeLine = new THREE.Box3Helper( new THREE.Box3(), 0xffffff );
			const planeMat = new THREE.MeshBasicMaterial( { transparent: true, opacity: 0.1, depthWrite: false, side: THREE.DoubleSide } );
			const cascadePlane = new THREE.Mesh( new THREE.PlaneBufferGeometry(), planeMat );
			const shadowLineGroup = new THREE.Group();
			const shadowLine = new THREE.Box3Helper( new THREE.Box3(), 0xffff00 );
			shadowLineGroup.add( shadowLine );

			this.add( cascadeLine );
			this.add( cascadePlane );
			this.add( shadowLineGroup );

			cascadeLines.push( cascadeLine );
			cascadePlanes.push( cascadePlane );
			shadowLines.push( shadowLineGroup );

		}

		for ( let i = 0; i < cascades; i ++ ) {

			const frustum = frustums[ i ];
			const light = lights[ i ];
			const shadowCam = light.shadow.camera;
			const farVerts = frustum.vertices.far;

			const cascadeLine = cascadeLines[ i ];
			const cascadePlane = cascadePlanes[ i ];
			const shadowLineGroup = shadowLines[ i ];
			const shadowLine = shadowLineGroup.children[ 0 ];

			cascadeLine.box.min.copy( farVerts[ 2 ] );
			cascadeLine.box.max.copy( farVerts[ 0 ] );
			cascadeLine.box.max.z += 1e-4;

			cascadePlane.position.addVectors( farVerts[ 0 ], farVerts[ 2 ] );
			cascadePlane.position.multiplyScalar( 0.5 );
			cascadePlane.scale.subVectors( farVerts[ 0 ], farVerts[ 2 ] );
			cascadePlane.scale.z = 1e-4;

			this.remove( shadowLineGroup );
			shadowLineGroup.position.copy( shadowCam.position );
			shadowLineGroup.quaternion.copy( shadowCam.quaternion );
			shadowLineGroup.scale.copy( shadowCam.scale );
			shadowLineGroup.updateMatrixWorld( true );
			this.attach( shadowLineGroup );

			shadowLine.box.min.set( shadowCam.bottom, shadowCam.left, - shadowCam.far );
			shadowLine.box.max.set( shadowCam.top, shadowCam.right, - shadowCam.near );

		}

		const nearVerts = mainFrustum.vertices.near;
		const farVerts = mainFrustum.vertices.far;
		frustumLinePositions.setXYZ( 0, farVerts[ 0 ].x, farVerts[ 0 ].y, farVerts[ 0 ].z );
		frustumLinePositions.setXYZ( 1, farVerts[ 3 ].x, farVerts[ 3 ].y, farVerts[ 3 ].z );
		frustumLinePositions.setXYZ( 2, farVerts[ 2 ].x, farVerts[ 2 ].y, farVerts[ 2 ].z );
		frustumLinePositions.setXYZ( 3, farVerts[ 1 ].x, farVerts[ 1 ].y, farVerts[ 1 ].z );

		frustumLinePositions.setXYZ( 4, nearVerts[ 0 ].x, nearVerts[ 0 ].y, nearVerts[ 0 ].z );
		frustumLinePositions.setXYZ( 5, nearVerts[ 3 ].x, nearVerts[ 3 ].y, nearVerts[ 3 ].z );
		frustumLinePositions.setXYZ( 6, nearVerts[ 2 ].x, nearVerts[ 2 ].y, nearVerts[ 2 ].z );
		frustumLinePositions.setXYZ( 7, nearVerts[ 1 ].x, nearVerts[ 1 ].y, nearVerts[ 1 ].z );
		frustumLinePositions.needsUpdate = true;

	}

}



/***/ }),
/* 16 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MouseEventsHandler; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__settings_js__ = __webpack_require__(1);



function MouseEventsHandler(domElement) {

    var context = this;

    var container = domElement;

    this.mouseCaptured = false;
    this.mouseMoved = false;
    this.lastMouseX = null;
    this.lastMouseY = null;

    this.mousePosition = new THREE.Vector2();

    function updateMouseScreenPosition(pointerCoords) {

        context.mousePosition.x = ((pointerCoords[0] / container.clientWidth) * 2 - 1);
        context.mousePosition.y = (-(pointerCoords[1] / container.clientHeight) * 2 + 1);

    }

    function getPointerCoord(event, prevX, prevY) {
        var coord = [ 0, 0, 0, 0 ];

        var cx = event.clientX;
        var cy = event.clientY;
        if (event.changedTouches) {
            cx = event.changedTouches[0].clientX;
            cy = event.changedTouches[0].clientY;
        }

        var clientRect = container.getBoundingClientRect();
        coord[0] = cx - clientRect.left;
        coord[1] = cy - clientRect.top;
        coord[2] = coord[0] - prevX;
        coord[3] = coord[1] - prevY;

        return coord;
    }

    function onSelectorUp(event) {
        if (__WEBPACK_IMPORTED_MODULE_1__settings_js__["i" /* MOBILE_CLIENT */]) {
            event.preventDefault();
            event.stopPropagation();
        }

        var pt = getPointerCoord(event, context.lastMouseX, context.lastMouseY);

        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("mouse.up", {event: event, button: event.changedTouches ? 0 : event.button, x: pt[0], y: pt[1]});

        if (context.mouseCaptured && !context.mouseMoved) __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("mouse.click", {event: event, button: event.changedTouches ? 0 : event.button, x: pt[0], y: pt[1]});

        context.mouseMoved = false;
        context.mouseCaptured = false;
    }

    function onSelectorDown(event) {
        if (__WEBPACK_IMPORTED_MODULE_1__settings_js__["i" /* MOBILE_CLIENT */]) {
            event.preventDefault();
            event.stopPropagation();
        }

        var pt = getPointerCoord(event, context.lastMouseX, context.lastMouseY);
        context.lastMouseX = pt[0];
        context.lastMouseY = pt[1];

        context.mouseCaptured = true;
        context.mouseMoved = false;

        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("mouse.down", {button: event.button, x: pt[0], y: pt[1], event: event});
    }

    function onSelectorMove(event) {
        if (__WEBPACK_IMPORTED_MODULE_1__settings_js__["i" /* MOBILE_CLIENT */]) event.stopPropagation();

        event.preventDefault();

        var pt = getPointerCoord(event, context.lastMouseX, context.lastMouseY);
        context.lastMouseX = pt[0];
        context.lastMouseY = pt[1];

        var sendEvent = false;
        if (__WEBPACK_IMPORTED_MODULE_1__settings_js__["i" /* MOBILE_CLIENT */]) sendEvent = (Math.sqrt(pt[2] * pt[2] + pt[3] * pt[3]) >= 0);
        else sendEvent = (pt[2] || pt[3]);

        if (!context.mouseMoved && sendEvent) context.mouseMoved = true;

        updateMouseScreenPosition(pt);

        if (document.pointerLockElement) {
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("mouse.move", {
                move: true,
                x: pt[0],
                y: pt[1],
                sx: context.mousePosition.x,
                sy: context.mousePosition.y,
                event: event
            });
        } else {
            if (sendEvent) {
                if (context.mouseCaptured) __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("mouse.view", {view: true, x: pt[2], y: pt[3], event: event});

                __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("mouse.move", {
                    move: true,
                    x: pt[0],
                    y: pt[1],
                    sx: context.mousePosition.x,
                    sy: context.mousePosition.y,
                    event: event
                });
            }
        }
        
    }

    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("MouseEventsHandler.cursorPosition", this, function() {
        return {x: context.lastMouseX, y: context.lastMouseY}
    });

    function onSelectorScroll(event) {

        var e = event || window.event;
        var delta = e.deltaY || e.detail || e.wheelDelta;
        e.preventDefault();
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("mouse.scroll", Math.sign(delta));

    }

    document.addEventListener('pointerlockchange', () => {
        if (document.pointerLockElement) {
            container.removeEventListener("mousedown", onSelectorDown);
            container.removeEventListener("mouseup", onSelectorUp);
            container.removeEventListener("mousemove", onSelectorMove);
            document.addEventListener("mousedown", onSelectorDown, false);
            document.addEventListener("mouseup", onSelectorUp, false);
            document.addEventListener("mousemove", onSelectorMove, false);

        } else {
            document.removeEventListener("mousedown", onSelectorDown);
            document.removeEventListener("mouseup", onSelectorUp);
            document.removeEventListener("mousemove", onSelectorMove);
            container.addEventListener("mousedown", onSelectorDown, false);
            container.addEventListener("mouseup", onSelectorUp, false);
            container.addEventListener("mousemove", onSelectorMove, false);
        }
    }, false);

    if (__WEBPACK_IMPORTED_MODULE_1__settings_js__["i" /* MOBILE_CLIENT */]) {

        container.addEventListener("touchstart", onSelectorDown, false);
        container.addEventListener("touchmove", onSelectorMove, false);
        // document.addEventListener("touchmove", onSelectorMove, false);
        container.addEventListener("touchcancel", onSelectorUp, false);
        container.addEventListener("touchend", onSelectorUp, false);
        // document.addEventListener("touchend", onSelectorUp, false);

    }
    else {
        
        container.addEventListener("mousedown", onSelectorDown, false);
        container.addEventListener("mouseup", onSelectorUp, false);
        container.addEventListener("mousemove", onSelectorMove, false);

        if ("onwheel" in document) {
            container.addEventListener("wheel", onSelectorScroll, false);
        }
        else if ("onmousewheel" in document) {
            container.addEventListener("mousewheel", onSelectorScroll, false);
        }
        else {
            container.addEventListener("MozMousePixelScroll", onSelectorScroll, false);
        }
    }

    container.addEventListener("contextmenu",
        function(event) {
            event.preventDefault();
        }, false);
}




/***/ }),
/* 17 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return KeyboardEventsHandler; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__ = __webpack_require__(0);


function KeyboardEventsHandler(domElement) {

    var container = domElement;

    var lastKey = null;
    var timeout = null;

    container.addEventListener("keydown",
        function(event) {
            if (!event.code) return;
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown." + event.code, event);

            return false;
        }, false);

    container.addEventListener("keyup",
        function(event) {
            if (!event.code) return;

            if (lastKey && lastKey == event.keyCode) {
                clearTimeout(timeout);
                lastKey = null;
                __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.doublekey." + event.code, event);

            }
            else {
                lastKey = event.keyCode;
                timeout = setTimeout(function() {
                    lastKey = null;
                }, 600);
            }

            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup." + event.code, event);
            return false;
        }, false);

    container.addEventListener("keypress",
        function(event) {

            if (!event.code) return;
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keypress." + event.code, event);
        }, false);

}




/***/ }),
/* 18 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SceneController; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_SceneEntity_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__Scene_js__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_EventDispatcher_js__ = __webpack_require__(0);




function SceneController() {

    __WEBPACK_IMPORTED_MODULE_0__base_SceneEntity_js__["a" /* SceneEntity */].call(this, name);
    this.matrixAutoUpdate = false;

    this.scenes = {};
    this.activeScene = null;

    __WEBPACK_IMPORTED_MODULE_2__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("SceneController.activateScene", this, this.activateScene);
    __WEBPACK_IMPORTED_MODULE_2__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("SceneController.getSceneByName", this, this.getSceneByName);
}

SceneController.prototype = Object.create(__WEBPACK_IMPORTED_MODULE_0__base_SceneEntity_js__["a" /* SceneEntity */].prototype);
SceneController.constructor = SceneController;

SceneController.prototype.add = function(scene) {
    if (scene instanceof __WEBPACK_IMPORTED_MODULE_1__Scene_js__["a" /* Scene */]) {
        if (this.scenes[scene.name]) {
            console.log("Error: Scene with name >>>" + scene.name + "<<< alreade exist");
            return;
        }

        this.scenes[scene.name] = scene;
    }
    else {
        console.log("Error: Object is not instanceof VG.GameScene");
    }
};

SceneController.prototype.remove = function(scene) {
    if (scene instanceof __WEBPACK_IMPORTED_MODULE_1__Scene_js__["a" /* Scene */]) {
        if (this.scenes[scene.name]) {
            console.log("Error: Scene with name >>>" + scene.name + "<<< alreade exist");
            return;
        }

        this.scenes[scene.name] = scene;
    }
    else {
        console.log("Error: Object is not instanceof VG.GameScene");
    }
};
SceneController.prototype.activateScene = function(name, data) {

    if (name instanceof __WEBPACK_IMPORTED_MODULE_1__Scene_js__["a" /* Scene */]) name = name.name;

    if (!this.scenes[name]) {
        console.log("Error: Scene with name >>>" + name + "<<< is not exist");
        return;
    }

    if (this.activeScene && this.activeScene.name == name) return;

    if (this.activeScene) {

        this.activeScene.deactivate();

        __WEBPACK_IMPORTED_MODULE_0__base_SceneEntity_js__["a" /* SceneEntity */].prototype.remove.call(this, this.activeScene.view);
    }

    this.activeScene = this.scenes[name];

    __WEBPACK_IMPORTED_MODULE_0__base_SceneEntity_js__["a" /* SceneEntity */].prototype.add.call(this, this.activeScene.view);

    this.activeScene.activate(data);
};

SceneController.prototype.update = function(dt) {
    if (this.activeScene && this.activeScene.update && this.activeScene.autoUpdate) this.activeScene.update(dt);
};

SceneController.prototype.getSceneByName = function(name) {
    if (this.scenes[name]) {
        return this.scenes[name];
    }
};




/***/ }),
/* 19 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return CameraController; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CAMERA_CONTROLLER_TYPE; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__settings__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__firstPerson_firstPerson__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__orbit_orbit__ = __webpack_require__(21);





const CAMERA_CONTROLLER_TYPE = {
    FIRST_PERSON: 0,
    ORBIT: 1,
}

const CameraController = function(scene, camera, domCanvasElement, domElement) {
    this.scene = scene;
    this.camera = camera;
    this.domElement = domElement;
    this.domCanvasElement = domCanvasElement;
    this.state = null;

    this.target = new THREE.Vector3();

    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("CameraController.setActiveCameraController", this, this.setActiveCameraController);
    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("CameraController.getActiveCameraController", this, function() {return this.state});

    this.cameraControllers = {};
    this.cameraControllers[CAMERA_CONTROLLER_TYPE.FIRST_PERSON] = new __WEBPACK_IMPORTED_MODULE_2__firstPerson_firstPerson__["a" /* FirstPerson */](this.scene, this.camera, this.domCanvasElement, this.domElement);
    this.cameraControllers[CAMERA_CONTROLLER_TYPE.ORBIT] = new __WEBPACK_IMPORTED_MODULE_3__orbit_orbit__["a" /* Orbit */](this.scene, this.camera, this.domCanvasElement);


    this.setActiveCameraController(CAMERA_CONTROLLER_TYPE.FIRST_PERSON, true);
    if (__WEBPACK_IMPORTED_MODULE_1__settings__["i" /* MOBILE_CLIENT */]) {
        this.setActiveCameraController(CAMERA_CONTROLLER_TYPE.FIRST_PERSON);
    }


    document.addEventListener('pointerlockchange', (e) => {
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].send("CameraController.pointerlockchange", document.pointerLockElement !== this.domElement);
    });

    this.domCanvasElement.addEventListener("click", (e) => {
        if (this.state === CAMERA_CONTROLLER_TYPE.FIRST_PERSON) {
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].send("FirstPerson.PointerLock.enable");
        }
    });

    document.addEventListener('pointerlockerror', (e) => {
        console.log(e);
    }, false);

}

CameraController.prototype = {

    constructor: CameraController,

    setActiveCameraController: function(type, start) {
        if (this.cameraControllers[this.state]) {
            if (this.state === CAMERA_CONTROLLER_TYPE.FIRST_PERSON) {
                const domElement = __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].query("Engine.get.renderer").domElement;
                const point = this.scene.raycast({x: domElement.clientWidth / 2, y: domElement.clientHeight / 2});
                if (point.distance < 500) {
                    this.target = point.point;
                    this.target.y = 0;
                } else {
                    const dst = 30;
                    const target = new THREE.Vector3();
                    this.cameraControllers[this.state].camera.getWorldDirection(target);
                    target.multiplyScalar(dst);
                    target.add(this.cameraControllers[this.state].camera.position);

                    this.target = target;
                    this.target.y = 0;
                }
                
            } else {
                this.target = this.cameraControllers[this.state].controller.target.clone();
            }
            
            this.cameraControllers[this.state].remove();
        }
        this.state = type;
        if (this.cameraControllers[type]) {
            this.cameraControllers[type].init(this.target);
            __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].send("CameraController.updateCameraControllerType", type, start);
        }
    },

    
}



/***/ }),
/* 20 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FirstPerson; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__cameras_FirstPersonControls__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__settings__ = __webpack_require__(1);




const FirstPerson = function (scene, camera, domCanvasElement, domElement) {
    this.scene = scene;
    this.camera = camera;
    this.domElement = domElement;
    this.domCanvasElement = domCanvasElement;
    this.controller = null;
}

FirstPerson.prototype = {

    constructor: FirstPerson,

    init(target) {
        this.controller = new __WEBPACK_IMPORTED_MODULE_1__cameras_FirstPersonControls__["a" /* FirstPersonControls */](this.camera, this.domCanvasElement, this.domElement);
        this.controller.movementSpeed = 25;
        this.controller.lookSpeed = 0.05;
        this.controller.initEvent();
        this.controller.target = target;
        this.camera.lookAt(target.x, target.y, target.z);
        this.scene.add(this.controller);

        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("Input.enable", this, this.inputEnable);
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("Input.disable", this, this.inputDisable);

        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("FirstPerson.PointerLock.enable", this, this.pointerLockEnable);
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("FirstPerson.PointerLock.disable", this, this.pointerLockDisable);
    },
    remove() {
        this.controller.removeEvent();
        this.scene.remove(this.controller);

        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].unbind("Input.enable", this.inputEnable);
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].unbind("Input.disable", this.inputDisable);

        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].unbind("FirstPerson.PointerLock.enable", this.pointerLockEnable);
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].unbind("FirstPerson.PointerLock.disable", this.pointerLockDisable);
    },

    inputEnable() {
        this.controller.enabled = true
    },

    inputDisable() {
        this.controller.enabled = false
    },

    pointerLockEnable() {
        if (__WEBPACK_IMPORTED_MODULE_2__settings__["i" /* MOBILE_CLIENT */]) {
            return;
        }
        this.domElement.requestPointerLock();
    },

    pointerLockDisable() {
        if (__WEBPACK_IMPORTED_MODULE_2__settings__["i" /* MOBILE_CLIENT */]) {
            return;
        }
        document.exitPointerLock();
    },

}



/***/ }),
/* 21 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Orbit; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__cameras_CameraControllerOrbit__ = __webpack_require__(9);



const Orbit = function(scene, camera, domElement) {
    this.scene = scene;
    this.camera = camera;
    this.domElement = domElement;
    this.controller = null;


}

Orbit.prototype = {

    constructor: Orbit,

    init(target) {
        this.controller = new __WEBPACK_IMPORTED_MODULE_1__cameras_CameraControllerOrbit__["a" /* CameraControllerOrbit */](this.camera, this.domElement);
        this.controller.maxPolarAngle = Math.PI;
        this.controller.minDistance = 1;
        this.controller.maxDistance = 100;
        this.controller.target = target;
        this.camera.lookAt(target.x, target.y, target.z);
        this.controller.initEvent();
        this.scene.add(this.controller);

        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("Input.enable", this, this.inputEnable);
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("Input.disable", this, this.inputDisable);
    },
    remove() {
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].unbind("Input.enable", this.inputEnable);
        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].unbind("Input.disable", this.inputDisable);

        this.controller.removeEvent();
        this.scene.remove(this.controller);
    },

    inputEnable() {
        this.controller.enabled = true
    },

    inputDisable() {
        this.controller.enabled = false
    },

}



/***/ }),
/* 22 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ViewHelper; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__ = __webpack_require__(0);


class ViewHelper extends THREE.Object3D {

	constructor(editorCamera) {

		super();
		//rgba(37, 47, 56, 1)
		//rgb(23, 29, 34)
		//rgb(9, 11, 13)
		const color1 = new THREE.Color('rgb(37, 47, 56)');

		const geometry = new THREE.BoxGeometry( 0.8, 0.04, 0.04 ).translate( 0.4, 0, 0 );

		const xAxis = new THREE.Mesh( geometry, getAxisMaterial( color1 ) );
        xAxis.ignoreRaycaster = true;
		const yAxis = new THREE.Mesh( geometry, getAxisMaterial( color1 ) );
        yAxis.ignoreRaycaster = true;
		const zAxis = new THREE.Mesh( geometry, getAxisMaterial( color1 ) );
        zAxis.ignoreRaycaster = true;

		yAxis.rotation.z = Math.PI / 2;
		zAxis.rotation.y = - Math.PI / 2;

		this.add( xAxis );
		this.add( zAxis );
		this.add( yAxis );

		const posXAxisHelper = new THREE.Sprite( getSpriteMaterial( color1, 'X' ) );
		posXAxisHelper.userData.type = 'posX';
		const posYAxisHelper = new THREE.Sprite( getSpriteMaterial( color1, 'Y' ) );
		posYAxisHelper.userData.type = 'posY';
		const posZAxisHelper = new THREE.Sprite( getSpriteMaterial( color1, 'Z' ) );
		posZAxisHelper.userData.type = 'posZ';
		// const negXAxisHelper = new THREE.Sprite( getSpriteMaterial( color1 ) );
		// negXAxisHelper.userData.type = 'negX';
		// const negYAxisHelper = new THREE.Sprite( getSpriteMaterial( color2 ) );
		// negYAxisHelper.userData.type = 'negY';
		// const negZAxisHelper = new THREE.Sprite( getSpriteMaterial( color3 ) );
		// negZAxisHelper.userData.type = 'negZ';

		posXAxisHelper.position.x = 1;
		posYAxisHelper.position.y = 1;
		posZAxisHelper.position.z = 1;
		// negXAxisHelper.position.x = - 1;
		// negXAxisHelper.scale.setScalar( 0.8 );
		// negYAxisHelper.position.y = - 1;
		// negYAxisHelper.scale.setScalar( 0.8 );
		// negZAxisHelper.position.z = - 1;
		// negZAxisHelper.scale.setScalar( 0.8 );

        posXAxisHelper.ignoreRaycaster = true;
		posYAxisHelper.ignoreRaycaster = true;
		posZAxisHelper.ignoreRaycaster = true;
		
		// negXAxisHelper.ignoreRaycaster = true;
		// negYAxisHelper.ignoreRaycaster = true;
		// negZAxisHelper.ignoreRaycaster = true;

		this.add( posXAxisHelper );
		this.add( posYAxisHelper );
		this.add( posZAxisHelper );
		// this.add( negXAxisHelper );
		// this.add( negYAxisHelper );
		// this.add( negZAxisHelper );

        this.scale.set(0.1, 0.1, 0.1);

		editorCamera.add(this);

		function addAxisHelper() {
			editorCamera.add(this);
		}

		function removeAxisHelper() {
			editorCamera.remove(this);
		}

		this.position.set((editorCamera.aspect * 0.83 - 0.2), -0.66, -2);
        
        this.updatePos = (o) => {
			this.quaternion.copy(o.quaternion).invert();
			this.position.set((editorCamera.aspect * 0.83 - 0.2), -0.66, -2);
        }

        __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("Camera.update", this, this.updatePos);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("ViewHelper.update", this, this.updatePos);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("ViewHelper.add", this, addAxisHelper);
		__WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher__["a" /* EventDispatcher */].bind("ViewHelper.remove", this, removeAxisHelper);

		function getAxisMaterial( color ) {

			const m = new THREE.MeshBasicMaterial( { color: color, toneMapped: false } );
			m.depthTest = false;
			m.depthWrite = false;
			m.transparent = true;
			m.needsUpdate = true;
			return m;

		}

		function getSpriteMaterial( color, text = null ) {

			const canvas = document.createElement( 'canvas' );
			canvas.width = 64;
			canvas.height = 64;

			const context = canvas.getContext( '2d' );
			context.beginPath();
			context.arc( 32, 32, 16, 0, 2 * Math.PI );
			context.closePath();
			context.fillStyle = color.getStyle();
			// context.fillStyle = "rgb(37, 47, 56)";
			context.fill();

			if ( text !== null ) {

				context.font = '24px Arial';
				context.textAlign = 'center';
				context.fillStyle = '#FFFFFF';
				context.fillText( text, 32, 41 );

			}

			const texture = new THREE.CanvasTexture( canvas );
			const m = new THREE.SpriteMaterial( { map: texture, toneMapped: false } );
			m.depthTest = false;
			m.depthWrite = false;
			m.transparent = true;
			m.needsUpdate = true;
			return m;

		}

		window.addEventListener("resize", () => {
			this.updatePos(editorCamera);
		});

	}

}



/***/ }),
/* 23 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return JoyStickEventsHandler; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ui_Container__ = __webpack_require__(7);




function JoyStickUI() {
    __WEBPACK_IMPORTED_MODULE_1__ui_Container__["a" /* Container */].apply(this, arguments);

    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("JoyStick.show", this, this.show);
    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("JoyStick.hide", this, this.hide);

    const tempModalMenu = document.getElementById('temp__joystick');
    this.modalWrapper = tempModalMenu.content.getElementById('joystick-wrapper').cloneNode(true);
    this.modalWrapper.classList.add("mobile");
    this.add(this.modalWrapper);
    arguments[1].appendChild(this.view);

    // this.hide();
    this.modalOpen = false;
}

JoyStickUI.prototype = Object.create(__WEBPACK_IMPORTED_MODULE_1__ui_Container__["a" /* Container */].prototype);
JoyStickUI.constructor = JoyStickUI;


const JoyStickEventsHandler = function (scene, domElement) {
    this.scene = scene;
    this.domElement = domElement;

    this.createUI();
    this.initJoyStick();

    this.joyStickState = {
        x: 0,
        y: 0,
    }

    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].bind("JoyStickEventsHandler.getState", this, function() {
        return this.joyStickState;
    });
}

JoyStickEventsHandler.prototype = {

    constructor: JoyStickEventsHandler,

    createUI() {
        this.UI = new JoyStickUI("joystickUI", this.domElement);
    },

    initJoyStick() {
        this.joystick = new JoyStick("joystick-wrapper", {
            internalFillColor: "rgb(74 114 219 / 10%)",
            internalStrokeColor: "#4A72DB",
            externalLineWidth: 1,
            externalStrokeColor: "#4A72DB",
        }, e => {
            this.joyStickState.x = Math.abs(+e.x) / 100;
            this.joyStickState.y = Math.abs(+e.y) / 100;
            switch (e.cardinalDirection) {
                case "N":
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyS");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyA");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyD");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyW");
                    break;
                case "NW":
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyS");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyD");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyW");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyA");
                    break;
                case "NE":
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyA");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyS");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyW");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyD");
                    break;
                case "S":
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyW");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyA");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyD");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyS");
                    break;
                case "SW":
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyW");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyD");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyS");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyA");
                    break;
                case "SE":
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyW");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyA");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyS");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyD");
                    break;
                case "W":
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyW");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyD");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyS");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyA");
                    break;
                case "E":
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyA");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyW");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyS");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keydown.KeyD");
                    break;
                case "C":
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyW");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyS");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyA");
                    __WEBPACK_IMPORTED_MODULE_0__base_EventDispatcher_js__["a" /* EventDispatcher */].send("keyboard.keyup.KeyD");
                    break;

                default:
                    break;
            }
        });
    },

}



/***/ }),
/* 24 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Utils; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__settings__ = __webpack_require__(1);


function Utils() {
}

Utils.hashCode = function (str) {
    let hash = 0;
    if (str.length === 0) {
        return hash;
    }
    for (let i = 0; i < str.length; i++) {
        const char = str.charCodeAt(i);
        hash = ((hash << 5) - hash) + char;
        hash = hash & hash;
    }
    return hash.toString();
}

Utils.getClient = function () {
    return (__WEBPACK_IMPORTED_MODULE_0__settings__["i" /* MOBILE_CLIENT */]) ? 'MOBILE' : 'DESKTOP';
}

Utils.getRandomInt = function () {
    return Math.floor(Math.random() * (9223372036854775807));
}

Utils.setMatrix = function (pos, rot) {
    let matrix = new THREE.Matrix4();
    matrix.makeRotationFromEuler(rot);
    matrix.setPosition(pos);
    return matrix
}




/***/ }),
/* 25 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FpsControll; });
function FpsControll(fpsInterval) {
    this.fpsInterval = fpsInterval
    this.now = Date.now();
    this.elapsedTime = 0;
    this.then = 0;
}

FpsControll.prototype.updated = function () {
    this.now = Date.now();
    this.elapsedTime = this.now - this.then;

    if (this.elapsedTime > this.fpsInterval) {
        this.then = this.now - (this.elapsedTime % this.fpsInterval);
        return true;
    } else {
        return false;
    }
};





/***/ }),
/* 26 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return promsesFuncWorker; });

const promsesFuncWorker = fn => {
    const workerHandler = fn => {
        onmessage = e => {
            postMessage(fn(e.data))
        }
    }
    return (data) => {
        const worker = new Worker(
            URL.createObjectURL(
                new Blob([`(${workerHandler})(${fn})`])
            )
        );
        return new Promise((res, rej) => {
            worker.onmessage = (e) => {
                worker.terminate();
                res(e.data);
            }
            worker.onerror = (e) => {
                worker.terminate();
                rej(e.message);
            }
            worker.postMessage(data);
        });
    }
}



/***/ }),
/* 27 */
/***/ (function(module, exports) {

( function () {

	class DDSLoader extends THREE.CompressedTextureLoader {

		constructor( manager ) {

			super( manager );

		}

		parse( buffer, loadMipmaps ) {

			const dds = {
				mipmaps: [],
				width: 0,
				height: 0,
				format: null,
				mipmapCount: 1
			}; // Adapted from @toji's DDS utils
			// https://github.com/toji/webgl-texture-utils/blob/master/texture-util/dds.js
			// All values and structures referenced from:
			// http://msdn.microsoft.com/en-us/library/bb943991.aspx/

			const DDS_MAGIC = 0x20534444; // let DDSD_CAPS = 0x1;
			// let DDSD_HEIGHT = 0x2;
			// let DDSD_WIDTH = 0x4;
			// let DDSD_PITCH = 0x8;
			// let DDSD_PIXELFORMAT = 0x1000;

			const DDSD_MIPMAPCOUNT = 0x20000; // let DDSD_LINEARSIZE = 0x80000;
			// let DDSD_DEPTH = 0x800000;
			// let DDSCAPS_COMPLEX = 0x8;
			// let DDSCAPS_MIPMAP = 0x400000;
			// let DDSCAPS_TEXTURE = 0x1000;

			const DDSCAPS2_CUBEMAP = 0x200;
			const DDSCAPS2_CUBEMAP_POSITIVEX = 0x400;
			const DDSCAPS2_CUBEMAP_NEGATIVEX = 0x800;
			const DDSCAPS2_CUBEMAP_POSITIVEY = 0x1000;
			const DDSCAPS2_CUBEMAP_NEGATIVEY = 0x2000;
			const DDSCAPS2_CUBEMAP_POSITIVEZ = 0x4000;
			const DDSCAPS2_CUBEMAP_NEGATIVEZ = 0x8000; // let DDSCAPS2_VOLUME = 0x200000;
			// let DDPF_ALPHAPIXELS = 0x1;
			// let DDPF_ALPHA = 0x2;

			const DDPF_FOURCC = 0x4; // let DDPF_RGB = 0x40;
			// let DDPF_YUV = 0x200;
			// let DDPF_LUMINANCE = 0x20000;

			function fourCCToInt32( value ) {

				return value.charCodeAt( 0 ) + ( value.charCodeAt( 1 ) << 8 ) + ( value.charCodeAt( 2 ) << 16 ) + ( value.charCodeAt( 3 ) << 24 );

			}

			function int32ToFourCC( value ) {

				return String.fromCharCode( value & 0xff, value >> 8 & 0xff, value >> 16 & 0xff, value >> 24 & 0xff );

			}

			function loadARGBMip( buffer, dataOffset, width, height ) {

				const dataLength = width * height * 4;
				const srcBuffer = new Uint8Array( buffer, dataOffset, dataLength );
				const byteArray = new Uint8Array( dataLength );
				let dst = 0;
				let src = 0;

				for ( let y = 0; y < height; y ++ ) {

					for ( let x = 0; x < width; x ++ ) {

						const b = srcBuffer[ src ];
						src ++;
						const g = srcBuffer[ src ];
						src ++;
						const r = srcBuffer[ src ];
						src ++;
						const a = srcBuffer[ src ];
						src ++;
						byteArray[ dst ] = r;
						dst ++; //r

						byteArray[ dst ] = g;
						dst ++; //g

						byteArray[ dst ] = b;
						dst ++; //b

						byteArray[ dst ] = a;
						dst ++; //a

					}

				}

				return byteArray;

			}

			const FOURCC_DXT1 = fourCCToInt32( 'DXT1' );
			const FOURCC_DXT3 = fourCCToInt32( 'DXT3' );
			const FOURCC_DXT5 = fourCCToInt32( 'DXT5' );
			const FOURCC_ETC1 = fourCCToInt32( 'ETC1' );
			const headerLengthInt = 31; // The header length in 32 bit ints
			// Offsets into the header array

			const off_magic = 0;
			const off_size = 1;
			const off_flags = 2;
			const off_height = 3;
			const off_width = 4;
			const off_mipmapCount = 7;
			const off_pfFlags = 20;
			const off_pfFourCC = 21;
			const off_RGBBitCount = 22;
			const off_RBitMask = 23;
			const off_GBitMask = 24;
			const off_BBitMask = 25;
			const off_ABitMask = 26; // let off_caps = 27;

			const off_caps2 = 28; // let off_caps3 = 29;
			// let off_caps4 = 30;
			// Parse header

			const header = new Int32Array( buffer, 0, headerLengthInt );

			if ( header[ off_magic ] !== DDS_MAGIC ) {

				console.error( 'THREE.DDSLoader.parse: Invalid magic number in DDS header.' );
				return dds;

			}

			if ( ! header[ off_pfFlags ] & DDPF_FOURCC ) {

				console.error( 'THREE.DDSLoader.parse: Unsupported format, must contain a FourCC code.' );
				return dds;

			}

			let blockBytes;
			const fourCC = header[ off_pfFourCC ];
			let isRGBAUncompressed = false;

			switch ( fourCC ) {

				case FOURCC_DXT1:
					blockBytes = 8;
					dds.format = THREE.RGB_S3TC_DXT1_Format;
					break;

				case FOURCC_DXT3:
					blockBytes = 16;
					dds.format = THREE.RGBA_S3TC_DXT3_Format;
					break;

				case FOURCC_DXT5:
					blockBytes = 16;
					dds.format = THREE.RGBA_S3TC_DXT5_Format;
					break;

				case FOURCC_ETC1:
					blockBytes = 8;
					dds.format = THREE.RGB_ETC1_Format;
					break;

				default:
					if ( header[ off_RGBBitCount ] === 32 && header[ off_RBitMask ] & 0xff0000 && header[ off_GBitMask ] & 0xff00 && header[ off_BBitMask ] & 0xff && header[ off_ABitMask ] & 0xff000000 ) {

						isRGBAUncompressed = true;
						blockBytes = 64;
						dds.format = THREE.RGBAFormat;

					} else {

						console.error( 'THREE.DDSLoader.parse: Unsupported FourCC code ', int32ToFourCC( fourCC ) );
						return dds;

					}

			}

			dds.mipmapCount = 1;

			if ( header[ off_flags ] & DDSD_MIPMAPCOUNT && loadMipmaps !== false ) {

				dds.mipmapCount = Math.max( 1, header[ off_mipmapCount ] );

			}

			const caps2 = header[ off_caps2 ];
			dds.isCubemap = caps2 & DDSCAPS2_CUBEMAP ? true : false;

			if ( dds.isCubemap && ( ! ( caps2 & DDSCAPS2_CUBEMAP_POSITIVEX ) || ! ( caps2 & DDSCAPS2_CUBEMAP_NEGATIVEX ) || ! ( caps2 & DDSCAPS2_CUBEMAP_POSITIVEY ) || ! ( caps2 & DDSCAPS2_CUBEMAP_NEGATIVEY ) || ! ( caps2 & DDSCAPS2_CUBEMAP_POSITIVEZ ) || ! ( caps2 & DDSCAPS2_CUBEMAP_NEGATIVEZ ) ) ) {

				console.error( 'THREE.DDSLoader.parse: Incomplete cubemap faces' );
				return dds;

			}

			dds.width = header[ off_width ];
			dds.height = header[ off_height ];
			let dataOffset = header[ off_size ] + 4; // Extract mipmaps buffers

			const faces = dds.isCubemap ? 6 : 1;

			for ( let face = 0; face < faces; face ++ ) {

				let width = dds.width;
				let height = dds.height;

				for ( let i = 0; i < dds.mipmapCount; i ++ ) {

					let byteArray, dataLength;

					if ( isRGBAUncompressed ) {

						byteArray = loadARGBMip( buffer, dataOffset, width, height );
						dataLength = byteArray.length;

					} else {

						dataLength = Math.max( 4, width ) / 4 * Math.max( 4, height ) / 4 * blockBytes;
						byteArray = new Uint8Array( buffer, dataOffset, dataLength );

					}

					const mipmap = {
						'data': byteArray,
						'width': width,
						'height': height
					};
					dds.mipmaps.push( mipmap );
					dataOffset += dataLength;
					width = Math.max( width >> 1, 1 );
					height = Math.max( height >> 1, 1 );

				}

			}

			return dds;

		}

	}

	THREE.DDSLoader = DDSLoader;

} )();


/***/ }),
/* 28 */
/***/ (function(module, exports) {

( function () {

	/**
 * THREE.Loader for KTX 2.0 GPU Texture containers.
 *
 * KTX 2.0 is a container format for various GPU texture formats. The loader
 * supports Basis Universal GPU textures, which can be quickly transcoded to
 * a wide variety of GPU texture compression formats. While KTX 2.0 also allows
 * other hardware-specific formats, this loader does not yet parse them.
 *
 * References:
 * - KTX: http://github.khronos.org/KTX-Specification/
 * - DFD: https://www.khronos.org/registry/DataFormat/specs/1.3/dataformat.1.3.html#basicdescriptor
 */
	const KTX2TransferSRGB = 2;
	const KTX2_ALPHA_PREMULTIPLIED = 1;

	const _taskCache = new WeakMap();

	let _activeLoaders = 0;

	class KTX2Loader extends THREE.Loader {

		constructor( manager ) {

			super( manager );
			this.transcoderPath = '';
			this.transcoderBinary = null;
			this.transcoderPending = null;
			this.workerPool = new THREE.WorkerPool();
			this.workerSourceURL = '';
			this.workerConfig = null;

			if ( typeof MSC_TRANSCODER !== 'undefined' ) {

				console.warn( 'THREE.KTX2Loader: Please update to latest "basis_transcoder".' + ' "msc_basis_transcoder" is no longer supported in three.js r125+.' );

			}

		}

		setTranscoderPath( path ) {

			this.transcoderPath = path;
			return this;

		}

		setWorkerLimit( num ) {

			this.workerPool.setWorkerLimit( num );
			return this;

		}

		detectSupport( renderer ) {

			this.workerConfig = {
				astcSupported: renderer.extensions.has( 'WEBGL_compressed_texture_astc' ),
				etc1Supported: renderer.extensions.has( 'WEBGL_compressed_texture_etc1' ),
				etc2Supported: renderer.extensions.has( 'WEBGL_compressed_texture_etc' ),
				dxtSupported: renderer.extensions.has( 'WEBGL_compressed_texture_s3tc' ),
				bptcSupported: renderer.extensions.has( 'EXT_texture_compression_bptc' ),
				pvrtcSupported: renderer.extensions.has( 'WEBGL_compressed_texture_pvrtc' ) || renderer.extensions.has( 'WEBKIT_WEBGL_compressed_texture_pvrtc' )
			};

			if ( renderer.capabilities.isWebGL2 ) {

				// https://github.com/mrdoob/three.js/pull/22928
				this.workerConfig.etc1Supported = false;

			}

			return this;

		}

		init() {

			if ( ! this.transcoderPending ) {

				// Load transcoder wrapper.
				const jsLoader = new THREE.FileLoader( this.manager );
				jsLoader.setPath( this.transcoderPath );
				jsLoader.setWithCredentials( this.withCredentials );
				const jsContent = jsLoader.loadAsync( 'basis_transcoder.js' ); // Load transcoder WASM binary.

				const binaryLoader = new THREE.FileLoader( this.manager );
				binaryLoader.setPath( this.transcoderPath );
				binaryLoader.setResponseType( 'arraybuffer' );
				binaryLoader.setWithCredentials( this.withCredentials );
				const binaryContent = binaryLoader.loadAsync( 'basis_transcoder.wasm' );
				this.transcoderPending = Promise.all( [ jsContent, binaryContent ] ).then( ( [ jsContent, binaryContent ] ) => {

					const fn = KTX2Loader.BasisWorker.toString();
					const body = [ '/* constants */', 'let _EngineFormat = ' + JSON.stringify( KTX2Loader.EngineFormat ), 'let _TranscoderFormat = ' + JSON.stringify( KTX2Loader.TranscoderFormat ), 'let _BasisFormat = ' + JSON.stringify( KTX2Loader.BasisFormat ), '/* basis_transcoder.js */', jsContent, '/* worker */', fn.substring( fn.indexOf( '{' ) + 1, fn.lastIndexOf( '}' ) ) ].join( '\n' );
					this.workerSourceURL = URL.createObjectURL( new Blob( [ body ] ) );
					this.transcoderBinary = binaryContent;
					this.workerPool.setWorkerCreator( () => {

						const worker = new Worker( this.workerSourceURL );
						const transcoderBinary = this.transcoderBinary.slice( 0 );
						worker.postMessage( {
							type: 'init',
							config: this.workerConfig,
							transcoderBinary
						}, [ transcoderBinary ] );
						return worker;

					} );

				} );

				if ( _activeLoaders > 0 ) {

					// Each instance loads a transcoder and allocates workers, increasing network and memory cost.
					console.warn( 'THREE.KTX2Loader: Multiple active KTX2 loaders may cause performance issues.' + ' Use a single KTX2Loader instance, or call .dispose() on old instances.' );

				}

				_activeLoaders ++;

			}

			return this.transcoderPending;

		}

		load( url, onLoad, onProgress, onError ) {

			if ( this.workerConfig === null ) {

				throw new Error( 'THREE.KTX2Loader: Missing initialization with `.detectSupport( renderer )`.' );

			}

			const loader = new THREE.FileLoader( this.manager );
			loader.setResponseType( 'arraybuffer' );
			loader.setWithCredentials( this.withCredentials );
			const texture = new THREE.CompressedTexture();
			loader.load( url, buffer => {

				// Check for an existing task using this buffer. A transferred buffer cannot be transferred
				// again from this thread.
				if ( _taskCache.has( buffer ) ) {

					const cachedTask = _taskCache.get( buffer );

					return cachedTask.promise.then( onLoad ).catch( onError );

				}

				this._createTexture( [ buffer ] ).then( function ( _texture ) {

					texture.copy( _texture );
					texture.needsUpdate = true;
					if ( onLoad ) onLoad( texture );

				} ).catch( onError );

			}, onProgress, onError );
			return texture;

		}

		_createTextureFrom( transcodeResult ) {

			const {
				mipmaps,
				width,
				height,
				format,
				type,
				error,
				dfdTransferFn,
				dfdFlags
			} = transcodeResult;
			if ( type === 'error' ) return Promise.reject( error );
			const texture = new THREE.CompressedTexture( mipmaps, width, height, format, THREE.UnsignedByteType );
			texture.minFilter = mipmaps.length === 1 ? THREE.LinearFilter : THREE.LinearMipmapLinearFilter;
			texture.magFilter = THREE.LinearFilter;
			texture.generateMipmaps = false;
			texture.needsUpdate = true;
			texture.encoding = dfdTransferFn === KTX2TransferSRGB ? THREE.sRGBEncoding : THREE.LinearEncoding;
			texture.premultiplyAlpha = !! ( dfdFlags & KTX2_ALPHA_PREMULTIPLIED );
			return texture;

		}
		/**
   * @param {ArrayBuffer[]} buffers
   * @param {object?} config
   * @return {Promise<CompressedTexture>}
   */


		_createTexture( buffers, config = {} ) {

			const taskConfig = config;
			const texturePending = this.init().then( () => {

				return this.workerPool.postMessage( {
					type: 'transcode',
					buffers,
					taskConfig: taskConfig
				}, buffers );

			} ).then( e => this._createTextureFrom( e.data ) ); // Cache the task result.

			_taskCache.set( buffers[ 0 ], {
				promise: texturePending
			} );

			return texturePending;

		}

		dispose() {

			this.workerPool.dispose();
			if ( this.workerSourceURL ) URL.revokeObjectURL( this.workerSourceURL );
			_activeLoaders --;
			return this;

		}

	}
	/* CONSTANTS */


	KTX2Loader.BasisFormat = {
		ETC1S: 0,
		UASTC_4x4: 1
	};
	KTX2Loader.TranscoderFormat = {
		ETC1: 0,
		ETC2: 1,
		BC1: 2,
		BC3: 3,
		BC4: 4,
		BC5: 5,
		BC7_M6_OPAQUE_ONLY: 6,
		BC7_M5: 7,
		PVRTC1_4_RGB: 8,
		PVRTC1_4_RGBA: 9,
		ASTC_4x4: 10,
		ATC_RGB: 11,
		ATC_RGBA_INTERPOLATED_ALPHA: 12,
		RGBA32: 13,
		RGB565: 14,
		BGR565: 15,
		RGBA4444: 16
	};
	KTX2Loader.EngineFormat = {
		RGBAFormat: THREE.RGBAFormat,
		RGBA_ASTC_4x4_Format: THREE.RGBA_ASTC_4x4_Format,
		RGBA_BPTC_Format: THREE.RGBA_BPTC_Format,
		RGBA_ETC2_EAC_Format: THREE.RGBA_ETC2_EAC_Format,
		RGBA_PVRTC_4BPPV1_Format: THREE.RGBA_PVRTC_4BPPV1_Format,
		RGBA_S3TC_DXT5_Format: THREE.RGBA_S3TC_DXT5_Format,
		RGB_ETC1_Format: THREE.RGB_ETC1_Format,
		RGB_ETC2_Format: THREE.RGB_ETC2_Format,
		RGB_PVRTC_4BPPV1_Format: THREE.RGB_PVRTC_4BPPV1_Format,
		RGB_S3TC_DXT1_Format: THREE.RGB_S3TC_DXT1_Format
	};
	/* WEB WORKER */

	KTX2Loader.BasisWorker = function () {

		let config;
		let transcoderPending;
		let BasisModule;
		const EngineFormat = _EngineFormat; // eslint-disable-line no-undef

		const TranscoderFormat = _TranscoderFormat; // eslint-disable-line no-undef

		const BasisFormat = _BasisFormat; // eslint-disable-line no-undef

		self.addEventListener( 'message', function ( e ) {

			const message = e.data;

			switch ( message.type ) {

				case 'init':
					config = message.config;
					init( message.transcoderBinary );
					break;

				case 'transcode':
					transcoderPending.then( () => {

						try {

							const {
								width,
								height,
								hasAlpha,
								mipmaps,
								format,
								dfdTransferFn,
								dfdFlags
							} = transcode( message.buffers[ 0 ] );
							const buffers = [];

							for ( let i = 0; i < mipmaps.length; ++ i ) {

								buffers.push( mipmaps[ i ].data.buffer );

							}

							self.postMessage( {
								type: 'transcode',
								id: message.id,
								width,
								height,
								hasAlpha,
								mipmaps,
								format,
								dfdTransferFn,
								dfdFlags
							}, buffers );

						} catch ( error ) {

							console.error( error );
							self.postMessage( {
								type: 'error',
								id: message.id,
								error: error.message
							} );

						}

					} );
					break;

			}

		} );

		function init( wasmBinary ) {

			transcoderPending = new Promise( resolve => {

				BasisModule = {
					wasmBinary,
					onRuntimeInitialized: resolve
				};
				BASIS( BasisModule ); // eslint-disable-line no-undef

			} ).then( () => {

				BasisModule.initializeBasis();

				if ( BasisModule.KTX2File === undefined ) {

					console.warn( 'THREE.KTX2Loader: Please update Basis Universal transcoder.' );

				}

			} );

		}

		function transcode( buffer ) {

			const ktx2File = new BasisModule.KTX2File( new Uint8Array( buffer ) );

			function cleanup() {

				ktx2File.close();
				ktx2File.delete();

			}

			if ( ! ktx2File.isValid() ) {

				cleanup();
				throw new Error( 'THREE.KTX2Loader:	Invalid or unsupported .ktx2 file' );

			}

			const basisFormat = ktx2File.isUASTC() ? BasisFormat.UASTC_4x4 : BasisFormat.ETC1S;
			const width = ktx2File.getWidth();
			const height = ktx2File.getHeight();
			const levels = ktx2File.getLevels();
			const hasAlpha = ktx2File.getHasAlpha();
			const dfdTransferFn = ktx2File.getDFDTransferFunc();
			const dfdFlags = ktx2File.getDFDFlags();
			const {
				transcoderFormat,
				engineFormat
			} = getTranscoderFormat( basisFormat, width, height, hasAlpha );

			if ( ! width || ! height || ! levels ) {

				cleanup();
				throw new Error( 'THREE.KTX2Loader:	Invalid texture' );

			}

			if ( ! ktx2File.startTranscoding() ) {

				cleanup();
				throw new Error( 'THREE.KTX2Loader: .startTranscoding failed' );

			}

			const mipmaps = [];

			for ( let mip = 0; mip < levels; mip ++ ) {

				const levelInfo = ktx2File.getImageLevelInfo( mip, 0, 0 );
				const mipWidth = levelInfo.origWidth;
				const mipHeight = levelInfo.origHeight;
				const dst = new Uint8Array( ktx2File.getImageTranscodedSizeInBytes( mip, 0, 0, transcoderFormat ) );
				const status = ktx2File.transcodeImage( dst, mip, 0, 0, transcoderFormat, 0, - 1, - 1 );

				if ( ! status ) {

					cleanup();
					throw new Error( 'THREE.KTX2Loader: .transcodeImage failed.' );

				}

				mipmaps.push( {
					data: dst,
					width: mipWidth,
					height: mipHeight
				} );

			}

			cleanup();
			return {
				width,
				height,
				hasAlpha,
				mipmaps,
				format: engineFormat,
				dfdTransferFn,
				dfdFlags
			};

		} //
		// Optimal choice of a transcoder target format depends on the Basis format (ETC1S or UASTC),
		// device capabilities, and texture dimensions. The list below ranks the formats separately
		// for ETC1S and UASTC.
		//
		// In some cases, transcoding UASTC to RGBA32 might be preferred for higher quality (at
		// significant memory cost) compared to ETC1/2, BC1/3, and PVRTC. The transcoder currently
		// chooses RGBA32 only as a last resort and does not expose that option to the caller.


		const FORMAT_OPTIONS = [ {
			if: 'astcSupported',
			basisFormat: [ BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.ASTC_4x4, TranscoderFormat.ASTC_4x4 ],
			engineFormat: [ EngineFormat.RGBA_ASTC_4x4_Format, EngineFormat.RGBA_ASTC_4x4_Format ],
			priorityETC1S: Infinity,
			priorityUASTC: 1,
			needsPowerOfTwo: false
		}, {
			if: 'bptcSupported',
			basisFormat: [ BasisFormat.ETC1S, BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.BC7_M5, TranscoderFormat.BC7_M5 ],
			engineFormat: [ EngineFormat.RGBA_BPTC_Format, EngineFormat.RGBA_BPTC_Format ],
			priorityETC1S: 3,
			priorityUASTC: 2,
			needsPowerOfTwo: false
		}, {
			if: 'dxtSupported',
			basisFormat: [ BasisFormat.ETC1S, BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.BC1, TranscoderFormat.BC3 ],
			engineFormat: [ EngineFormat.RGB_S3TC_DXT1_Format, EngineFormat.RGBA_S3TC_DXT5_Format ],
			priorityETC1S: 4,
			priorityUASTC: 5,
			needsPowerOfTwo: false
		}, {
			if: 'etc2Supported',
			basisFormat: [ BasisFormat.ETC1S, BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.ETC1, TranscoderFormat.ETC2 ],
			engineFormat: [ EngineFormat.RGB_ETC2_Format, EngineFormat.RGBA_ETC2_EAC_Format ],
			priorityETC1S: 1,
			priorityUASTC: 3,
			needsPowerOfTwo: false
		}, {
			if: 'etc1Supported',
			basisFormat: [ BasisFormat.ETC1S, BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.ETC1 ],
			engineFormat: [ EngineFormat.RGB_ETC1_Format ],
			priorityETC1S: 2,
			priorityUASTC: 4,
			needsPowerOfTwo: false
		}, {
			if: 'pvrtcSupported',
			basisFormat: [ BasisFormat.ETC1S, BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.PVRTC1_4_RGB, TranscoderFormat.PVRTC1_4_RGBA ],
			engineFormat: [ EngineFormat.RGB_PVRTC_4BPPV1_Format, EngineFormat.RGBA_PVRTC_4BPPV1_Format ],
			priorityETC1S: 5,
			priorityUASTC: 6,
			needsPowerOfTwo: true
		} ];
		const ETC1S_OPTIONS = FORMAT_OPTIONS.sort( function ( a, b ) {

			return a.priorityETC1S - b.priorityETC1S;

		} );
		const UASTC_OPTIONS = FORMAT_OPTIONS.sort( function ( a, b ) {

			return a.priorityUASTC - b.priorityUASTC;

		} );

		function getTranscoderFormat( basisFormat, width, height, hasAlpha ) {

			let transcoderFormat;
			let engineFormat;
			const options = basisFormat === BasisFormat.ETC1S ? ETC1S_OPTIONS : UASTC_OPTIONS;

			for ( let i = 0; i < options.length; i ++ ) {

				const opt = options[ i ];
				if ( ! config[ opt.if ] ) continue;
				if ( ! opt.basisFormat.includes( basisFormat ) ) continue;
				if ( hasAlpha && opt.transcoderFormat.length < 2 ) continue;
				if ( opt.needsPowerOfTwo && ! ( isPowerOfTwo( width ) && isPowerOfTwo( height ) ) ) continue;
				transcoderFormat = opt.transcoderFormat[ hasAlpha ? 1 : 0 ];
				engineFormat = opt.engineFormat[ hasAlpha ? 1 : 0 ];
				return {
					transcoderFormat,
					engineFormat
				};

			}

			console.warn( 'THREE.KTX2Loader: No suitable compressed texture format found. Decoding to RGBA32.' );
			transcoderFormat = TranscoderFormat.RGBA32;
			engineFormat = EngineFormat.RGBAFormat;
			return {
				transcoderFormat,
				engineFormat
			};

		}

		function isPowerOfTwo( value ) {

			if ( value <= 2 ) return true;
			return ( value & value - 1 ) === 0 && value !== 0;

		}

	};

	THREE.KTX2Loader = KTX2Loader;

} )();


/***/ }),
/* 29 */
/***/ (function(module, exports) {

( function () {

	/**
 * for description see https://www.khronos.org/opengles/sdk/tools/KTX/
 * for file layout see https://www.khronos.org/opengles/sdk/tools/KTX/file_format_spec/
 *
 * ported from https://github.com/BabylonJS/Babylon.js/blob/master/src/Tools/babylon.khronosTextureContainer.ts
 */

	class KTXLoader extends THREE.CompressedTextureLoader {

		constructor( manager ) {

			super( manager );

		}

		parse( buffer, loadMipmaps ) {

			const ktx = new KhronosTextureContainer( buffer, 1 );
			return {
				mipmaps: ktx.mipmaps( loadMipmaps ),
				width: ktx.pixelWidth,
				height: ktx.pixelHeight,
				format: ktx.glInternalFormat,
				isCubemap: ktx.numberOfFaces === 6,
				mipmapCount: ktx.numberOfMipmapLevels
			};

		}

	}

	const HEADER_LEN = 12 + 13 * 4; // identifier + header elements (not including key value meta-data pairs)
	// load types

	const COMPRESSED_2D = 0; // uses a gl.compressedTexImage2D()
	//const COMPRESSED_3D = 1; // uses a gl.compressedTexImage3D()
	//const TEX_2D = 2; // uses a gl.texImage2D()
	//const TEX_3D = 3; // uses a gl.texImage3D()

	class KhronosTextureContainer {

		/**
   * @param {ArrayBuffer} arrayBuffer- contents of the KTX container file
   * @param {number} facesExpected- should be either 1 or 6, based whether a cube texture or or
   * @param {boolean} threeDExpected- provision for indicating that data should be a 3D texture, not implemented
   * @param {boolean} textureArrayExpected- provision for indicating that data should be a texture array, not implemented
   */
		constructor( arrayBuffer, facesExpected
			/*, threeDExpected, textureArrayExpected */
		) {

			this.arrayBuffer = arrayBuffer; // Test that it is a ktx formatted file, based on the first 12 bytes, character representation is:
			// '´', 'K', 'T', 'X', ' ', '1', '1', 'ª', '\r', '\n', '\x1A', '\n'
			// 0xAB, 0x4B, 0x54, 0x58, 0x20, 0x31, 0x31, 0xBB, 0x0D, 0x0A, 0x1A, 0x0A

			const identifier = new Uint8Array( this.arrayBuffer, 0, 12 );

			if ( identifier[ 0 ] !== 0xAB || identifier[ 1 ] !== 0x4B || identifier[ 2 ] !== 0x54 || identifier[ 3 ] !== 0x58 || identifier[ 4 ] !== 0x20 || identifier[ 5 ] !== 0x31 || identifier[ 6 ] !== 0x31 || identifier[ 7 ] !== 0xBB || identifier[ 8 ] !== 0x0D || identifier[ 9 ] !== 0x0A || identifier[ 10 ] !== 0x1A || identifier[ 11 ] !== 0x0A ) {

				console.error( 'texture missing KTX identifier' );
				return;

			} // load the reset of the header in native 32 bit uint


			const dataSize = Uint32Array.BYTES_PER_ELEMENT;
			const headerDataView = new DataView( this.arrayBuffer, 12, 13 * dataSize );
			const endianness = headerDataView.getUint32( 0, true );
			const littleEndian = endianness === 0x04030201;
			this.glType = headerDataView.getUint32( 1 * dataSize, littleEndian ); // must be 0 for compressed textures

			this.glTypeSize = headerDataView.getUint32( 2 * dataSize, littleEndian ); // must be 1 for compressed textures

			this.glFormat = headerDataView.getUint32( 3 * dataSize, littleEndian ); // must be 0 for compressed textures

			this.glInternalFormat = headerDataView.getUint32( 4 * dataSize, littleEndian ); // the value of arg passed to gl.compressedTexImage2D(,,x,,,,)

			this.glBaseInternalFormat = headerDataView.getUint32( 5 * dataSize, littleEndian ); // specify GL_RGB, GL_RGBA, GL_ALPHA, etc (un-compressed only)

			this.pixelWidth = headerDataView.getUint32( 6 * dataSize, littleEndian ); // level 0 value of arg passed to gl.compressedTexImage2D(,,,x,,,)

			this.pixelHeight = headerDataView.getUint32( 7 * dataSize, littleEndian ); // level 0 value of arg passed to gl.compressedTexImage2D(,,,,x,,)

			this.pixelDepth = headerDataView.getUint32( 8 * dataSize, littleEndian ); // level 0 value of arg passed to gl.compressedTexImage3D(,,,,,x,,)

			this.numberOfArrayElements = headerDataView.getUint32( 9 * dataSize, littleEndian ); // used for texture arrays

			this.numberOfFaces = headerDataView.getUint32( 10 * dataSize, littleEndian ); // used for cubemap textures, should either be 1 or 6

			this.numberOfMipmapLevels = headerDataView.getUint32( 11 * dataSize, littleEndian ); // number of levels; disregard possibility of 0 for compressed textures

			this.bytesOfKeyValueData = headerDataView.getUint32( 12 * dataSize, littleEndian ); // the amount of space after the header for meta-data
			// Make sure we have a compressed type.  Not only reduces work, but probably better to let dev know they are not compressing.

			if ( this.glType !== 0 ) {

				console.warn( 'only compressed formats currently supported' );
				return;

			} else {

				// value of zero is an indication to generate mipmaps @ runtime.  Not usually allowed for compressed, so disregard.
				this.numberOfMipmapLevels = Math.max( 1, this.numberOfMipmapLevels );

			}

			if ( this.pixelHeight === 0 || this.pixelDepth !== 0 ) {

				console.warn( 'only 2D textures currently supported' );
				return;

			}

			if ( this.numberOfArrayElements !== 0 ) {

				console.warn( 'texture arrays not currently supported' );
				return;

			}

			if ( this.numberOfFaces !== facesExpected ) {

				console.warn( 'number of faces expected' + facesExpected + ', but found ' + this.numberOfFaces );
				return;

			} // we now have a completely validated file, so could use existence of loadType as success
			// would need to make this more elaborate & adjust checks above to support more than one load type


			this.loadType = COMPRESSED_2D;

		}

		mipmaps( loadMipmaps ) {

			const mipmaps = []; // initialize width & height for level 1

			let dataOffset = HEADER_LEN + this.bytesOfKeyValueData;
			let width = this.pixelWidth;
			let height = this.pixelHeight;
			const mipmapCount = loadMipmaps ? this.numberOfMipmapLevels : 1;

			for ( let level = 0; level < mipmapCount; level ++ ) {

				const imageSize = new Int32Array( this.arrayBuffer, dataOffset, 1 )[ 0 ]; // size per face, since not supporting array cubemaps

				dataOffset += 4; // size of the image + 4 for the imageSize field

				for ( let face = 0; face < this.numberOfFaces; face ++ ) {

					const byteArray = new Uint8Array( this.arrayBuffer, dataOffset, imageSize );
					mipmaps.push( {
						'data': byteArray,
						'width': width,
						'height': height
					} );
					dataOffset += imageSize;
					dataOffset += 3 - ( imageSize + 3 ) % 4; // add padding for odd sized image

				}

				width = Math.max( 1.0, width * 0.5 );
				height = Math.max( 1.0, height * 0.5 );

			}

			return mipmaps;

		}

	}

	THREE.KTXLoader = KTXLoader;

} )();


/***/ }),
/* 30 */
/***/ (function(module, exports) {

( function () {

	/**
 * @author Deepkolos / https://github.com/deepkolos
 */
	class WorkerPool {

		constructor( pool = 4 ) {

			this.pool = pool;
			this.queue = [];
			this.workers = [];
			this.workersResolve = [];
			this.workerStatus = 0;

		}

		_initWorker( workerId ) {

			if ( ! this.workers[ workerId ] ) {

				const worker = this.workerCreator();
				worker.addEventListener( 'message', this._onMessage.bind( this, workerId ) );
				this.workers[ workerId ] = worker;

			}

		}

		_getIdleWorker() {

			for ( let i = 0; i < this.pool; i ++ ) if ( ! ( this.workerStatus & 1 << i ) ) return i;

			return - 1;

		}

		_onMessage( workerId, msg ) {

			const resolve = this.workersResolve[ workerId ];
			resolve && resolve( msg );

			if ( this.queue.length ) {

				const {
					resolve,
					msg,
					transfer
				} = this.queue.shift();
				this.workersResolve[ workerId ] = resolve;
				this.workers[ workerId ].postMessage( msg, transfer );

			} else {

				this.workerStatus ^= 1 << workerId;

			}

		}

		setWorkerCreator( workerCreator ) {

			this.workerCreator = workerCreator;

		}

		setWorkerLimit( pool ) {

			this.pool = pool;

		}

		postMessage( msg, transfer ) {

			return new Promise( resolve => {

				const workerId = this._getIdleWorker();

				if ( workerId !== - 1 ) {

					this._initWorker( workerId );

					this.workerStatus |= 1 << workerId;
					this.workersResolve[ workerId ] = resolve;
					this.workers[ workerId ].postMessage( msg, transfer );

				} else {

					this.queue.push( {
						resolve,
						msg,
						transfer
					} );

				}

			} );

		}

		dispose() {

			this.workers.forEach( worker => worker.terminate() );
			this.workersResolve.length = 0;
			this.workers.length = 0;
			this.queue.length = 0;
			this.workerStatus = 0;

		}

	}

	THREE.WorkerPool = WorkerPool;

} )();


/***/ }),
/* 31 */
/***/ (function(module, exports) {

( function () {

	/**
 * THREE.Loader for Basis Universal GPU Texture Codec.
 *
 * Basis Universal is a "supercompressed" GPU texture and texture video
 * compression system that outputs a highly compressed intermediate file format
 * (.basis) that can be quickly transcoded to a wide variety of GPU texture
 * compression formats.
 *
 * This loader parallelizes the transcoding process across a configurable number
 * of web workers, before transferring the transcoded compressed texture back
 * to the main thread.
 */

	const _taskCache = new WeakMap();

	class BasisTextureLoader extends THREE.Loader {

		constructor( manager ) {

			super( manager );
			this.transcoderPath = '';
			this.transcoderBinary = null;
			this.transcoderPending = null;
			this.workerLimit = 4;
			this.workerPool = [];
			this.workerNextTaskID = 1;
			this.workerSourceURL = '';
			this.workerConfig = null;

			//AVVY
			//console.warn( 'THREE.BasisTextureLoader: This loader is deprecated, and will be removed in a future release. ' + 'Instead, use Basis Universal compression in KTX2 (.ktx2) files with THREE.KTX2Loader.' );

		}

		setTranscoderPath( path ) {

			this.transcoderPath = path;
			return this;

		}

		setWorkerLimit( workerLimit ) {

			this.workerLimit = workerLimit;
			return this;

		}

		detectSupport( renderer ) {

			this.workerConfig = {
				astcSupported: renderer.extensions.has( 'WEBGL_compressed_texture_astc' ),
				etc1Supported: renderer.extensions.has( 'WEBGL_compressed_texture_etc1' ),
				etc2Supported: renderer.extensions.has( 'WEBGL_compressed_texture_etc' ),
				dxtSupported: renderer.extensions.has( 'WEBGL_compressed_texture_s3tc' ),
				bptcSupported: renderer.extensions.has( 'EXT_texture_compression_bptc' ),
				pvrtcSupported: renderer.extensions.has( 'WEBGL_compressed_texture_pvrtc' ) || renderer.extensions.has( 'WEBKIT_WEBGL_compressed_texture_pvrtc' )
			};
			return this;

		}

		load( url, onLoad, onProgress, onError ) {

			const loader = new THREE.FileLoader( this.manager );
			loader.setResponseType( 'arraybuffer' );
			loader.setWithCredentials( this.withCredentials );
			const texture = new THREE.CompressedTexture();
			loader.load( url, buffer => {

				// Check for an existing task using this buffer. A transferred buffer cannot be transferred
				// again from this thread.
				if ( _taskCache.has( buffer ) ) {

					const cachedTask = _taskCache.get( buffer );

					return cachedTask.promise.then( onLoad ).catch( onError );

				}

				this._createTexture( [ buffer ] ).then( function ( _texture ) {

					texture.copy( _texture );
					texture.needsUpdate = true;
					if ( onLoad ) onLoad( texture );

				} ).catch( onError );

			}, onProgress, onError );
			return texture;

		}
		/** Low-level transcoding API, exposed for use by KTX2Loader. */

// AVVY Unused code. it generates an error
/*		parseInternalAsync( options ) {

			const {
				levels
			} = options;
			const buffers = new Set();

			for ( let i = 0; i < levels.length; i ++ ) {

				buffers.add( levels[ i ].data.buffer );

			}

			return this._createTexture( Array.from( buffers ), { ...options,
				lowLevel: true
			} );

		}*/
		/**
   * @param {ArrayBuffer[]} buffers
   * @param {object?} config
   * @return {Promise<CompressedTexture>}
   */


		_createTexture( buffers, config = {} ) {

			let worker;
			let taskID;
			const taskConfig = config;
			let taskCost = 0;

			for ( let i = 0; i < buffers.length; i ++ ) {

				taskCost += buffers[ i ].byteLength;

			}

			const texturePending = this._allocateWorker( taskCost ).then( _worker => {

				worker = _worker;
				taskID = this.workerNextTaskID ++;
				return new Promise( ( resolve, reject ) => {

					worker._callbacks[ taskID ] = {
						resolve,
						reject
					};
					worker.postMessage( {
						type: 'transcode',
						id: taskID,
						buffers: buffers,
						taskConfig: taskConfig
					}, buffers );

				} );

			} ).then( message => {

				const {
					mipmaps,
					width,
					height,
					format
				} = message;
				const texture = new THREE.CompressedTexture( mipmaps, width, height, format, THREE.UnsignedByteType );
				texture.minFilter = mipmaps.length === 1 ? THREE.LinearFilter : THREE.LinearMipmapLinearFilter;
				texture.magFilter = THREE.LinearFilter;
				texture.generateMipmaps = false;
				texture.needsUpdate = true;
				return texture;

			} ); // Note: replaced '.finally()' with '.catch().then()' block - iOS 11 support (#19416)


			texturePending.catch( () => true ).then( () => {

				if ( worker && taskID ) {

					worker._taskLoad -= taskCost;
					delete worker._callbacks[ taskID ];

				}

			} ); // Cache the task result.

			_taskCache.set( buffers[ 0 ], {
				promise: texturePending
			} );

			return texturePending;

		}

		_initTranscoder() {

			if ( ! this.transcoderPending ) {

				// Load transcoder wrapper.
				const jsLoader = new THREE.FileLoader( this.manager );
				jsLoader.setPath( this.transcoderPath );
				jsLoader.setWithCredentials( this.withCredentials );
				const jsContent = new Promise( ( resolve, reject ) => {

					jsLoader.load( 'basis_transcoder.js', resolve, undefined, reject );

				} ); // Load transcoder WASM binary.

				const binaryLoader = new THREE.FileLoader( this.manager );
				binaryLoader.setPath( this.transcoderPath );
				binaryLoader.setResponseType( 'arraybuffer' );
				binaryLoader.setWithCredentials( this.withCredentials );
				const binaryContent = new Promise( ( resolve, reject ) => {

					binaryLoader.load( 'basis_transcoder.wasm', resolve, undefined, reject );

				} );
				this.transcoderPending = Promise.all( [ jsContent, binaryContent ] ).then( ( [ jsContent, binaryContent ] ) => {

					const fn = BasisTextureLoader.BasisWorker.toString();
					const body = [ '/* constants */', 'let _EngineFormat = ' + JSON.stringify( BasisTextureLoader.EngineFormat ), 'let _TranscoderFormat = ' + JSON.stringify( BasisTextureLoader.TranscoderFormat ), 'let _BasisFormat = ' + JSON.stringify( BasisTextureLoader.BasisFormat ), '/* basis_transcoder.js */', jsContent, '/* worker */', fn.substring( fn.indexOf( '{' ) + 1, fn.lastIndexOf( '}' ) ) ].join( '\n' );
					this.workerSourceURL = URL.createObjectURL( new Blob( [ body ] ) );
					this.transcoderBinary = binaryContent;

				} );

			}

			return this.transcoderPending;

		}

		_allocateWorker( taskCost ) {

			return this._initTranscoder().then( () => {

				if ( this.workerPool.length < this.workerLimit ) {

					const worker = new Worker( this.workerSourceURL );
					worker._callbacks = {};
					worker._taskLoad = 0;
					worker.postMessage( {
						type: 'init',
						config: this.workerConfig,
						transcoderBinary: this.transcoderBinary
					} );

					worker.onmessage = function ( e ) {

						const message = e.data;

						switch ( message.type ) {

							case 'transcode':
								worker._callbacks[ message.id ].resolve( message );

								break;

							case 'error':
								worker._callbacks[ message.id ].reject( message );

								break;

							default:
								console.error( 'THREE.BasisTextureLoader: Unexpected message, "' + message.type + '"' );

						}

					};

					this.workerPool.push( worker );

				} else {

					this.workerPool.sort( function ( a, b ) {

						return a._taskLoad > b._taskLoad ? - 1 : 1;

					} );

				}

				const worker = this.workerPool[ this.workerPool.length - 1 ];
				worker._taskLoad += taskCost;
				return worker;

			} );

		}

		dispose() {

			for ( let i = 0; i < this.workerPool.length; i ++ ) {

				this.workerPool[ i ].terminate();

			}

			this.workerPool.length = 0;
			return this;

		}

	}
	/* CONSTANTS */


	BasisTextureLoader.BasisFormat = {
		ETC1S: 0,
		UASTC_4x4: 1
	};
	BasisTextureLoader.TranscoderFormat = {
		ETC1: 0,
		ETC2: 1,
		BC1: 2,
		BC3: 3,
		BC4: 4,
		BC5: 5,
		BC7_M6_OPAQUE_ONLY: 6,
		BC7_M5: 7,
		PVRTC1_4_RGB: 8,
		PVRTC1_4_RGBA: 9,
		ASTC_4x4: 10,
		ATC_RGB: 11,
		ATC_RGBA_INTERPOLATED_ALPHA: 12,
		RGBA32: 13,
		RGB565: 14,
		BGR565: 15,
		RGBA4444: 16
	};
	BasisTextureLoader.EngineFormat = {
		RGBAFormat: THREE.RGBAFormat,
		RGBA_ASTC_4x4_Format: THREE.RGBA_ASTC_4x4_Format,
		RGBA_BPTC_Format: THREE.RGBA_BPTC_Format,
		RGBA_ETC2_EAC_Format: THREE.RGBA_ETC2_EAC_Format,
		RGBA_PVRTC_4BPPV1_Format: THREE.RGBA_PVRTC_4BPPV1_Format,
		RGBA_S3TC_DXT5_Format: THREE.RGBA_S3TC_DXT5_Format,
		RGB_ETC1_Format: THREE.RGB_ETC1_Format,
		RGB_ETC2_Format: THREE.RGB_ETC2_Format,
		RGB_PVRTC_4BPPV1_Format: THREE.RGB_PVRTC_4BPPV1_Format,
		RGB_S3TC_DXT1_Format: THREE.RGB_S3TC_DXT1_Format
	};
	/* WEB WORKER */

	BasisTextureLoader.BasisWorker = function () {

		let config;
		let transcoderPending;
		let BasisModule;
		const EngineFormat = _EngineFormat; // eslint-disable-line no-undef

		const TranscoderFormat = _TranscoderFormat; // eslint-disable-line no-undef

		const BasisFormat = _BasisFormat; // eslint-disable-line no-undef

		onmessage = function ( e ) {

			const message = e.data;

			switch ( message.type ) {

				case 'init':
					config = message.config;
					init( message.transcoderBinary );
					break;

				case 'transcode':
					transcoderPending.then( () => {

						try {

							const {
								width,
								height,
								hasAlpha,
								mipmaps,
								format
							} = message.taskConfig.lowLevel ? transcodeLowLevel( message.taskConfig ) : transcode( message.buffers[ 0 ] );
							const buffers = [];

							for ( let i = 0; i < mipmaps.length; ++ i ) {

								buffers.push( mipmaps[ i ].data.buffer );

							}

							self.postMessage( {
								type: 'transcode',
								id: message.id,
								width,
								height,
								hasAlpha,
								mipmaps,
								format
							}, buffers );

						} catch ( error ) {

							console.error( error );
							self.postMessage( {
								type: 'error',
								id: message.id,
								error: error.message
							} );

						}

					} );
					break;

			}

		};

		function init( wasmBinary ) {

			transcoderPending = new Promise( resolve => {

				BasisModule = {
					wasmBinary,
					onRuntimeInitialized: resolve
				};
				BASIS( BasisModule ); // eslint-disable-line no-undef

			} ).then( () => {

				BasisModule.initializeBasis();

			} );

		}

		function transcodeLowLevel( taskConfig ) {

			const {
				basisFormat,
				width,
				height,
				hasAlpha
			} = taskConfig;
			const {
				transcoderFormat,
				engineFormat
			} = getTranscoderFormat( basisFormat, width, height, hasAlpha );
			const blockByteLength = BasisModule.getBytesPerBlockOrPixel( transcoderFormat );
			assert( BasisModule.isFormatSupported( transcoderFormat ), 'THREE.BasisTextureLoader: Unsupported format.' );
			const mipmaps = [];

			if ( basisFormat === BasisFormat.ETC1S ) {

				const transcoder = new BasisModule.LowLevelETC1SImageTranscoder();
				const {
					endpointCount,
					endpointsData,
					selectorCount,
					selectorsData,
					tablesData
				} = taskConfig.globalData;

				try {

					let ok;
					ok = transcoder.decodePalettes( endpointCount, endpointsData, selectorCount, selectorsData );
					assert( ok, 'THREE.BasisTextureLoader: decodePalettes() failed.' );
					ok = transcoder.decodeTables( tablesData );
					assert( ok, 'THREE.BasisTextureLoader: decodeTables() failed.' );

					for ( let i = 0; i < taskConfig.levels.length; i ++ ) {

						const level = taskConfig.levels[ i ];
						const imageDesc = taskConfig.globalData.imageDescs[ i ];
						const dstByteLength = getTranscodedImageByteLength( transcoderFormat, level.width, level.height );
						const dst = new Uint8Array( dstByteLength );
						ok = transcoder.transcodeImage( transcoderFormat, dst, dstByteLength / blockByteLength, level.data, getWidthInBlocks( transcoderFormat, level.width ), getHeightInBlocks( transcoderFormat, level.height ), level.width, level.height, level.index, imageDesc.rgbSliceByteOffset, imageDesc.rgbSliceByteLength, imageDesc.alphaSliceByteOffset, imageDesc.alphaSliceByteLength, imageDesc.imageFlags, hasAlpha, false, 0, 0 );
						assert( ok, 'THREE.BasisTextureLoader: transcodeImage() failed for level ' + level.index + '.' );
						mipmaps.push( {
							data: dst,
							width: level.width,
							height: level.height
						} );

					}

				} finally {

					transcoder.delete();

				}

			} else {

				for ( let i = 0; i < taskConfig.levels.length; i ++ ) {

					const level = taskConfig.levels[ i ];
					const dstByteLength = getTranscodedImageByteLength( transcoderFormat, level.width, level.height );
					const dst = new Uint8Array( dstByteLength );
					const ok = BasisModule.transcodeUASTCImage( transcoderFormat, dst, dstByteLength / blockByteLength, level.data, getWidthInBlocks( transcoderFormat, level.width ), getHeightInBlocks( transcoderFormat, level.height ), level.width, level.height, level.index, 0, level.data.byteLength, 0, hasAlpha, false, 0, 0, - 1, - 1 );
					assert( ok, 'THREE.BasisTextureLoader: transcodeUASTCImage() failed for level ' + level.index + '.' );
					mipmaps.push( {
						data: dst,
						width: level.width,
						height: level.height
					} );

				}

			}

			return {
				width,
				height,
				hasAlpha,
				mipmaps,
				format: engineFormat
			};

		}

		function transcode( buffer ) {

			const basisFile = new BasisModule.BasisFile( new Uint8Array( buffer ) );
			const basisFormat = basisFile.isUASTC() ? BasisFormat.UASTC_4x4 : BasisFormat.ETC1S;
			const width = basisFile.getImageWidth( 0, 0 );
			const height = basisFile.getImageHeight( 0, 0 );
			const levels = basisFile.getNumLevels( 0 );
			const hasAlpha = basisFile.getHasAlpha();

			function cleanup() {

				basisFile.close();
				basisFile.delete();

			}

			const {
				transcoderFormat,
				engineFormat
			} = getTranscoderFormat( basisFormat, width, height, hasAlpha );

			if ( ! width || ! height || ! levels ) {

				cleanup();
				throw new Error( 'THREE.BasisTextureLoader:	Invalid texture' );

			}

			if ( ! basisFile.startTranscoding() ) {

				cleanup();
				throw new Error( 'THREE.BasisTextureLoader: .startTranscoding failed' );

			}

			const mipmaps = [];

			for ( let mip = 0; mip < levels; mip ++ ) {

				const mipWidth = basisFile.getImageWidth( 0, mip );
				const mipHeight = basisFile.getImageHeight( 0, mip );
				const dst = new Uint8Array( basisFile.getImageTranscodedSizeInBytes( 0, mip, transcoderFormat ) );
				const status = basisFile.transcodeImage( dst, 0, mip, transcoderFormat, 0, hasAlpha );

				if ( ! status ) {

					cleanup();
					throw new Error( 'THREE.BasisTextureLoader: .transcodeImage failed.' );

				}

				mipmaps.push( {
					data: dst,
					width: mipWidth,
					height: mipHeight
				} );

			}

			cleanup();
			return {
				width,
				height,
				hasAlpha,
				mipmaps,
				format: engineFormat
			};

		} //
		// Optimal choice of a transcoder target format depends on the Basis format (ETC1S or UASTC),
		// device capabilities, and texture dimensions. The list below ranks the formats separately
		// for ETC1S and UASTC.
		//
		// In some cases, transcoding UASTC to RGBA32 might be preferred for higher quality (at
		// significant memory cost) compared to ETC1/2, BC1/3, and PVRTC. The transcoder currently
		// chooses RGBA32 only as a last resort and does not expose that option to the caller.


		const FORMAT_OPTIONS = [ {
			if: 'astcSupported',
			basisFormat: [ BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.ASTC_4x4, TranscoderFormat.ASTC_4x4 ],
			engineFormat: [ EngineFormat.RGBA_ASTC_4x4_Format, EngineFormat.RGBA_ASTC_4x4_Format ],
			priorityETC1S: Infinity,
			priorityUASTC: 1,
			needsPowerOfTwo: false
		}, {
			if: 'bptcSupported',
			basisFormat: [ BasisFormat.ETC1S, BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.BC7_M5, TranscoderFormat.BC7_M5 ],
			engineFormat: [ EngineFormat.RGBA_BPTC_Format, EngineFormat.RGBA_BPTC_Format ],
			priorityETC1S: 3,
			priorityUASTC: 2,
			needsPowerOfTwo: false
		}, {
			if: 'dxtSupported',
			basisFormat: [ BasisFormat.ETC1S, BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.BC1, TranscoderFormat.BC3 ],
			engineFormat: [ EngineFormat.RGB_S3TC_DXT1_Format, EngineFormat.RGBA_S3TC_DXT5_Format ],
			priorityETC1S: 4,
			priorityUASTC: 5,
			needsPowerOfTwo: false
		}, {
			if: 'etc2Supported',
			basisFormat: [ BasisFormat.ETC1S, BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.ETC1, TranscoderFormat.ETC2 ],
			engineFormat: [ EngineFormat.RGB_ETC2_Format, EngineFormat.RGBA_ETC2_EAC_Format ],
			priorityETC1S: 1,
			priorityUASTC: 3,
			needsPowerOfTwo: false
		}, {
			if: 'etc1Supported',
			basisFormat: [ BasisFormat.ETC1S, BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.ETC1, TranscoderFormat.ETC1 ],
			engineFormat: [ EngineFormat.RGB_ETC1_Format, EngineFormat.RGB_ETC1_Format ],
			priorityETC1S: 2,
			priorityUASTC: 4,
			needsPowerOfTwo: false
		}, {
			if: 'pvrtcSupported',
			basisFormat: [ BasisFormat.ETC1S, BasisFormat.UASTC_4x4 ],
			transcoderFormat: [ TranscoderFormat.PVRTC1_4_RGB, TranscoderFormat.PVRTC1_4_RGBA ],
			engineFormat: [ EngineFormat.RGB_PVRTC_4BPPV1_Format, EngineFormat.RGBA_PVRTC_4BPPV1_Format ],
			priorityETC1S: 5,
			priorityUASTC: 6,
			needsPowerOfTwo: true
		} ];
		const ETC1S_OPTIONS = FORMAT_OPTIONS.sort( function ( a, b ) {

			return a.priorityETC1S - b.priorityETC1S;

		} );
		const UASTC_OPTIONS = FORMAT_OPTIONS.sort( function ( a, b ) {

			return a.priorityUASTC - b.priorityUASTC;

		} );

		function getTranscoderFormat( basisFormat, width, height, hasAlpha ) {

			let transcoderFormat;
			let engineFormat;
			const options = basisFormat === BasisFormat.ETC1S ? ETC1S_OPTIONS : UASTC_OPTIONS;

			for ( let i = 0; i < options.length; i ++ ) {

				const opt = options[ i ];
				if ( ! config[ opt.if ] ) continue;
				if ( ! opt.basisFormat.includes( basisFormat ) ) continue;
				if ( opt.needsPowerOfTwo && ! ( isPowerOfTwo( width ) && isPowerOfTwo( height ) ) ) continue;
				transcoderFormat = opt.transcoderFormat[ hasAlpha ? 1 : 0 ];
				engineFormat = opt.engineFormat[ hasAlpha ? 1 : 0 ];
				return {
					transcoderFormat,
					engineFormat
				};

			}

			console.warn( 'THREE.BasisTextureLoader: No suitable compressed texture format found. Decoding to RGBA32.' );
			transcoderFormat = TranscoderFormat.RGBA32;
			engineFormat = EngineFormat.RGBAFormat;
			return {
				transcoderFormat,
				engineFormat
			};

		}

		function assert( ok, message ) {

			if ( ! ok ) throw new Error( message );

		}

		function getWidthInBlocks( transcoderFormat, width ) {

			return Math.ceil( width / BasisModule.getFormatBlockWidth( transcoderFormat ) );

		}

		function getHeightInBlocks( transcoderFormat, height ) {

			return Math.ceil( height / BasisModule.getFormatBlockHeight( transcoderFormat ) );

		}

		function getTranscodedImageByteLength( transcoderFormat, width, height ) {

			const blockByteLength = BasisModule.getBytesPerBlockOrPixel( transcoderFormat );

			if ( BasisModule.formatIsUncompressed( transcoderFormat ) ) {

				return width * height * blockByteLength;

			}

			if ( transcoderFormat === TranscoderFormat.PVRTC1_4_RGB || transcoderFormat === TranscoderFormat.PVRTC1_4_RGBA ) {

				// GL requires extra padding for very small textures:
				// https://www.khronos.org/registry/OpenGL/extensions/IMG/IMG_texture_compression_pvrtc.txt
				const paddedWidth = width + 3 & ~ 3;
				const paddedHeight = height + 3 & ~ 3;
				return ( Math.max( 8, paddedWidth ) * Math.max( 8, paddedHeight ) * 4 + 7 ) / 8;

			}

			return getWidthInBlocks( transcoderFormat, width ) * getHeightInBlocks( transcoderFormat, height ) * blockByteLength;

		}

		function isPowerOfTwo( value ) {

			if ( value <= 2 ) return true;
			return ( value & value - 1 ) === 0 && value !== 0;

		}

	};

	THREE.BasisTextureLoader = BasisTextureLoader;

} )();


/***/ }),
/* 32 */
/***/ (function(module, exports) {

THREE.EffectComposer = function ( renderer, renderTarget ) {
	this.renderer = renderer;

	if ( renderTarget === undefined ) {

		var parameters = {
			minFilter: THREE.LinearFilter,
			magFilter: THREE.LinearFilter,
			format: THREE.RGBAFormat,
			encoding: THREE.sRGBEncoding,
		};

		var size = renderer.getSize( new THREE.Vector2() );
		this._pixelRatio = renderer.getPixelRatio();
		this._width = size.width;
		this._height = size.height;

		renderTarget = new THREE.WebGLRenderTarget( this._width * this._pixelRatio, this._height * this._pixelRatio, parameters );
		renderTarget.texture.name = 'EffectComposer.rt1';

	} else {

		this._pixelRatio = 1;
		this._width = renderTarget.width;
		this._height = renderTarget.height;

	}

	this.renderTarget1 = renderTarget;
	this.renderTarget2 = renderTarget.clone();
	this.renderTarget2.texture.name = 'EffectComposer.rt2';

	this.writeBuffer = this.renderTarget1;
	this.readBuffer = this.renderTarget2;

	this.renderToScreen = true;

	this.passes = [];

	// dependencies

	if ( THREE.CopyShader === undefined ) {

		console.error( 'THREE.EffectComposer relies on THREE.CopyShader' );

	}

	if ( THREE.ShaderPass === undefined ) {

		console.error( 'THREE.EffectComposer relies on THREE.ShaderPass' );

	}

	this.copyPass = new THREE.ShaderPass( THREE.CopyShader );

	this.clock = new THREE.Clock();

};

Object.assign( THREE.EffectComposer.prototype, {

	swapBuffers: function () {

		var tmp = this.readBuffer;
		this.readBuffer = this.writeBuffer;
		this.writeBuffer = tmp;

	},

	addPass: function ( pass ) {

		this.passes.push( pass );
		pass.setSize( this._width * this._pixelRatio, this._height * this._pixelRatio );

	},

	insertPass: function ( pass, index ) {

		this.passes.splice( index, 0, pass );
		pass.setSize( this._width * this._pixelRatio, this._height * this._pixelRatio );

	},

	removePass: function ( pass ) {

		const index = this.passes.indexOf( pass );

		if ( index !== - 1 ) {

			this.passes.splice( index, 1 );

		}

	},

	isLastEnabledPass: function ( passIndex ) {

		for ( var i = passIndex + 1; i < this.passes.length; i ++ ) {

			if ( this.passes[ i ].enabled ) {

				return false;

			}

		}

		return true;

	},

	render: function ( deltaTime ) {

		// deltaTime value is in seconds

		if ( deltaTime === undefined ) {

			deltaTime = this.clock.getDelta();

		}

		var currentRenderTarget = this.renderer.getRenderTarget();

		var maskActive = false;

		var pass, i, il = this.passes.length;

		for ( i = 0; i < il; i ++ ) {

			pass = this.passes[ i ];

			if ( pass.enabled === false ) continue;

			pass.renderToScreen = ( this.renderToScreen && this.isLastEnabledPass( i ) );
			pass.render( this.renderer, this.writeBuffer, this.readBuffer, deltaTime, maskActive );

			if ( pass.needsSwap ) {

				if ( maskActive ) {

					var context = this.renderer.getContext();
					var stencil = this.renderer.state.buffers.stencil;

					//context.stencilFunc( context.NOTEQUAL, 1, 0xffffffff );
					stencil.setFunc( context.NOTEQUAL, 1, 0xffffffff );

					this.copyPass.render( this.renderer, this.writeBuffer, this.readBuffer, deltaTime );

					//context.stencilFunc( context.EQUAL, 1, 0xffffffff );
					stencil.setFunc( context.EQUAL, 1, 0xffffffff );

				}

				this.swapBuffers();

			}

			if ( THREE.MaskPass !== undefined ) {

				if ( pass instanceof THREE.MaskPass ) {

					maskActive = true;

				} else if ( pass instanceof THREE.ClearMaskPass ) {

					maskActive = false;

				}

			}

		}

		this.renderer.setRenderTarget( currentRenderTarget );

	},

	reset: function ( renderTarget ) {

		if ( renderTarget === undefined ) {

			var size = this.renderer.getSize( new THREE.Vector2() );
			this._pixelRatio = this.renderer.getPixelRatio();
			this._width = size.width;
			this._height = size.height;

			renderTarget = this.renderTarget1.clone();
			renderTarget.setSize( this._width * this._pixelRatio, this._height * this._pixelRatio );

		}

		this.renderTarget1.dispose();
		this.renderTarget2.dispose();
		this.renderTarget1 = renderTarget;
		this.renderTarget2 = renderTarget.clone();

		this.writeBuffer = this.renderTarget1;
		this.readBuffer = this.renderTarget2;

	},

	setSize: function ( width, height ) {

		this._width = width;
		this._height = height;

		var effectiveWidth = this._width * this._pixelRatio;
		var effectiveHeight = this._height * this._pixelRatio;

		this.renderTarget1.setSize( effectiveWidth, effectiveHeight );
		this.renderTarget2.setSize( effectiveWidth, effectiveHeight );

		for ( var i = 0; i < this.passes.length; i ++ ) {

			this.passes[ i ].setSize( effectiveWidth, effectiveHeight );

		}

	},

	setPixelRatio: function ( pixelRatio ) {

		this._pixelRatio = pixelRatio;

		this.setSize( this._width, this._height );

	}

} );


THREE.Pass = function () {

	// if set to true, the pass is processed by the composer
	this.enabled = true;

	// if set to true, the pass indicates to swap read and write buffer after rendering
	this.needsSwap = true;

	// if set to true, the pass clears its buffer before rendering
	this.clear = false;

	// if set to true, the result of the pass is rendered to screen. This is set automatically by EffectComposer.
	this.renderToScreen = false;

};

Object.assign( THREE.Pass.prototype, {

	setSize: function ( /* width, height */ ) {},

	render: function ( /* renderer, writeBuffer, readBuffer, deltaTime, maskActive */ ) {

		console.error( 'THREE.Pass: .render() must be implemented in derived pass.' );

	}

} );

// Helper for passes that need to fill the viewport with a single quad.
THREE.Pass.FullScreenQuad = ( function () {

	var camera = new THREE.OrthographicCamera( - 1, 1, 1, - 1, 0, 1 );
	var geometry = new THREE.PlaneBufferGeometry( 2, 2 );

	var FullScreenQuad = function ( material ) {

		this._mesh = new THREE.Mesh( geometry, material );

	};

	Object.defineProperty( FullScreenQuad.prototype, 'material', {

		get: function () {

			return this._mesh.material;

		},

		set: function ( value ) {

			this._mesh.material = value;

		}

	} );

	Object.assign( FullScreenQuad.prototype, {

		dispose: function () {

			this._mesh.geometry.dispose();

		},

		render: function ( renderer ) {

			renderer.render( this._mesh, camera );

		}

	} );

	return FullScreenQuad;

} )();


/***/ }),
/* 33 */
/***/ (function(module, exports) {

THREE.OutlinePass = function ( resolution, scene, camera, selectedObjects ) {

	this.renderScene = scene;
	this.renderCamera = camera;
	this.selectedObjects = selectedObjects !== undefined ? selectedObjects : [];
	this.visibleEdgeColor = new THREE.Color( 1, 1, 1 );
	this.hiddenEdgeColor = new THREE.Color( 0.1, 0.04, 0.02 );
	this.edgeGlow = 0.0;
	this.usePatternTexture = false;
	this.edgeThickness = 1.0;
	this.edgeStrength = 3.0;
	this.downSampleRatio = 2;
	this.pulsePeriod = 0;

	this._visibilityCache = new Map();

	THREE.Pass.call( this );

	this.resolution = ( resolution !== undefined ) ? new THREE.Vector2( resolution.x, resolution.y ) : new THREE.Vector2( 256, 256 );

	var pars = { minFilter: THREE.LinearFilter, magFilter: THREE.LinearFilter, format: THREE.RGBAFormat };

	var resx = Math.round( this.resolution.x / this.downSampleRatio );
	var resy = Math.round( this.resolution.y / this.downSampleRatio );

	this.maskBufferMaterial = new THREE.MeshBasicMaterial( { color: 0xffffff } );
	this.maskBufferMaterial.side = THREE.DoubleSide;
	this.renderTargetMaskBuffer = new THREE.WebGLRenderTarget( this.resolution.x, this.resolution.y, pars );
	this.renderTargetMaskBuffer.texture.name = 'OutlinePass.mask';
	this.renderTargetMaskBuffer.texture.generateMipmaps = false;

	this.depthMaterial = new THREE.MeshDepthMaterial();
	this.depthMaterial.side = THREE.DoubleSide;
	this.depthMaterial.depthPacking = THREE.RGBADepthPacking;
	this.depthMaterial.blending = THREE.NoBlending;

	this.prepareMaskMaterial = this.getPrepareMaskMaterial();
	this.prepareMaskMaterial.side = THREE.DoubleSide;
	this.prepareMaskMaterial.fragmentShader = replaceDepthToViewZ( this.prepareMaskMaterial.fragmentShader, this.renderCamera );

	this.renderTargetDepthBuffer = new THREE.WebGLRenderTarget( this.resolution.x, this.resolution.y, pars );
	this.renderTargetDepthBuffer.texture.name = 'OutlinePass.depth';
	this.renderTargetDepthBuffer.texture.generateMipmaps = false;

	this.renderTargetMaskDownSampleBuffer = new THREE.WebGLRenderTarget( resx, resy, pars );
	this.renderTargetMaskDownSampleBuffer.texture.name = 'OutlinePass.depthDownSample';
	this.renderTargetMaskDownSampleBuffer.texture.generateMipmaps = false;

	this.renderTargetBlurBuffer1 = new THREE.WebGLRenderTarget( resx, resy, pars );
	this.renderTargetBlurBuffer1.texture.name = 'OutlinePass.blur1';
	this.renderTargetBlurBuffer1.texture.generateMipmaps = false;
	this.renderTargetBlurBuffer2 = new THREE.WebGLRenderTarget( Math.round( resx / 2 ), Math.round( resy / 2 ), pars );
	this.renderTargetBlurBuffer2.texture.name = 'OutlinePass.blur2';
	this.renderTargetBlurBuffer2.texture.generateMipmaps = false;

	this.edgeDetectionMaterial = this.getEdgeDetectionMaterial();
	this.renderTargetEdgeBuffer1 = new THREE.WebGLRenderTarget( resx, resy, pars );
	this.renderTargetEdgeBuffer1.texture.name = 'OutlinePass.edge1';
	this.renderTargetEdgeBuffer1.texture.generateMipmaps = false;
	this.renderTargetEdgeBuffer2 = new THREE.WebGLRenderTarget( Math.round( resx / 2 ), Math.round( resy / 2 ), pars );
	this.renderTargetEdgeBuffer2.texture.name = 'OutlinePass.edge2';
	this.renderTargetEdgeBuffer2.texture.generateMipmaps = false;

	var MAX_EDGE_THICKNESS = 4;
	var MAX_EDGE_GLOW = 4;

	this.separableBlurMaterial1 = this.getSeperableBlurMaterial( MAX_EDGE_THICKNESS );
	this.separableBlurMaterial1.uniforms[ 'texSize' ].value.set( resx, resy );
	this.separableBlurMaterial1.uniforms[ 'kernelRadius' ].value = 1;
	this.separableBlurMaterial2 = this.getSeperableBlurMaterial( MAX_EDGE_GLOW );
	this.separableBlurMaterial2.uniforms[ 'texSize' ].value.set( Math.round( resx / 2 ), Math.round( resy / 2 ) );
	this.separableBlurMaterial2.uniforms[ 'kernelRadius' ].value = MAX_EDGE_GLOW;

	// Overlay material
	this.overlayMaterial = this.getOverlayMaterial();

	// copy material
	if ( THREE.CopyShader === undefined )
		console.error( 'THREE.OutlinePass relies on THREE.CopyShader' );

	var copyShader = THREE.CopyShader;

	this.copyUniforms = THREE.UniformsUtils.clone( copyShader.uniforms );
	this.copyUniforms[ 'opacity' ].value = 1.0;

	this.materialCopy = new THREE.ShaderMaterial( {
		uniforms: this.copyUniforms,
		vertexShader: copyShader.vertexShader,
		fragmentShader: copyShader.fragmentShader,
		blending: THREE.NoBlending,
		depthTest: false,
		depthWrite: false,
		transparent: true
	} );

	this.enabled = true;
	this.needsSwap = false;

	this._oldClearColor = new THREE.Color();
	this.oldClearAlpha = 1;

	this.fsQuad = new THREE.Pass.FullScreenQuad( null );

	this.tempPulseColor1 = new THREE.Color();
	this.tempPulseColor2 = new THREE.Color();
	this.textureMatrix = new THREE.Matrix4();

	function replaceDepthToViewZ( string, camera ) {

		var type = camera.isPerspectiveCamera ? 'perspective' : 'orthographic';

		return string.replace( /DEPTH_TO_VIEW_Z/g, type + 'DepthToViewZ' );

	}

};

THREE.OutlinePass.prototype = Object.assign( Object.create( THREE.Pass.prototype ), {

	constructor: THREE.OutlinePass,

	dispose: function () {

		this.renderTargetMaskBuffer.dispose();
		this.renderTargetDepthBuffer.dispose();
		this.renderTargetMaskDownSampleBuffer.dispose();
		this.renderTargetBlurBuffer1.dispose();
		this.renderTargetBlurBuffer2.dispose();
		this.renderTargetEdgeBuffer1.dispose();
		this.renderTargetEdgeBuffer2.dispose();

	},

	setSize: function ( width, height ) {

		this.renderTargetMaskBuffer.setSize( width, height );

		var resx = Math.round( width / this.downSampleRatio );
		var resy = Math.round( height / this.downSampleRatio );
		this.renderTargetMaskDownSampleBuffer.setSize( resx, resy );
		this.renderTargetBlurBuffer1.setSize( resx, resy );
		this.renderTargetEdgeBuffer1.setSize( resx, resy );
		this.separableBlurMaterial1.uniforms[ 'texSize' ].value.set( resx, resy );

		resx = Math.round( resx / 2 );
		resy = Math.round( resy / 2 );

		this.renderTargetBlurBuffer2.setSize( resx, resy );
		this.renderTargetEdgeBuffer2.setSize( resx, resy );

		this.separableBlurMaterial2.uniforms[ 'texSize' ].value.set( resx, resy );

	},

	changeVisibilityOfSelectedObjects: function ( bVisible ) {

		var cache = this._visibilityCache;

		function gatherSelectedMeshesCallBack( object ) {

			if ( object.isMesh ) {

				if ( bVisible === true ) {

					object.visible = cache.get( object );

				} else {

					cache.set( object, object.visible );
					object.visible = bVisible;

				}

			}

		}

		for ( var i = 0; i < this.selectedObjects.length; i ++ ) {

			var selectedObject = this.selectedObjects[ i ];
			selectedObject.traverse( gatherSelectedMeshesCallBack );

		}

	},

	changeVisibilityOfNonSelectedObjects: function ( bVisible ) {

		var cache = this._visibilityCache;
		var selectedMeshes = [];

		function gatherSelectedMeshesCallBack( object ) {

			if ( object.isMesh ) selectedMeshes.push( object );

		}

		for ( var i = 0; i < this.selectedObjects.length; i ++ ) {

			var selectedObject = this.selectedObjects[ i ];
			selectedObject.traverse( gatherSelectedMeshesCallBack );

		}

		function VisibilityChangeCallBack( object ) {

			if ( object.isMesh || object.isSprite || object.isTransformControls ) {

				// only meshes and sprites are supported by OutlinePass

				var bFound = false;

				for ( var i = 0; i < selectedMeshes.length; i ++ ) {

					var selectedObjectId = selectedMeshes[ i ].id;

					if ( selectedObjectId === object.id ) {

						bFound = true;
						break;

					}

				}

				if ( bFound === false ) {

					var visibility = object.visible;

					if ( bVisible === false || cache.get( object ) === true ) {

						object.visible = bVisible;

					}

					cache.set( object, visibility );

				}

			} else if ( object.isPoints || object.isLine ) {

				// the visibilty of points and lines is always set to false in order to
				// not affect the outline computation

				if ( bVisible === true ) {

					object.visible = cache.get( object ); // restore

				} else {

					cache.set( object, object.visible );
					object.visible = bVisible;

				}

			}

		}

		this.renderScene.traverse( VisibilityChangeCallBack );

	},

	updateTextureMatrix: function () {

		this.textureMatrix.set( 0.5, 0.0, 0.0, 0.5,
			0.0, 0.5, 0.0, 0.5,
			0.0, 0.0, 0.5, 0.5,
			0.0, 0.0, 0.0, 1.0 );
		this.textureMatrix.multiply( this.renderCamera.projectionMatrix );
		this.textureMatrix.multiply( this.renderCamera.matrixWorldInverse );

	},

	render: function ( renderer, writeBuffer, readBuffer, deltaTime, maskActive ) {

		if ( this.selectedObjects.length > 0 ) {

			renderer.getClearColor( this._oldClearColor );
			this.oldClearAlpha = renderer.getClearAlpha();
			var oldAutoClear = renderer.autoClear;

			renderer.autoClear = false;

			if ( maskActive ) renderer.state.buffers.stencil.setTest( false );

			renderer.setClearColor( 0xffffff, 1 );

			// Make selected objects invisible
			this.changeVisibilityOfSelectedObjects( false );

			var currentBackground = this.renderScene.background;
			this.renderScene.background = null;

			// 1. Draw Non Selected objects in the depth buffer
			this.renderScene.overrideMaterial = this.depthMaterial;
			renderer.setRenderTarget( this.renderTargetDepthBuffer );
			renderer.clear();
			renderer.render( this.renderScene, this.renderCamera );

			// Make selected objects visible
			this.changeVisibilityOfSelectedObjects( true );
			this._visibilityCache.clear();

			// Update Texture Matrix for Depth compare
			this.updateTextureMatrix();

			// Make non selected objects invisible, and draw only the selected objects, by comparing the depth buffer of non selected objects
			this.changeVisibilityOfNonSelectedObjects( false );
			this.renderScene.overrideMaterial = this.prepareMaskMaterial;
			this.prepareMaskMaterial.uniforms[ 'cameraNearFar' ].value.set( this.renderCamera.near, this.renderCamera.far );
			this.prepareMaskMaterial.uniforms[ 'depthTexture' ].value = this.renderTargetDepthBuffer.texture;
			this.prepareMaskMaterial.uniforms[ 'textureMatrix' ].value = this.textureMatrix;
			renderer.setRenderTarget( this.renderTargetMaskBuffer );
			renderer.clear();
			renderer.render( this.renderScene, this.renderCamera );
			this.renderScene.overrideMaterial = null;
			this.changeVisibilityOfNonSelectedObjects( true );
			this._visibilityCache.clear();

			this.renderScene.background = currentBackground;

			// 2. Downsample to Half resolution
			this.fsQuad.material = this.materialCopy;
			this.copyUniforms[ 'tDiffuse' ].value = this.renderTargetMaskBuffer.texture;
			renderer.setRenderTarget( this.renderTargetMaskDownSampleBuffer );
			renderer.clear();
			this.fsQuad.render( renderer );

			this.tempPulseColor1.copy( this.visibleEdgeColor );
			this.tempPulseColor2.copy( this.hiddenEdgeColor );

			if ( this.pulsePeriod > 0 ) {

				var scalar = ( 1 + 0.25 ) / 2 + Math.cos( performance.now() * 0.01 / this.pulsePeriod ) * ( 1.0 - 0.25 ) / 2;
				this.tempPulseColor1.multiplyScalar( scalar );
				this.tempPulseColor2.multiplyScalar( scalar );

			}

			// 3. Apply Edge Detection Pass
			this.fsQuad.material = this.edgeDetectionMaterial;
			this.edgeDetectionMaterial.uniforms[ 'maskTexture' ].value = this.renderTargetMaskDownSampleBuffer.texture;
			this.edgeDetectionMaterial.uniforms[ 'texSize' ].value.set( this.renderTargetMaskDownSampleBuffer.width, this.renderTargetMaskDownSampleBuffer.height );
			this.edgeDetectionMaterial.uniforms[ 'visibleEdgeColor' ].value = this.tempPulseColor1;
			this.edgeDetectionMaterial.uniforms[ 'hiddenEdgeColor' ].value = this.tempPulseColor2;
			renderer.setRenderTarget( this.renderTargetEdgeBuffer1 );
			renderer.clear();
			this.fsQuad.render( renderer );

			// 4. Apply Blur on Half res
			this.fsQuad.material = this.separableBlurMaterial1;
			this.separableBlurMaterial1.uniforms[ 'colorTexture' ].value = this.renderTargetEdgeBuffer1.texture;
			this.separableBlurMaterial1.uniforms[ 'direction' ].value = THREE.OutlinePass.BlurDirectionX;
			this.separableBlurMaterial1.uniforms[ 'kernelRadius' ].value = this.edgeThickness;
			renderer.setRenderTarget( this.renderTargetBlurBuffer1 );
			renderer.clear();
			this.fsQuad.render( renderer );
			this.separableBlurMaterial1.uniforms[ 'colorTexture' ].value = this.renderTargetBlurBuffer1.texture;
			this.separableBlurMaterial1.uniforms[ 'direction' ].value = THREE.OutlinePass.BlurDirectionY;
			renderer.setRenderTarget( this.renderTargetEdgeBuffer1 );
			renderer.clear();
			this.fsQuad.render( renderer );

			// Apply Blur on quarter res
			this.fsQuad.material = this.separableBlurMaterial2;
			this.separableBlurMaterial2.uniforms[ 'colorTexture' ].value = this.renderTargetEdgeBuffer1.texture;
			this.separableBlurMaterial2.uniforms[ 'direction' ].value = THREE.OutlinePass.BlurDirectionX;
			renderer.setRenderTarget( this.renderTargetBlurBuffer2 );
			renderer.clear();
			this.fsQuad.render( renderer );
			this.separableBlurMaterial2.uniforms[ 'colorTexture' ].value = this.renderTargetBlurBuffer2.texture;
			this.separableBlurMaterial2.uniforms[ 'direction' ].value = THREE.OutlinePass.BlurDirectionY;
			renderer.setRenderTarget( this.renderTargetEdgeBuffer2 );
			renderer.clear();
			this.fsQuad.render( renderer );

			// Blend it additively over the input texture
			this.fsQuad.material = this.overlayMaterial;
			this.overlayMaterial.uniforms[ 'maskTexture' ].value = this.renderTargetMaskBuffer.texture;
			this.overlayMaterial.uniforms[ 'edgeTexture1' ].value = this.renderTargetEdgeBuffer1.texture;
			this.overlayMaterial.uniforms[ 'edgeTexture2' ].value = this.renderTargetEdgeBuffer2.texture;
			this.overlayMaterial.uniforms[ 'patternTexture' ].value = this.patternTexture;
			this.overlayMaterial.uniforms[ 'edgeStrength' ].value = this.edgeStrength;
			this.overlayMaterial.uniforms[ 'edgeGlow' ].value = this.edgeGlow;
			this.overlayMaterial.uniforms[ 'usePatternTexture' ].value = this.usePatternTexture;


			if ( maskActive ) renderer.state.buffers.stencil.setTest( true );

			renderer.setRenderTarget( readBuffer );
			this.fsQuad.render( renderer );

			renderer.setClearColor( this._oldClearColor, this.oldClearAlpha );
			renderer.autoClear = oldAutoClear;

		}

		if ( this.renderToScreen ) {

			this.fsQuad.material = this.materialCopy;
			this.copyUniforms[ 'tDiffuse' ].value = readBuffer.texture;
			renderer.setRenderTarget( null );
			this.fsQuad.render( renderer );

		}

	},

	getPrepareMaskMaterial: function () {

		return new THREE.ShaderMaterial( {

			uniforms: {
				'depthTexture': { value: null },
				'cameraNearFar': { value: new THREE.Vector2( 0.5, 0.5 ) },
				'textureMatrix': { value: null }
			},

			vertexShader: [
				'#include <morphtarget_pars_vertex>',
				'#include <skinning_pars_vertex>',

				'varying vec4 projTexCoord;',
				'varying vec4 vPosition;',
				'uniform mat4 textureMatrix;',

				'void main() {',

				'	#include <skinbase_vertex>',
				'	#include <begin_vertex>',
				'	#include <morphtarget_vertex>',
				'	#include <skinning_vertex>',
				'	#include <project_vertex>',

				'	vPosition = mvPosition;',
				'	vec4 worldPosition = modelMatrix * vec4( position, 1.0 );',
				'	projTexCoord = textureMatrix * worldPosition;',

				'}'
			].join( '\n' ),

			fragmentShader: [
				'#include <packing>',
				'varying vec4 vPosition;',
				'varying vec4 projTexCoord;',
				'uniform sampler2D depthTexture;',
				'uniform vec2 cameraNearFar;',

				'void main() {',

				'	float depth = unpackRGBAToDepth(texture2DProj( depthTexture, projTexCoord ));',
				'	float viewZ = - DEPTH_TO_VIEW_Z( depth, cameraNearFar.x, cameraNearFar.y );',
				'	float depthTest = (-vPosition.z > viewZ) ? 1.0 : 0.0;',
				'	gl_FragColor = vec4(0.0, depthTest, 1.0, 1.0);',

				'}'
			].join( '\n' )

		} );

	},

	getEdgeDetectionMaterial: function () {

		return new THREE.ShaderMaterial( {

			uniforms: {
				'maskTexture': { value: null },
				'texSize': { value: new THREE.Vector2( 0.5, 0.5 ) },
				'visibleEdgeColor': { value: new THREE.Vector3( 1.0, 1.0, 1.0 ) },
				'hiddenEdgeColor': { value: new THREE.Vector3( 1.0, 1.0, 1.0 ) },
			},

			vertexShader:
				'varying vec2 vUv;\n\
				void main() {\n\
					vUv = uv;\n\
					gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );\n\
				}',

			fragmentShader:
				'varying vec2 vUv;\
				uniform sampler2D maskTexture;\
				uniform vec2 texSize;\
				uniform vec3 visibleEdgeColor;\
				uniform vec3 hiddenEdgeColor;\
				\
				void main() {\n\
					vec2 invSize = 1.0 / texSize;\
					vec4 uvOffset = vec4(1.0, 0.0, 0.0, 1.0) * vec4(invSize, invSize);\
					vec4 c1 = texture2D( maskTexture, vUv + uvOffset.xy);\
					vec4 c2 = texture2D( maskTexture, vUv - uvOffset.xy);\
					vec4 c3 = texture2D( maskTexture, vUv + uvOffset.yw);\
					vec4 c4 = texture2D( maskTexture, vUv - uvOffset.yw);\
					float diff1 = (c1.r - c2.r)*0.5;\
					float diff2 = (c3.r - c4.r)*0.5;\
					float d = length( vec2(diff1, diff2) );\
					float a1 = min(c1.g, c2.g);\
					float a2 = min(c3.g, c4.g);\
					float visibilityFactor = min(a1, a2);\
					vec3 edgeColor = 1.0 - visibilityFactor > 0.001 ? visibleEdgeColor : hiddenEdgeColor;\
					gl_FragColor = vec4(edgeColor, 1.0) * vec4(d);\
				}'
		} );

	},

	getSeperableBlurMaterial: function ( maxRadius ) {

		return new THREE.ShaderMaterial( {

			defines: {
				'MAX_RADIUS': maxRadius,
			},

			uniforms: {
				'colorTexture': { value: null },
				'texSize': { value: new THREE.Vector2( 0.5, 0.5 ) },
				'direction': { value: new THREE.Vector2( 0.5, 0.5 ) },
				'kernelRadius': { value: 1.0 }
			},

			vertexShader:
				'varying vec2 vUv;\n\
				void main() {\n\
					vUv = uv;\n\
					gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );\n\
				}',

			fragmentShader:
				'#include <common>\
				varying vec2 vUv;\
				uniform sampler2D colorTexture;\
				uniform vec2 texSize;\
				uniform vec2 direction;\
				uniform float kernelRadius;\
				\
				float gaussianPdf(in float x, in float sigma) {\
					return 0.39894 * exp( -0.5 * x * x/( sigma * sigma))/sigma;\
				}\
				void main() {\
					vec2 invSize = 1.0 / texSize;\
					float weightSum = gaussianPdf(0.0, kernelRadius);\
					vec4 diffuseSum = texture2D( colorTexture, vUv) * weightSum;\
					vec2 delta = direction * invSize * kernelRadius/float(MAX_RADIUS);\
					vec2 uvOffset = delta;\
					for( int i = 1; i <= MAX_RADIUS; i ++ ) {\
						float w = gaussianPdf(uvOffset.x, kernelRadius);\
						vec4 sample1 = texture2D( colorTexture, vUv + uvOffset);\
						vec4 sample2 = texture2D( colorTexture, vUv - uvOffset);\
						diffuseSum += ((sample1 + sample2) * w);\
						weightSum += (2.0 * w);\
						uvOffset += delta;\
					}\
					gl_FragColor = diffuseSum/weightSum;\
				}'
		} );

	},

	getOverlayMaterial: function () {

		return new THREE.ShaderMaterial( {

			uniforms: {
				'maskTexture': { value: null },
				'edgeTexture1': { value: null },
				'edgeTexture2': { value: null },
				'patternTexture': { value: null },
				'edgeStrength': { value: 1.0 },
				'edgeGlow': { value: 1.0 },
				'usePatternTexture': { value: 0.0 }
			},

			vertexShader:
				'varying vec2 vUv;\n\
				void main() {\n\
					vUv = uv;\n\
					gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );\n\
				}',

			fragmentShader:
				'varying vec2 vUv;\
				uniform sampler2D maskTexture;\
				uniform sampler2D edgeTexture1;\
				uniform sampler2D edgeTexture2;\
				uniform sampler2D patternTexture;\
				uniform float edgeStrength;\
				uniform float edgeGlow;\
				uniform bool usePatternTexture;\
				\
				void main() {\
					vec4 edgeValue1 = texture2D(edgeTexture1, vUv);\
					vec4 edgeValue2 = texture2D(edgeTexture2, vUv);\
					vec4 maskColor = texture2D(maskTexture, vUv);\
					vec4 patternColor = texture2D(patternTexture, 6.0 * vUv);\
					float visibilityFactor = 1.0 - maskColor.g > 0.0 ? 1.0 : 0.5;\
					vec4 edgeValue = edgeValue1 + edgeValue2 * edgeGlow;\
					vec4 finalColor = edgeStrength * maskColor.r * edgeValue;\
					if(usePatternTexture)\
						finalColor += + visibilityFactor * (1.0 - maskColor.r) * (1.0 - patternColor.r);\
					gl_FragColor = finalColor;\
				}',
			blending: THREE.AdditiveBlending,
			depthTest: false,
			depthWrite: false,
			transparent: true
		} );

	}

} );

THREE.OutlinePass.BlurDirectionX = new THREE.Vector2( 1.0, 0.0 );
THREE.OutlinePass.BlurDirectionY = new THREE.Vector2( 0.0, 1.0 );


/***/ }),
/* 34 */
/***/ (function(module, exports) {

THREE.RenderPass = function ( scene, camera, overrideMaterial, clearColor, clearAlpha ) {

	THREE.Pass.call( this );

	this.scene = scene;
	this.camera = camera;

	this.overrideMaterial = overrideMaterial;

	this.clearColor = clearColor;
	this.clearAlpha = ( clearAlpha !== undefined ) ? clearAlpha : 0;

	this.clear = true;
	this.clearDepth = false;
	this.needsSwap = false;
	this._oldClearColor = new THREE.Color();

};

THREE.RenderPass.prototype = Object.assign( Object.create( THREE.Pass.prototype ), {

	constructor: THREE.RenderPass,

	render: function ( renderer, writeBuffer, readBuffer /*, deltaTime, maskActive */ ) {

		var oldAutoClear = renderer.autoClear;
		renderer.autoClear = false;

		var oldClearAlpha, oldOverrideMaterial;

		if ( this.overrideMaterial !== undefined ) {

			oldOverrideMaterial = this.scene.overrideMaterial;

			this.scene.overrideMaterial = this.overrideMaterial;

		}

		if ( this.clearColor ) {

			renderer.getClearColor( this._oldClearColor );
			oldClearAlpha = renderer.getClearAlpha();

			renderer.setClearColor( this.clearColor, this.clearAlpha );

		}

		if ( this.clearDepth ) {

			renderer.clearDepth();

		}

		renderer.setRenderTarget( this.renderToScreen ? null : readBuffer );

		// TODO: Avoid using autoClear properties, see https://github.com/mrdoob/three.js/pull/15571#issuecomment-465669600
		if ( this.clear ) renderer.clear( renderer.autoClearColor, renderer.autoClearDepth, renderer.autoClearStencil );
		renderer.render( this.scene, this.camera );

		if ( this.clearColor ) {

			renderer.setClearColor( this._oldClearColor, oldClearAlpha );

		}

		if ( this.overrideMaterial !== undefined ) {

			this.scene.overrideMaterial = oldOverrideMaterial;

		}

		renderer.autoClear = oldAutoClear;

	}

} );


/***/ }),
/* 35 */
/***/ (function(module, exports) {

THREE.ShaderPass = function ( shader, textureID ) {

	THREE.Pass.call( this );

	this.textureID = ( textureID !== undefined ) ? textureID : 'tDiffuse';

	if ( shader instanceof THREE.ShaderMaterial ) {

		this.uniforms = shader.uniforms;

		this.material = shader;

	} else if ( shader ) {

		this.uniforms = THREE.UniformsUtils.clone( shader.uniforms );

		this.material = new THREE.ShaderMaterial( {

			defines: Object.assign( {}, shader.defines ),
			uniforms: this.uniforms,
			vertexShader: shader.vertexShader,
			fragmentShader: shader.fragmentShader

		} );

	}

	this.fsQuad = new THREE.Pass.FullScreenQuad( this.material );

};

THREE.ShaderPass.prototype = Object.assign( Object.create( THREE.Pass.prototype ), {

	constructor: THREE.ShaderPass,

	render: function ( renderer, writeBuffer, readBuffer /*, deltaTime, maskActive */ ) {

		if ( this.uniforms[ this.textureID ] ) {

			this.uniforms[ this.textureID ].value = readBuffer.texture;

		}

		this.fsQuad.material = this.material;

		if ( this.renderToScreen ) {

			renderer.setRenderTarget( null );
			this.fsQuad.render( renderer );

		} else {

			renderer.setRenderTarget( writeBuffer );
			// TODO: Avoid using autoClear properties, see https://github.com/mrdoob/three.js/pull/15571#issuecomment-465669600
			if ( this.clear ) renderer.clear( renderer.autoClearColor, renderer.autoClearDepth, renderer.autoClearStencil );
			this.fsQuad.render( renderer );

		}

	}

} );


/***/ }),
/* 36 */
/***/ (function(module, exports) {

/**
 * Full-screen textured quad shader
 */

THREE.CopyShader = {

	uniforms: {

		'tDiffuse': { value: null },
		'opacity': { value: 1.0 }

	},

	vertexShader: [

		'varying vec2 vUv;',

		'void main() {',

		'	vUv = uv;',
		'	gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );',

		'}'

	].join( '\n' ),

	fragmentShader: [

		'uniform float opacity;',

		'uniform sampler2D tDiffuse;',

		'varying vec2 vUv;',

		'void main() {',

		'	vec4 texel = texture2D( tDiffuse, vUv );',
		'	gl_FragColor = opacity * texel;',

		'}'

	].join( '\n' )

};


/***/ }),
/* 37 */
/***/ (function(module, exports) {

/**
 * NVIDIA FXAA by Timothy Lottes
 * http://timothylottes.blogspot.com/2011/06/fxaa3-source-released.html
 * - WebGL port by @supereggbert
 * http://www.glge.org/demos/fxaa/
 */

THREE.FXAAShader = {

	uniforms: {

		'tDiffuse': { value: null },
		'resolution': { value: new THREE.Vector2( 1 / 1024, 1 / 512 ) }

	},

	vertexShader: [

		'varying vec2 vUv;',

		'void main() {',

		'	vUv = uv;',
		'	gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );',

		'}'

	].join( '\n' ),

	fragmentShader: [
		'precision highp float;',
		'',
		'uniform sampler2D tDiffuse;',
		'',
		'uniform vec2 resolution;',
		'',
		'varying vec2 vUv;',
		'',
		'// FXAA 3.11 implementation by NVIDIA, ported to WebGL by Agost Biro (biro@archilogic.com)',
		'',
		'//----------------------------------------------------------------------------------',
		'// File:        es3-kepler\FXAA\assets\shaders/FXAA_DefaultES.frag',
		'// SDK Version: v3.00',
		'// Email:       gameworks@nvidia.com',
		'// Site:        http://developer.nvidia.com/',
		'//',
		'// Copyright (c) 2014-2015, NVIDIA CORPORATION. All rights reserved.',
		'//',
		'// Redistribution and use in source and binary forms, with or without',
		'// modification, are permitted provided that the following conditions',
		'// are met:',
		'//  * Redistributions of source code must retain the above copyright',
		'//    notice, this list of conditions and the following disclaimer.',
		'//  * Redistributions in binary form must reproduce the above copyright',
		'//    notice, this list of conditions and the following disclaimer in the',
		'//    documentation and/or other materials provided with the distribution.',
		'//  * Neither the name of NVIDIA CORPORATION nor the names of its',
		'//    contributors may be used to endorse or promote products derived',
		'//    from this software without specific prior written permission.',
		'//',
		'// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS\'\' AND ANY',
		'// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE',
		'// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR',
		'// PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR',
		'// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,',
		'// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,',
		'// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR',
		'// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY',
		'// OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT',
		'// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE',
		'// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.',
		'//',
		'//----------------------------------------------------------------------------------',
		'',
		'#define FXAA_PC 1',
		'#define FXAA_GLSL_100 1',
		'#define FXAA_QUALITY_PRESET 12',
		'',
		'#define FXAA_GREEN_AS_LUMA 1',
		'',
		'/*--------------------------------------------------------------------------*/',
		'#ifndef FXAA_PC_CONSOLE',
		'    //',
		'    // The console algorithm for PC is included',
		'    // for developers targeting really low spec machines.',
		'    // Likely better to just run FXAA_PC, and use a really low preset.',
		'    //',
		'    #define FXAA_PC_CONSOLE 0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#ifndef FXAA_GLSL_120',
		'    #define FXAA_GLSL_120 0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#ifndef FXAA_GLSL_130',
		'    #define FXAA_GLSL_130 0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#ifndef FXAA_HLSL_3',
		'    #define FXAA_HLSL_3 0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#ifndef FXAA_HLSL_4',
		'    #define FXAA_HLSL_4 0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#ifndef FXAA_HLSL_5',
		'    #define FXAA_HLSL_5 0',
		'#endif',
		'/*==========================================================================*/',
		'#ifndef FXAA_GREEN_AS_LUMA',
		'    //',
		'    // For those using non-linear color,',
		'    // and either not able to get luma in alpha, or not wanting to,',
		'    // this enables FXAA to run using green as a proxy for luma.',
		'    // So with this enabled, no need to pack luma in alpha.',
		'    //',
		'    // This will turn off AA on anything which lacks some amount of green.',
		'    // Pure red and blue or combination of only R and B, will get no AA.',
		'    //',
		'    // Might want to lower the settings for both,',
		'    //    fxaaConsoleEdgeThresholdMin',
		'    //    fxaaQualityEdgeThresholdMin',
		'    // In order to insure AA does not get turned off on colors',
		'    // which contain a minor amount of green.',
		'    //',
		'    // 1 = On.',
		'    // 0 = Off.',
		'    //',
		'    #define FXAA_GREEN_AS_LUMA 0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#ifndef FXAA_EARLY_EXIT',
		'    //',
		'    // Controls algorithm\'s early exit path.',
		'    // On PS3 turning this ON adds 2 cycles to the shader.',
		'    // On 360 turning this OFF adds 10ths of a millisecond to the shader.',
		'    // Turning this off on console will result in a more blurry image.',
		'    // So this defaults to on.',
		'    //',
		'    // 1 = On.',
		'    // 0 = Off.',
		'    //',
		'    #define FXAA_EARLY_EXIT 1',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#ifndef FXAA_DISCARD',
		'    //',
		'    // Only valid for PC OpenGL currently.',
		'    // Probably will not work when FXAA_GREEN_AS_LUMA = 1.',
		'    //',
		'    // 1 = Use discard on pixels which don\'t need AA.',
		'    //     For APIs which enable concurrent TEX+ROP from same surface.',
		'    // 0 = Return unchanged color on pixels which don\'t need AA.',
		'    //',
		'    #define FXAA_DISCARD 0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#ifndef FXAA_FAST_PIXEL_OFFSET',
		'    //',
		'    // Used for GLSL 120 only.',
		'    //',
		'    // 1 = GL API supports fast pixel offsets',
		'    // 0 = do not use fast pixel offsets',
		'    //',
		'    #ifdef GL_EXT_gpu_shader4',
		'        #define FXAA_FAST_PIXEL_OFFSET 1',
		'    #endif',
		'    #ifdef GL_NV_gpu_shader5',
		'        #define FXAA_FAST_PIXEL_OFFSET 1',
		'    #endif',
		'    #ifdef GL_ARB_gpu_shader5',
		'        #define FXAA_FAST_PIXEL_OFFSET 1',
		'    #endif',
		'    #ifndef FXAA_FAST_PIXEL_OFFSET',
		'        #define FXAA_FAST_PIXEL_OFFSET 0',
		'    #endif',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#ifndef FXAA_GATHER4_ALPHA',
		'    //',
		'    // 1 = API supports gather4 on alpha channel.',
		'    // 0 = API does not support gather4 on alpha channel.',
		'    //',
		'    #if (FXAA_HLSL_5 == 1)',
		'        #define FXAA_GATHER4_ALPHA 1',
		'    #endif',
		'    #ifdef GL_ARB_gpu_shader5',
		'        #define FXAA_GATHER4_ALPHA 1',
		'    #endif',
		'    #ifdef GL_NV_gpu_shader5',
		'        #define FXAA_GATHER4_ALPHA 1',
		'    #endif',
		'    #ifndef FXAA_GATHER4_ALPHA',
		'        #define FXAA_GATHER4_ALPHA 0',
		'    #endif',
		'#endif',
		'',
		'',
		'/*============================================================================',
		'                        FXAA QUALITY - TUNING KNOBS',
		'------------------------------------------------------------------------------',
		'NOTE the other tuning knobs are now in the shader function inputs!',
		'============================================================================*/',
		'#ifndef FXAA_QUALITY_PRESET',
		'    //',
		'    // Choose the quality preset.',
		'    // This needs to be compiled into the shader as it effects code.',
		'    // Best option to include multiple presets is to',
		'    // in each shader define the preset, then include this file.',
		'    //',
		'    // OPTIONS',
		'    // -----------------------------------------------------------------------',
		'    // 10 to 15 - default medium dither (10=fastest, 15=highest quality)',
		'    // 20 to 29 - less dither, more expensive (20=fastest, 29=highest quality)',
		'    // 39       - no dither, very expensive',
		'    //',
		'    // NOTES',
		'    // -----------------------------------------------------------------------',
		'    // 12 = slightly faster then FXAA 3.9 and higher edge quality (default)',
		'    // 13 = about same speed as FXAA 3.9 and better than 12',
		'    // 23 = closest to FXAA 3.9 visually and performance wise',
		'    //  _ = the lowest digit is directly related to performance',
		'    // _  = the highest digit is directly related to style',
		'    //',
		'    #define FXAA_QUALITY_PRESET 12',
		'#endif',
		'',
		'',
		'/*============================================================================',
		'',
		'                           FXAA QUALITY - PRESETS',
		'',
		'============================================================================*/',
		'',
		'/*============================================================================',
		'                     FXAA QUALITY - MEDIUM DITHER PRESETS',
		'============================================================================*/',
		'#if (FXAA_QUALITY_PRESET == 10)',
		'    #define FXAA_QUALITY_PS 3',
		'    #define FXAA_QUALITY_P0 1.5',
		'    #define FXAA_QUALITY_P1 3.0',
		'    #define FXAA_QUALITY_P2 12.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 11)',
		'    #define FXAA_QUALITY_PS 4',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 3.0',
		'    #define FXAA_QUALITY_P3 12.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 12)',
		'    #define FXAA_QUALITY_PS 5',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 4.0',
		'    #define FXAA_QUALITY_P4 12.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 13)',
		'    #define FXAA_QUALITY_PS 6',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 4.0',
		'    #define FXAA_QUALITY_P5 12.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 14)',
		'    #define FXAA_QUALITY_PS 7',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 2.0',
		'    #define FXAA_QUALITY_P5 4.0',
		'    #define FXAA_QUALITY_P6 12.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 15)',
		'    #define FXAA_QUALITY_PS 8',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 2.0',
		'    #define FXAA_QUALITY_P5 2.0',
		'    #define FXAA_QUALITY_P6 4.0',
		'    #define FXAA_QUALITY_P7 12.0',
		'#endif',
		'',
		'/*============================================================================',
		'                     FXAA QUALITY - LOW DITHER PRESETS',
		'============================================================================*/',
		'#if (FXAA_QUALITY_PRESET == 20)',
		'    #define FXAA_QUALITY_PS 3',
		'    #define FXAA_QUALITY_P0 1.5',
		'    #define FXAA_QUALITY_P1 2.0',
		'    #define FXAA_QUALITY_P2 8.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 21)',
		'    #define FXAA_QUALITY_PS 4',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 8.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 22)',
		'    #define FXAA_QUALITY_PS 5',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 8.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 23)',
		'    #define FXAA_QUALITY_PS 6',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 2.0',
		'    #define FXAA_QUALITY_P5 8.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 24)',
		'    #define FXAA_QUALITY_PS 7',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 2.0',
		'    #define FXAA_QUALITY_P5 3.0',
		'    #define FXAA_QUALITY_P6 8.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 25)',
		'    #define FXAA_QUALITY_PS 8',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 2.0',
		'    #define FXAA_QUALITY_P5 2.0',
		'    #define FXAA_QUALITY_P6 4.0',
		'    #define FXAA_QUALITY_P7 8.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 26)',
		'    #define FXAA_QUALITY_PS 9',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 2.0',
		'    #define FXAA_QUALITY_P5 2.0',
		'    #define FXAA_QUALITY_P6 2.0',
		'    #define FXAA_QUALITY_P7 4.0',
		'    #define FXAA_QUALITY_P8 8.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 27)',
		'    #define FXAA_QUALITY_PS 10',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 2.0',
		'    #define FXAA_QUALITY_P5 2.0',
		'    #define FXAA_QUALITY_P6 2.0',
		'    #define FXAA_QUALITY_P7 2.0',
		'    #define FXAA_QUALITY_P8 4.0',
		'    #define FXAA_QUALITY_P9 8.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 28)',
		'    #define FXAA_QUALITY_PS 11',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 2.0',
		'    #define FXAA_QUALITY_P5 2.0',
		'    #define FXAA_QUALITY_P6 2.0',
		'    #define FXAA_QUALITY_P7 2.0',
		'    #define FXAA_QUALITY_P8 2.0',
		'    #define FXAA_QUALITY_P9 4.0',
		'    #define FXAA_QUALITY_P10 8.0',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_QUALITY_PRESET == 29)',
		'    #define FXAA_QUALITY_PS 12',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.5',
		'    #define FXAA_QUALITY_P2 2.0',
		'    #define FXAA_QUALITY_P3 2.0',
		'    #define FXAA_QUALITY_P4 2.0',
		'    #define FXAA_QUALITY_P5 2.0',
		'    #define FXAA_QUALITY_P6 2.0',
		'    #define FXAA_QUALITY_P7 2.0',
		'    #define FXAA_QUALITY_P8 2.0',
		'    #define FXAA_QUALITY_P9 2.0',
		'    #define FXAA_QUALITY_P10 4.0',
		'    #define FXAA_QUALITY_P11 8.0',
		'#endif',
		'',
		'/*============================================================================',
		'                     FXAA QUALITY - EXTREME QUALITY',
		'============================================================================*/',
		'#if (FXAA_QUALITY_PRESET == 39)',
		'    #define FXAA_QUALITY_PS 12',
		'    #define FXAA_QUALITY_P0 1.0',
		'    #define FXAA_QUALITY_P1 1.0',
		'    #define FXAA_QUALITY_P2 1.0',
		'    #define FXAA_QUALITY_P3 1.0',
		'    #define FXAA_QUALITY_P4 1.0',
		'    #define FXAA_QUALITY_P5 1.5',
		'    #define FXAA_QUALITY_P6 2.0',
		'    #define FXAA_QUALITY_P7 2.0',
		'    #define FXAA_QUALITY_P8 2.0',
		'    #define FXAA_QUALITY_P9 2.0',
		'    #define FXAA_QUALITY_P10 4.0',
		'    #define FXAA_QUALITY_P11 8.0',
		'#endif',
		'',
		'',
		'',
		'/*============================================================================',
		'',
		'                                API PORTING',
		'',
		'============================================================================*/',
		'#if (FXAA_GLSL_100 == 1) || (FXAA_GLSL_120 == 1) || (FXAA_GLSL_130 == 1)',
		'    #define FxaaBool bool',
		'    #define FxaaDiscard discard',
		'    #define FxaaFloat float',
		'    #define FxaaFloat2 vec2',
		'    #define FxaaFloat3 vec3',
		'    #define FxaaFloat4 vec4',
		'    #define FxaaHalf float',
		'    #define FxaaHalf2 vec2',
		'    #define FxaaHalf3 vec3',
		'    #define FxaaHalf4 vec4',
		'    #define FxaaInt2 ivec2',
		'    #define FxaaSat(x) clamp(x, 0.0, 1.0)',
		'    #define FxaaTex sampler2D',
		'#else',
		'    #define FxaaBool bool',
		'    #define FxaaDiscard clip(-1)',
		'    #define FxaaFloat float',
		'    #define FxaaFloat2 float2',
		'    #define FxaaFloat3 float3',
		'    #define FxaaFloat4 float4',
		'    #define FxaaHalf half',
		'    #define FxaaHalf2 half2',
		'    #define FxaaHalf3 half3',
		'    #define FxaaHalf4 half4',
		'    #define FxaaSat(x) saturate(x)',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_GLSL_100 == 1)',
		'  #define FxaaTexTop(t, p) texture2D(t, p, 0.0)',
		'  #define FxaaTexOff(t, p, o, r) texture2D(t, p + (o * r), 0.0)',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_GLSL_120 == 1)',
		'    // Requires,',
		'    //  #version 120',
		'    // And at least,',
		'    //  #extension GL_EXT_gpu_shader4 : enable',
		'    //  (or set FXAA_FAST_PIXEL_OFFSET 1 to work like DX9)',
		'    #define FxaaTexTop(t, p) texture2DLod(t, p, 0.0)',
		'    #if (FXAA_FAST_PIXEL_OFFSET == 1)',
		'        #define FxaaTexOff(t, p, o, r) texture2DLodOffset(t, p, 0.0, o)',
		'    #else',
		'        #define FxaaTexOff(t, p, o, r) texture2DLod(t, p + (o * r), 0.0)',
		'    #endif',
		'    #if (FXAA_GATHER4_ALPHA == 1)',
		'        // use #extension GL_ARB_gpu_shader5 : enable',
		'        #define FxaaTexAlpha4(t, p) textureGather(t, p, 3)',
		'        #define FxaaTexOffAlpha4(t, p, o) textureGatherOffset(t, p, o, 3)',
		'        #define FxaaTexGreen4(t, p) textureGather(t, p, 1)',
		'        #define FxaaTexOffGreen4(t, p, o) textureGatherOffset(t, p, o, 1)',
		'    #endif',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_GLSL_130 == 1)',
		'    // Requires "#version 130" or better',
		'    #define FxaaTexTop(t, p) textureLod(t, p, 0.0)',
		'    #define FxaaTexOff(t, p, o, r) textureLodOffset(t, p, 0.0, o)',
		'    #if (FXAA_GATHER4_ALPHA == 1)',
		'        // use #extension GL_ARB_gpu_shader5 : enable',
		'        #define FxaaTexAlpha4(t, p) textureGather(t, p, 3)',
		'        #define FxaaTexOffAlpha4(t, p, o) textureGatherOffset(t, p, o, 3)',
		'        #define FxaaTexGreen4(t, p) textureGather(t, p, 1)',
		'        #define FxaaTexOffGreen4(t, p, o) textureGatherOffset(t, p, o, 1)',
		'    #endif',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_HLSL_3 == 1)',
		'    #define FxaaInt2 float2',
		'    #define FxaaTex sampler2D',
		'    #define FxaaTexTop(t, p) tex2Dlod(t, float4(p, 0.0, 0.0))',
		'    #define FxaaTexOff(t, p, o, r) tex2Dlod(t, float4(p + (o * r), 0, 0))',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_HLSL_4 == 1)',
		'    #define FxaaInt2 int2',
		'    struct FxaaTex { SamplerState smpl; Texture2D tex; };',
		'    #define FxaaTexTop(t, p) t.tex.SampleLevel(t.smpl, p, 0.0)',
		'    #define FxaaTexOff(t, p, o, r) t.tex.SampleLevel(t.smpl, p, 0.0, o)',
		'#endif',
		'/*--------------------------------------------------------------------------*/',
		'#if (FXAA_HLSL_5 == 1)',
		'    #define FxaaInt2 int2',
		'    struct FxaaTex { SamplerState smpl; Texture2D tex; };',
		'    #define FxaaTexTop(t, p) t.tex.SampleLevel(t.smpl, p, 0.0)',
		'    #define FxaaTexOff(t, p, o, r) t.tex.SampleLevel(t.smpl, p, 0.0, o)',
		'    #define FxaaTexAlpha4(t, p) t.tex.GatherAlpha(t.smpl, p)',
		'    #define FxaaTexOffAlpha4(t, p, o) t.tex.GatherAlpha(t.smpl, p, o)',
		'    #define FxaaTexGreen4(t, p) t.tex.GatherGreen(t.smpl, p)',
		'    #define FxaaTexOffGreen4(t, p, o) t.tex.GatherGreen(t.smpl, p, o)',
		'#endif',
		'',
		'',
		'/*============================================================================',
		'                   GREEN AS LUMA OPTION SUPPORT FUNCTION',
		'============================================================================*/',
		'#if (FXAA_GREEN_AS_LUMA == 0)',
		'    FxaaFloat FxaaLuma(FxaaFloat4 rgba) { return rgba.w; }',
		'#else',
		'    FxaaFloat FxaaLuma(FxaaFloat4 rgba) { return rgba.y; }',
		'#endif',
		'',
		'',
		'',
		'',
		'/*============================================================================',
		'',
		'                             FXAA3 QUALITY - PC',
		'',
		'============================================================================*/',
		'#if (FXAA_PC == 1)',
		'/*--------------------------------------------------------------------------*/',
		'FxaaFloat4 FxaaPixelShader(',
		'    //',
		'    // Use noperspective interpolation here (turn off perspective interpolation).',
		'    // {xy} = center of pixel',
		'    FxaaFloat2 pos,',
		'    //',
		'    // Used only for FXAA Console, and not used on the 360 version.',
		'    // Use noperspective interpolation here (turn off perspective interpolation).',
		'    // {xy_} = upper left of pixel',
		'    // {_zw} = lower right of pixel',
		'    FxaaFloat4 fxaaConsolePosPos,',
		'    //',
		'    // Input color texture.',
		'    // {rgb_} = color in linear or perceptual color space',
		'    // if (FXAA_GREEN_AS_LUMA == 0)',
		'    //     {__a} = luma in perceptual color space (not linear)',
		'    FxaaTex tex,',
		'    //',
		'    // Only used on the optimized 360 version of FXAA Console.',
		'    // For everything but 360, just use the same input here as for "tex".',
		'    // For 360, same texture, just alias with a 2nd sampler.',
		'    // This sampler needs to have an exponent bias of -1.',
		'    FxaaTex fxaaConsole360TexExpBiasNegOne,',
		'    //',
		'    // Only used on the optimized 360 version of FXAA Console.',
		'    // For everything but 360, just use the same input here as for "tex".',
		'    // For 360, same texture, just alias with a 3nd sampler.',
		'    // This sampler needs to have an exponent bias of -2.',
		'    FxaaTex fxaaConsole360TexExpBiasNegTwo,',
		'    //',
		'    // Only used on FXAA Quality.',
		'    // This must be from a constant/uniform.',
		'    // {x_} = 1.0/screenWidthInPixels',
		'    // {_y} = 1.0/screenHeightInPixels',
		'    FxaaFloat2 fxaaQualityRcpFrame,',
		'    //',
		'    // Only used on FXAA Console.',
		'    // This must be from a constant/uniform.',
		'    // This effects sub-pixel AA quality and inversely sharpness.',
		'    //   Where N ranges between,',
		'    //     N = 0.50 (default)',
		'    //     N = 0.33 (sharper)',
		'    // {x__} = -N/screenWidthInPixels',
		'    // {_y_} = -N/screenHeightInPixels',
		'    // {_z_} =  N/screenWidthInPixels',
		'    // {__w} =  N/screenHeightInPixels',
		'    FxaaFloat4 fxaaConsoleRcpFrameOpt,',
		'    //',
		'    // Only used on FXAA Console.',
		'    // Not used on 360, but used on PS3 and PC.',
		'    // This must be from a constant/uniform.',
		'    // {x__} = -2.0/screenWidthInPixels',
		'    // {_y_} = -2.0/screenHeightInPixels',
		'    // {_z_} =  2.0/screenWidthInPixels',
		'    // {__w} =  2.0/screenHeightInPixels',
		'    FxaaFloat4 fxaaConsoleRcpFrameOpt2,',
		'    //',
		'    // Only used on FXAA Console.',
		'    // Only used on 360 in place of fxaaConsoleRcpFrameOpt2.',
		'    // This must be from a constant/uniform.',
		'    // {x__} =  8.0/screenWidthInPixels',
		'    // {_y_} =  8.0/screenHeightInPixels',
		'    // {_z_} = -4.0/screenWidthInPixels',
		'    // {__w} = -4.0/screenHeightInPixels',
		'    FxaaFloat4 fxaaConsole360RcpFrameOpt2,',
		'    //',
		'    // Only used on FXAA Quality.',
		'    // This used to be the FXAA_QUALITY_SUBPIX define.',
		'    // It is here now to allow easier tuning.',
		'    // Choose the amount of sub-pixel aliasing removal.',
		'    // This can effect sharpness.',
		'    //   1.00 - upper limit (softer)',
		'    //   0.75 - default amount of filtering',
		'    //   0.50 - lower limit (sharper, less sub-pixel aliasing removal)',
		'    //   0.25 - almost off',
		'    //   0.00 - completely off',
		'    FxaaFloat fxaaQualitySubpix,',
		'    //',
		'    // Only used on FXAA Quality.',
		'    // This used to be the FXAA_QUALITY_EDGE_THRESHOLD define.',
		'    // It is here now to allow easier tuning.',
		'    // The minimum amount of local contrast required to apply algorithm.',
		'    //   0.333 - too little (faster)',
		'    //   0.250 - low quality',
		'    //   0.166 - default',
		'    //   0.125 - high quality',
		'    //   0.063 - overkill (slower)',
		'    FxaaFloat fxaaQualityEdgeThreshold,',
		'    //',
		'    // Only used on FXAA Quality.',
		'    // This used to be the FXAA_QUALITY_EDGE_THRESHOLD_MIN define.',
		'    // It is here now to allow easier tuning.',
		'    // Trims the algorithm from processing darks.',
		'    //   0.0833 - upper limit (default, the start of visible unfiltered edges)',
		'    //   0.0625 - high quality (faster)',
		'    //   0.0312 - visible limit (slower)',
		'    // Special notes when using FXAA_GREEN_AS_LUMA,',
		'    //   Likely want to set this to zero.',
		'    //   As colors that are mostly not-green',
		'    //   will appear very dark in the green channel!',
		'    //   Tune by looking at mostly non-green content,',
		'    //   then start at zero and increase until aliasing is a problem.',
		'    FxaaFloat fxaaQualityEdgeThresholdMin,',
		'    //',
		'    // Only used on FXAA Console.',
		'    // This used to be the FXAA_CONSOLE_EDGE_SHARPNESS define.',
		'    // It is here now to allow easier tuning.',
		'    // This does not effect PS3, as this needs to be compiled in.',
		'    //   Use FXAA_CONSOLE_PS3_EDGE_SHARPNESS for PS3.',
		'    //   Due to the PS3 being ALU bound,',
		'    //   there are only three safe values here: 2 and 4 and 8.',
		'    //   These options use the shaders ability to a free *|/ by 2|4|8.',
		'    // For all other platforms can be a non-power of two.',
		'    //   8.0 is sharper (default!!!)',
		'    //   4.0 is softer',
		'    //   2.0 is really soft (good only for vector graphics inputs)',
		'    FxaaFloat fxaaConsoleEdgeSharpness,',
		'    //',
		'    // Only used on FXAA Console.',
		'    // This used to be the FXAA_CONSOLE_EDGE_THRESHOLD define.',
		'    // It is here now to allow easier tuning.',
		'    // This does not effect PS3, as this needs to be compiled in.',
		'    //   Use FXAA_CONSOLE_PS3_EDGE_THRESHOLD for PS3.',
		'    //   Due to the PS3 being ALU bound,',
		'    //   there are only two safe values here: 1/4 and 1/8.',
		'    //   These options use the shaders ability to a free *|/ by 2|4|8.',
		'    // The console setting has a different mapping than the quality setting.',
		'    // Other platforms can use other values.',
		'    //   0.125 leaves less aliasing, but is softer (default!!!)',
		'    //   0.25 leaves more aliasing, and is sharper',
		'    FxaaFloat fxaaConsoleEdgeThreshold,',
		'    //',
		'    // Only used on FXAA Console.',
		'    // This used to be the FXAA_CONSOLE_EDGE_THRESHOLD_MIN define.',
		'    // It is here now to allow easier tuning.',
		'    // Trims the algorithm from processing darks.',
		'    // The console setting has a different mapping than the quality setting.',
		'    // This only applies when FXAA_EARLY_EXIT is 1.',
		'    // This does not apply to PS3,',
		'    // PS3 was simplified to avoid more shader instructions.',
		'    //   0.06 - faster but more aliasing in darks',
		'    //   0.05 - default',
		'    //   0.04 - slower and less aliasing in darks',
		'    // Special notes when using FXAA_GREEN_AS_LUMA,',
		'    //   Likely want to set this to zero.',
		'    //   As colors that are mostly not-green',
		'    //   will appear very dark in the green channel!',
		'    //   Tune by looking at mostly non-green content,',
		'    //   then start at zero and increase until aliasing is a problem.',
		'    FxaaFloat fxaaConsoleEdgeThresholdMin,',
		'    //',
		'    // Extra constants for 360 FXAA Console only.',
		'    // Use zeros or anything else for other platforms.',
		'    // These must be in physical constant registers and NOT immediates.',
		'    // Immediates will result in compiler un-optimizing.',
		'    // {xyzw} = float4(1.0, -1.0, 0.25, -0.25)',
		'    FxaaFloat4 fxaaConsole360ConstDir',
		') {',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat2 posM;',
		'    posM.x = pos.x;',
		'    posM.y = pos.y;',
		'    #if (FXAA_GATHER4_ALPHA == 1)',
		'        #if (FXAA_DISCARD == 0)',
		'            FxaaFloat4 rgbyM = FxaaTexTop(tex, posM);',
		'            #if (FXAA_GREEN_AS_LUMA == 0)',
		'                #define lumaM rgbyM.w',
		'            #else',
		'                #define lumaM rgbyM.y',
		'            #endif',
		'        #endif',
		'        #if (FXAA_GREEN_AS_LUMA == 0)',
		'            FxaaFloat4 luma4A = FxaaTexAlpha4(tex, posM);',
		'            FxaaFloat4 luma4B = FxaaTexOffAlpha4(tex, posM, FxaaInt2(-1, -1));',
		'        #else',
		'            FxaaFloat4 luma4A = FxaaTexGreen4(tex, posM);',
		'            FxaaFloat4 luma4B = FxaaTexOffGreen4(tex, posM, FxaaInt2(-1, -1));',
		'        #endif',
		'        #if (FXAA_DISCARD == 1)',
		'            #define lumaM luma4A.w',
		'        #endif',
		'        #define lumaE luma4A.z',
		'        #define lumaS luma4A.x',
		'        #define lumaSE luma4A.y',
		'        #define lumaNW luma4B.w',
		'        #define lumaN luma4B.z',
		'        #define lumaW luma4B.x',
		'    #else',
		'        FxaaFloat4 rgbyM = FxaaTexTop(tex, posM);',
		'        #if (FXAA_GREEN_AS_LUMA == 0)',
		'            #define lumaM rgbyM.w',
		'        #else',
		'            #define lumaM rgbyM.y',
		'        #endif',
		'        #if (FXAA_GLSL_100 == 1)',
		'          FxaaFloat lumaS = FxaaLuma(FxaaTexOff(tex, posM, FxaaFloat2( 0.0, 1.0), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaE = FxaaLuma(FxaaTexOff(tex, posM, FxaaFloat2( 1.0, 0.0), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaN = FxaaLuma(FxaaTexOff(tex, posM, FxaaFloat2( 0.0,-1.0), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaW = FxaaLuma(FxaaTexOff(tex, posM, FxaaFloat2(-1.0, 0.0), fxaaQualityRcpFrame.xy));',
		'        #else',
		'          FxaaFloat lumaS = FxaaLuma(FxaaTexOff(tex, posM, FxaaInt2( 0, 1), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaE = FxaaLuma(FxaaTexOff(tex, posM, FxaaInt2( 1, 0), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaN = FxaaLuma(FxaaTexOff(tex, posM, FxaaInt2( 0,-1), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaW = FxaaLuma(FxaaTexOff(tex, posM, FxaaInt2(-1, 0), fxaaQualityRcpFrame.xy));',
		'        #endif',
		'    #endif',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat maxSM = max(lumaS, lumaM);',
		'    FxaaFloat minSM = min(lumaS, lumaM);',
		'    FxaaFloat maxESM = max(lumaE, maxSM);',
		'    FxaaFloat minESM = min(lumaE, minSM);',
		'    FxaaFloat maxWN = max(lumaN, lumaW);',
		'    FxaaFloat minWN = min(lumaN, lumaW);',
		'    FxaaFloat rangeMax = max(maxWN, maxESM);',
		'    FxaaFloat rangeMin = min(minWN, minESM);',
		'    FxaaFloat rangeMaxScaled = rangeMax * fxaaQualityEdgeThreshold;',
		'    FxaaFloat range = rangeMax - rangeMin;',
		'    FxaaFloat rangeMaxClamped = max(fxaaQualityEdgeThresholdMin, rangeMaxScaled);',
		'    FxaaBool earlyExit = range < rangeMaxClamped;',
		'/*--------------------------------------------------------------------------*/',
		'    if(earlyExit)',
		'        #if (FXAA_DISCARD == 1)',
		'            FxaaDiscard;',
		'        #else',
		'            return rgbyM;',
		'        #endif',
		'/*--------------------------------------------------------------------------*/',
		'    #if (FXAA_GATHER4_ALPHA == 0)',
		'        #if (FXAA_GLSL_100 == 1)',
		'          FxaaFloat lumaNW = FxaaLuma(FxaaTexOff(tex, posM, FxaaFloat2(-1.0,-1.0), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaSE = FxaaLuma(FxaaTexOff(tex, posM, FxaaFloat2( 1.0, 1.0), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaNE = FxaaLuma(FxaaTexOff(tex, posM, FxaaFloat2( 1.0,-1.0), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaSW = FxaaLuma(FxaaTexOff(tex, posM, FxaaFloat2(-1.0, 1.0), fxaaQualityRcpFrame.xy));',
		'        #else',
		'          FxaaFloat lumaNW = FxaaLuma(FxaaTexOff(tex, posM, FxaaInt2(-1,-1), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaSE = FxaaLuma(FxaaTexOff(tex, posM, FxaaInt2( 1, 1), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaNE = FxaaLuma(FxaaTexOff(tex, posM, FxaaInt2( 1,-1), fxaaQualityRcpFrame.xy));',
		'          FxaaFloat lumaSW = FxaaLuma(FxaaTexOff(tex, posM, FxaaInt2(-1, 1), fxaaQualityRcpFrame.xy));',
		'        #endif',
		'    #else',
		'        FxaaFloat lumaNE = FxaaLuma(FxaaTexOff(tex, posM, FxaaInt2(1, -1), fxaaQualityRcpFrame.xy));',
		'        FxaaFloat lumaSW = FxaaLuma(FxaaTexOff(tex, posM, FxaaInt2(-1, 1), fxaaQualityRcpFrame.xy));',
		'    #endif',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat lumaNS = lumaN + lumaS;',
		'    FxaaFloat lumaWE = lumaW + lumaE;',
		'    FxaaFloat subpixRcpRange = 1.0/range;',
		'    FxaaFloat subpixNSWE = lumaNS + lumaWE;',
		'    FxaaFloat edgeHorz1 = (-2.0 * lumaM) + lumaNS;',
		'    FxaaFloat edgeVert1 = (-2.0 * lumaM) + lumaWE;',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat lumaNESE = lumaNE + lumaSE;',
		'    FxaaFloat lumaNWNE = lumaNW + lumaNE;',
		'    FxaaFloat edgeHorz2 = (-2.0 * lumaE) + lumaNESE;',
		'    FxaaFloat edgeVert2 = (-2.0 * lumaN) + lumaNWNE;',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat lumaNWSW = lumaNW + lumaSW;',
		'    FxaaFloat lumaSWSE = lumaSW + lumaSE;',
		'    FxaaFloat edgeHorz4 = (abs(edgeHorz1) * 2.0) + abs(edgeHorz2);',
		'    FxaaFloat edgeVert4 = (abs(edgeVert1) * 2.0) + abs(edgeVert2);',
		'    FxaaFloat edgeHorz3 = (-2.0 * lumaW) + lumaNWSW;',
		'    FxaaFloat edgeVert3 = (-2.0 * lumaS) + lumaSWSE;',
		'    FxaaFloat edgeHorz = abs(edgeHorz3) + edgeHorz4;',
		'    FxaaFloat edgeVert = abs(edgeVert3) + edgeVert4;',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat subpixNWSWNESE = lumaNWSW + lumaNESE;',
		'    FxaaFloat lengthSign = fxaaQualityRcpFrame.x;',
		'    FxaaBool horzSpan = edgeHorz >= edgeVert;',
		'    FxaaFloat subpixA = subpixNSWE * 2.0 + subpixNWSWNESE;',
		'/*--------------------------------------------------------------------------*/',
		'    if(!horzSpan) lumaN = lumaW;',
		'    if(!horzSpan) lumaS = lumaE;',
		'    if(horzSpan) lengthSign = fxaaQualityRcpFrame.y;',
		'    FxaaFloat subpixB = (subpixA * (1.0/12.0)) - lumaM;',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat gradientN = lumaN - lumaM;',
		'    FxaaFloat gradientS = lumaS - lumaM;',
		'    FxaaFloat lumaNN = lumaN + lumaM;',
		'    FxaaFloat lumaSS = lumaS + lumaM;',
		'    FxaaBool pairN = abs(gradientN) >= abs(gradientS);',
		'    FxaaFloat gradient = max(abs(gradientN), abs(gradientS));',
		'    if(pairN) lengthSign = -lengthSign;',
		'    FxaaFloat subpixC = FxaaSat(abs(subpixB) * subpixRcpRange);',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat2 posB;',
		'    posB.x = posM.x;',
		'    posB.y = posM.y;',
		'    FxaaFloat2 offNP;',
		'    offNP.x = (!horzSpan) ? 0.0 : fxaaQualityRcpFrame.x;',
		'    offNP.y = ( horzSpan) ? 0.0 : fxaaQualityRcpFrame.y;',
		'    if(!horzSpan) posB.x += lengthSign * 0.5;',
		'    if( horzSpan) posB.y += lengthSign * 0.5;',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat2 posN;',
		'    posN.x = posB.x - offNP.x * FXAA_QUALITY_P0;',
		'    posN.y = posB.y - offNP.y * FXAA_QUALITY_P0;',
		'    FxaaFloat2 posP;',
		'    posP.x = posB.x + offNP.x * FXAA_QUALITY_P0;',
		'    posP.y = posB.y + offNP.y * FXAA_QUALITY_P0;',
		'    FxaaFloat subpixD = ((-2.0)*subpixC) + 3.0;',
		'    FxaaFloat lumaEndN = FxaaLuma(FxaaTexTop(tex, posN));',
		'    FxaaFloat subpixE = subpixC * subpixC;',
		'    FxaaFloat lumaEndP = FxaaLuma(FxaaTexTop(tex, posP));',
		'/*--------------------------------------------------------------------------*/',
		'    if(!pairN) lumaNN = lumaSS;',
		'    FxaaFloat gradientScaled = gradient * 1.0/4.0;',
		'    FxaaFloat lumaMM = lumaM - lumaNN * 0.5;',
		'    FxaaFloat subpixF = subpixD * subpixE;',
		'    FxaaBool lumaMLTZero = lumaMM < 0.0;',
		'/*--------------------------------------------------------------------------*/',
		'    lumaEndN -= lumaNN * 0.5;',
		'    lumaEndP -= lumaNN * 0.5;',
		'    FxaaBool doneN = abs(lumaEndN) >= gradientScaled;',
		'    FxaaBool doneP = abs(lumaEndP) >= gradientScaled;',
		'    if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P1;',
		'    if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P1;',
		'    FxaaBool doneNP = (!doneN) || (!doneP);',
		'    if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P1;',
		'    if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P1;',
		'/*--------------------------------------------------------------------------*/',
		'    if(doneNP) {',
		'        if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'        if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'        if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'        if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'        doneN = abs(lumaEndN) >= gradientScaled;',
		'        doneP = abs(lumaEndP) >= gradientScaled;',
		'        if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P2;',
		'        if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P2;',
		'        doneNP = (!doneN) || (!doneP);',
		'        if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P2;',
		'        if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P2;',
		'/*--------------------------------------------------------------------------*/',
		'        #if (FXAA_QUALITY_PS > 3)',
		'        if(doneNP) {',
		'            if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'            if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'            if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'            if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'            doneN = abs(lumaEndN) >= gradientScaled;',
		'            doneP = abs(lumaEndP) >= gradientScaled;',
		'            if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P3;',
		'            if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P3;',
		'            doneNP = (!doneN) || (!doneP);',
		'            if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P3;',
		'            if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P3;',
		'/*--------------------------------------------------------------------------*/',
		'            #if (FXAA_QUALITY_PS > 4)',
		'            if(doneNP) {',
		'                if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'                if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'                if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'                if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'                doneN = abs(lumaEndN) >= gradientScaled;',
		'                doneP = abs(lumaEndP) >= gradientScaled;',
		'                if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P4;',
		'                if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P4;',
		'                doneNP = (!doneN) || (!doneP);',
		'                if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P4;',
		'                if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P4;',
		'/*--------------------------------------------------------------------------*/',
		'                #if (FXAA_QUALITY_PS > 5)',
		'                if(doneNP) {',
		'                    if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'                    if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'                    if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'                    if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'                    doneN = abs(lumaEndN) >= gradientScaled;',
		'                    doneP = abs(lumaEndP) >= gradientScaled;',
		'                    if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P5;',
		'                    if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P5;',
		'                    doneNP = (!doneN) || (!doneP);',
		'                    if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P5;',
		'                    if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P5;',
		'/*--------------------------------------------------------------------------*/',
		'                    #if (FXAA_QUALITY_PS > 6)',
		'                    if(doneNP) {',
		'                        if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'                        if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'                        if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'                        if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'                        doneN = abs(lumaEndN) >= gradientScaled;',
		'                        doneP = abs(lumaEndP) >= gradientScaled;',
		'                        if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P6;',
		'                        if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P6;',
		'                        doneNP = (!doneN) || (!doneP);',
		'                        if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P6;',
		'                        if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P6;',
		'/*--------------------------------------------------------------------------*/',
		'                        #if (FXAA_QUALITY_PS > 7)',
		'                        if(doneNP) {',
		'                            if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'                            if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'                            if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'                            if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'                            doneN = abs(lumaEndN) >= gradientScaled;',
		'                            doneP = abs(lumaEndP) >= gradientScaled;',
		'                            if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P7;',
		'                            if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P7;',
		'                            doneNP = (!doneN) || (!doneP);',
		'                            if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P7;',
		'                            if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P7;',
		'/*--------------------------------------------------------------------------*/',
		'    #if (FXAA_QUALITY_PS > 8)',
		'    if(doneNP) {',
		'        if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'        if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'        if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'        if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'        doneN = abs(lumaEndN) >= gradientScaled;',
		'        doneP = abs(lumaEndP) >= gradientScaled;',
		'        if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P8;',
		'        if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P8;',
		'        doneNP = (!doneN) || (!doneP);',
		'        if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P8;',
		'        if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P8;',
		'/*--------------------------------------------------------------------------*/',
		'        #if (FXAA_QUALITY_PS > 9)',
		'        if(doneNP) {',
		'            if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'            if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'            if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'            if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'            doneN = abs(lumaEndN) >= gradientScaled;',
		'            doneP = abs(lumaEndP) >= gradientScaled;',
		'            if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P9;',
		'            if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P9;',
		'            doneNP = (!doneN) || (!doneP);',
		'            if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P9;',
		'            if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P9;',
		'/*--------------------------------------------------------------------------*/',
		'            #if (FXAA_QUALITY_PS > 10)',
		'            if(doneNP) {',
		'                if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'                if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'                if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'                if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'                doneN = abs(lumaEndN) >= gradientScaled;',
		'                doneP = abs(lumaEndP) >= gradientScaled;',
		'                if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P10;',
		'                if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P10;',
		'                doneNP = (!doneN) || (!doneP);',
		'                if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P10;',
		'                if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P10;',
		'/*--------------------------------------------------------------------------*/',
		'                #if (FXAA_QUALITY_PS > 11)',
		'                if(doneNP) {',
		'                    if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'                    if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'                    if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'                    if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'                    doneN = abs(lumaEndN) >= gradientScaled;',
		'                    doneP = abs(lumaEndP) >= gradientScaled;',
		'                    if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P11;',
		'                    if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P11;',
		'                    doneNP = (!doneN) || (!doneP);',
		'                    if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P11;',
		'                    if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P11;',
		'/*--------------------------------------------------------------------------*/',
		'                    #if (FXAA_QUALITY_PS > 12)',
		'                    if(doneNP) {',
		'                        if(!doneN) lumaEndN = FxaaLuma(FxaaTexTop(tex, posN.xy));',
		'                        if(!doneP) lumaEndP = FxaaLuma(FxaaTexTop(tex, posP.xy));',
		'                        if(!doneN) lumaEndN = lumaEndN - lumaNN * 0.5;',
		'                        if(!doneP) lumaEndP = lumaEndP - lumaNN * 0.5;',
		'                        doneN = abs(lumaEndN) >= gradientScaled;',
		'                        doneP = abs(lumaEndP) >= gradientScaled;',
		'                        if(!doneN) posN.x -= offNP.x * FXAA_QUALITY_P12;',
		'                        if(!doneN) posN.y -= offNP.y * FXAA_QUALITY_P12;',
		'                        doneNP = (!doneN) || (!doneP);',
		'                        if(!doneP) posP.x += offNP.x * FXAA_QUALITY_P12;',
		'                        if(!doneP) posP.y += offNP.y * FXAA_QUALITY_P12;',
		'/*--------------------------------------------------------------------------*/',
		'                    }',
		'                    #endif',
		'/*--------------------------------------------------------------------------*/',
		'                }',
		'                #endif',
		'/*--------------------------------------------------------------------------*/',
		'            }',
		'            #endif',
		'/*--------------------------------------------------------------------------*/',
		'        }',
		'        #endif',
		'/*--------------------------------------------------------------------------*/',
		'    }',
		'    #endif',
		'/*--------------------------------------------------------------------------*/',
		'                        }',
		'                        #endif',
		'/*--------------------------------------------------------------------------*/',
		'                    }',
		'                    #endif',
		'/*--------------------------------------------------------------------------*/',
		'                }',
		'                #endif',
		'/*--------------------------------------------------------------------------*/',
		'            }',
		'            #endif',
		'/*--------------------------------------------------------------------------*/',
		'        }',
		'        #endif',
		'/*--------------------------------------------------------------------------*/',
		'    }',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat dstN = posM.x - posN.x;',
		'    FxaaFloat dstP = posP.x - posM.x;',
		'    if(!horzSpan) dstN = posM.y - posN.y;',
		'    if(!horzSpan) dstP = posP.y - posM.y;',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaBool goodSpanN = (lumaEndN < 0.0) != lumaMLTZero;',
		'    FxaaFloat spanLength = (dstP + dstN);',
		'    FxaaBool goodSpanP = (lumaEndP < 0.0) != lumaMLTZero;',
		'    FxaaFloat spanLengthRcp = 1.0/spanLength;',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaBool directionN = dstN < dstP;',
		'    FxaaFloat dst = min(dstN, dstP);',
		'    FxaaBool goodSpan = directionN ? goodSpanN : goodSpanP;',
		'    FxaaFloat subpixG = subpixF * subpixF;',
		'    FxaaFloat pixelOffset = (dst * (-spanLengthRcp)) + 0.5;',
		'    FxaaFloat subpixH = subpixG * fxaaQualitySubpix;',
		'/*--------------------------------------------------------------------------*/',
		'    FxaaFloat pixelOffsetGood = goodSpan ? pixelOffset : 0.0;',
		'    FxaaFloat pixelOffsetSubpix = max(pixelOffsetGood, subpixH);',
		'    if(!horzSpan) posM.x += pixelOffsetSubpix * lengthSign;',
		'    if( horzSpan) posM.y += pixelOffsetSubpix * lengthSign;',
		'    #if (FXAA_DISCARD == 1)',
		'        return FxaaTexTop(tex, posM);',
		'    #else',
		'        return FxaaFloat4(FxaaTexTop(tex, posM).xyz, lumaM);',
		'    #endif',
		'}',
		'/*==========================================================================*/',
		'#endif',
		'',
		'void main() {',
		'  gl_FragColor = FxaaPixelShader(',
		'    vUv,',
		'    vec4(0.0),',
		'    tDiffuse,',
		'    tDiffuse,',
		'    tDiffuse,',
		'    resolution,',
		'    vec4(0.0),',
		'    vec4(0.0),',
		'    vec4(0.0),',
		'    0.75,',
		'    0.166,',
		'    0.0833,',
		'    0.0,',
		'    0.0,',
		'    0.0,',
		'    vec4(0.0)',
		'  );',
		'',
		'  // TODO avoid querying texture twice for same texel',
		'  gl_FragColor.a = texture2D(tDiffuse, vUv).a;',
		'}'
	].join( '\n' )

};


/***/ })
/******/ ]);
}); 